Introduction

Tally System Console 2
Introduction

Glossary Item Box

Welcome to Tally System Console 2

The Tally System Console 2 is an application that is designed to work in tandem with one or more TSI systems. The application provides the user with a spreadsheet-like interface to configure their tally systems. Changes can then be made to the tally logic and uploaded to each TSI system. In addition, the Tally System Console 2 application can be configured to limit access to certain areas of the tally configuration. This allows for minor configuration changes without the hazard of disrupting any existing tallies (e.g. source name changes).

Getting Started

Start by first installing the Tally System Console 2 application into your system:

Tally System Console 2 Installation Guide

Follow a brief guide on setting up a typical tally system:

Configuring Tally System Interface Units

Tally System Console 2 Editing Tips

Get an overview of the Tally System Console 2 interface:

Overview of the Tally System Console 2 Layout

© 2007-2011 Image Video. All Rights Reserved.


Installation

Installation

Glossary Item Box

Getting Started:

Installation of Tally Console 2 Application

Prerequisites

  • xxx If installing the standard Tally Console 2 application, .NET Framework 2.0 is required on the host PC. Double-click on the NetFx20SP2_x86.exe application to run the .NET Framework 2.0 installer.
  • If installing the advanced (tally map) version of the Tally Console 2 application, .NET Framework 4.0 is required on the host PC. Running the included setup.exe file should detect whether .NET Framework 4.0 is installed on the PC. If not, the setup program may automatically run the included Framework 4.0 installer. .NET Framework 4.0 installer can be executed manually by running the included dotNetFx40_Full_x86_x64.exe file.

Make sure to run the installer on a user account having Administrative access.

Installation Procedure

Insert the included Tally Console 2 installation CD or USB stick. Double click on the setup executable to launch the installer. You will be presented with the following screen:

  1. Press NEXT. You may be required to select whether the application will be used in a single control room scenario, or a multiple control room scenario (only for standard Tally Console 2 application. The advanced tally map version does not have this). Choose Multiple Control Room Installation.

  2. Press NEXT to complete the installation procedure.

Upgrading From Previous Versions

When upgrading from a previously installed version of the software, the installer will automatically uninstall the previous version. Please note that previous registry settings may be erased in the uninstall process.


Configuring Tally System Interface Units

Configuring Tally System Interface Units

Glossary Item Box

Getting Started:

Step 1: Configuring Tally System Interface Units

Procedure

  1. Decide which TSI systems are to be configured. All TSIs including redundant units should be listed.

  2. Click on Hardware>Tally System Interface Units heading to access the TSI system table. Enter the Name, Interface Number, and IP address for each TSI system. For TSIs that are redundantly paired through an Image Video Auto-Changeover Unit (ACO), the Interface Number will be the same for the paired units but the IP addresses will be different.

  3. Place a check-mark in the Active state box for each TSI that will configured. Only those that have the check-mark will be uploaded with the configuration.


Comm Port Configuration

Comm Port Configuration

Glossary Item Box

Getting Started:

Step 2: Configuring Comm Ports with Devices

Overview

All devices that the TSI will be communicating with will need to be configured. The Comm Port Configuration page allows for specifying the device, how it connects (serial or Ethernet), and where it connects (COM7, IP address).

Procedure

Click on '+' beside Hardware>Comm Port Setup to expand the list. The following subheadings will be visible:

Production & M/C Switchers (comm configuration for switchers)

Routers (comm configuration for routers)

Displays (comm configuration for RDUs/monitor walls)

Parallel Interface Ports (comm configuration for external GPI devices: 4211, TXI, RCP)

Configuring the Switcher Ports
  1. Click on Hardware>Comm Port Setup>Production & M/C Switchers. A table for entering the switchers that a TSI will communicate with will be displayed on the right-side.

  2. Fill in the name of the switcher port(s). Typically these are kept short. "SWR" is commonly used to represent the switcher.

  3. Select the TSI system that will be communicating with the switcher.

  4. Select the switcher protocol.

  5. In the table on the right, click on the row for this switcher. Change the communication settings for this port using the control panel on the right -- set the required COM port values and/or IP addresses accordingly.

Configuring the Router Ports

  1. Click on Hardware>Comm Port Setup>Routers. A table for entering the routers that a TSI will communicate with will be displayed on the right-side.

  2. Fill in the name of the router port(s). Typically these are kept short. "RTR" is commonly used to represent the router.

  3. Select the TSI system that will be communicating with the switcher.

  4. Set the router level. To specify more than one router level, separate the levels with a comma. E.g. 1,2 or SD,HD

  5. Select the router protocol.

  6. In the table on the right, click on the row for this router. Change the communication settings for this port using the control panel on the right -- set the required COM port values and/or IP addresses accordingly.

Configuring the Display Ports

  1. Click on Hardware>Comm Port Setup>Displays. A table for entering the displays that a TSI will communicate with will be displayed on the right-side.

  2. Fill in the name of the display port(s).

  3. Select the TSI system that will be communicating with the display port.

  4. Select the display protocol to use.

  5. The Group Name field will be accessible for only some displays. A short unique group name should be assigned to those ports where the Group Name entry is allowed.

  6. In the table on the right, click on the row for this router. Change the communication settings for this port using the control panel on the right -- set the required COM port values and/or IP addresses accordingly.

Configuring the Parallel Interface Ports

  1. Click on Hardware>Comm Port Setup>Parallel Interface Ports. A table for entering the parallel devices that a TSI will communicate with will be displayed on the right-side.

  2. Fill in the name of the parallel device port(s).

  3. Select the TSI system that will be communicating with the device.

  4. Select the type of device - either a 4211 unit, TXI unit, or an RCP. For a TXI unit running in Serial mode, this type should be set to 4211.

  5. Assign the port that the device is connected to on the TSI. For a TXI unit running in Serial mode, specify the corresponding COM port. For a TXI unit running in Ethernet mode, specify TXI-Series.

  6. Assign a starting internal address at which the individual inputs/outputs of the port can be accessed. For example, in a 4211 unit with 40 GPI inputs, assigning a starting address of 400, then inputs # 1-40 are addressed at address 400-439 respectively. Selected addresses should be divisible by 8 and should not overlap the addresses for other ports.


Defining Destinations

Defining Destinations

Glossary Item Box

Getting Started:

Step 3: Defining Destinations

Procedure

  1. Click on I/O and Signals>Destination Definitions to edit the table of destination definitions

  2. Define any production or master control switcher signal outputs or router outputs that will be tallied by the TSI system. For example, these could be production switcher program and preset (preview) buses, master control on-air buses, or router ISO-record destinations (EVS, VCR, etc...) for each control room. It is possible that these outputs might have been automatically set up when the switcher/router ports were first configured.

  3. Enter a name for the destination. For the Output Device and Output Device IO, specify the output on the switcher/router that this destination represents.


Create Tally Areas

Create Tally Areas

Glossary Item Box

Getting Started:

Step 4: Create Tally Areas

Overview

A tally area is a representation of a single control room. In a broadcast facility, there may be one or more control rooms where each control room has its own production switcher. For example, control room CR1 could be using a Sony switcher, CR2 could be using a Grass Valley switcher, and CR3 could be using a Ross switcher. Each switcher has its own program/preset bus so the TSI system must know exactly which switcher outputs to look at for on-air and next-to-air sources within EACH control room. The Tally Area table lets you define what the outputs should be for each individual control room.

Individual tally areas are created indicating which destinations are to be tallied by the TSI. Each tally area will typically have the following 2 or more tally types: PGM (program bus outputs), PST (preset bus outputs), EXT (external bus outputs).

Although the tally types can be given other names (e.g. PROGRAM) this is not recommended because the default tally logic expressions provided in the Tally System Console 2 application are designed to use PGM/PST/EXT specifically. Not using the standard tally type names can cause the tally logic operations to fail. Tally types are case-sensitive so renaming to "pgm" is also not acceptable.

Procedure

  1. Click on Plant Layout>Tally Areas. Press the '+' beside Tally Areas to expand the tree list. Single Control Room and Multiple Control Rooms should be visible.

  2. Multiple Control Rooms should be used. Clicking on this subheading brings up the Tally Areas - Multiple Control Room table.

  3. It is possible that default tally areas for your switchers may have already been created. If not, continue below.

  4. Start by entering the names for each individual control room that you will tally. As you enter in a control room name, it appears in the tree list on the left side.

  5. Click on the newly created tally area in the tree list within the left window. This will bring up the tally types associated with this tally area.

  6. Under the Tally Type column, create three entries: PGM, PST, and EXT. OPTIONAL: Click on the Destination dropdown and assign the corresponding outputs for each of those entries. The destination field can be kept blank if you do not want tallies for that particular tally type. The corresponding program/preview switcher outputs created in Getting Started: Defining Destinations should be visible in the drop down.

  7. More than one destination can be assigned to a tally type. This is useful in the case where you need to look at multiple outputs to determine if a source appears in any of them (e.g. ISO tally type where a source appears on more than one output). To assign more than one destination to a tally type, right-click the Destination column header. It will be selected and colored blue, and a menu pop-up will appear. Choose the option to Insert Column>Insert to the Right. This will insert a new Destination column to the right.


Defining Sources

Defining Sources

Glossary Item Box

Getting Started:

Step 5: Defining Sources

Procedure

  1. Click on I/O and Signals>Source Definitions to edit the table of source definitions

  2. Define signal sources that will feed the various router and switcher inputs, particularly those sources that feed multiple device inputs.

  3. Start by entering a name for the source (e.g. CAM01). This name is only used internally within the TSI.

  4. Although it is not required at this initial setup stage, the Short and Long Names can be assigned to the source -- these names will be displayed on the dynamic UMD displays. Long Name will take precedence over the Short Name.

  5. Specify the particular switcher and/or router inputs that the source will feed. A source can also feed more than one input. To be able to specify an additional input, right-click the column heading for the source device (e.g. "RTR Level V Inputs") to highlight the entire column blue. A sub-menu will popup. Choose Insert Column>Insert to the Right. An additional column will then be created on the right.

NOTE: The field for the switcher/router inputs will only be visible once the Comm Port Configuration for the devices have been configured.


Defining the Display Units

Defining the Display Units

Glossary Item Box

Getting Started:

Step 6: Defining the Display Units

Procedure

  1. Click on UMDs>Display Devices to edit the table of display units.

    Start by entering a name for the display unit, followed by the associated port, serial #, and section # of the display (if possible). To configure a display with more than one section, add another row into the table with the same name, port, serial # and select the desired section #.

    NOTE:

    • For Image Video RDU1500-series UMDs and VxV-4 series, the serial # will be the serial number of the display unit and the Section # will be 1-3 or 1-4 respectively for the two types.
    • For other UMDs a serial number/ID (e.g. 1234) can be used (this number must match the UMD ID in the UMD system) and the Section # will be left at 1.

  2. Set the Monitoring Style to define how the source will be tallied and what will be displayed on the UMD. A Monitoring Style may require one or more drag-and-drop parameters (see next step) to complete the tally logic for the UMD. A list of typical styles and required parameters are as follows:

    Monitoring Style

             Description
    Source | Tally and show the source. Requires source/input parameter.
    Source Long | Tally and show the source long name. Requires source/input parameter.
    Source Short | Tally and show the source short name. Requires source/input parameter.
    Destination | Tally and show the source feeding a destination. Requires a destination/output parameter.
    Destination Long | Tally and show the source long name feeding a destination. Requires a destination/output parameter.
    Destination Short | Tally and show the source short name feeding a destination. Requires a destination/output parameter.
    Dest:Source | Tally and show the destination name and source feeding it. Displayed on UMD as destination:source. Requires a destination/output parameter.
    Show Name | No tally. Displays the TSI's internal UMD name. No parameter required.
    Show ID | No tally. Displays the serial#/ID of the UMD. No parameter required.
    Show Text | No tally. Displays the text entered under the "Text Override" column. No parameter required.

    For example, to tally a source that was entered in the Source Definitions table (see previous step Getting Started: Defining Sources ), select the Source monitoring style -- if a long name has been defined in the Source table, then it will be shown, otherwise the short name will be displayed. If Source table does not contain a long or short name, the crosspoint of the input will be shown. To force the use of the long name, the style Source Long could be used.

    To tally a source feeding a destination, choose the Destination monitoring style.

  3. Assign parameters to Monitoring Description. This may be required (depending on the Monitoring Style selected) to complete the monitoring logic.

    Parameters are assigned using drag-and-drops. Items visible in the left window tree-view are then dragged and dropped into the Monitoring Description area.

    If the monitoring style requires a source or input parameter, any items under the following tables can be "dropped" into the description area:

    I/O and Signals>Source Definitions

    I/O and Signals>Input Definitions

    I/O and Signals>{Switcher Name SWR} - Input Names

    I/O and Signals>{Router Name RTR} - Input Names

    If the monitoring style requires a destination or output parameter, any items under the following tables can be "dropped" into the description area:

    I/O and Signals>Destination Definitions

    I/O and Signals>{Switcher Name SWR} - Output Names

    I/O and Signals>{Router Name RTR} - Output Names

    To assign the drag-drop item, decide which table you need to access that will have the required input or output item. While keeping the right-window table on Display Devices (UMDs), click on I/O and Signals tab in the left-window. Then press the '+' beside the table you need to access to expand the list of available items. The table for Display Devices (UMDs) should still be visible in the right-window.

    Select an item from the left tree-view and drag-drop it over to the corresponding Monitoring Description field.

  4. After dragging the item into the Description area, the description should change accordingly.

  5. Assign the Tally Area that the TSI will use to determine whether a source is on-air or next-to-air. The tally area(s) should have been created in the Getting Started: Create Tally Areas step.


Configuring Parallel Interfaces

Configuring Parallel Interfaces

Glossary Item Box

Getting Started:

Step 7: Configuring Parallel Interfaces

Procedure

  1. Click on GPIs>Parallel Interface Devices to edit the table of GPI I/O devices. Subheadings for 4211, TXI-Series, and RCP will be visible.

  2. To set up a TXI unit running in Serial communication mode, or to set up a 4211 device, click on GPIs>Parallel Interface Devices>4211. The Parallel Interface Device table will appear in the right-window. Fill in the name of the device and assign the associated port (previously created in the Getting Started: Comm Port Configuration step). Set the size (# of inputs/outputs) of the device. The address position of the device will be automatically calculated.

  3. To set up a TXI unit running in Ethernet communication mode, click on GPIs>Parallel Interface Devices>TXI-Series. The Parallel Interface Device table will appear in the right-window. Fill in the name of the device and assign the associated port (previously created in the Getting Started: Comm Port Configuration step). Select the type of TXI under the Type column. Finally enter in the IP address of the TXI unit.

  4. To set up an RCP unit, click on GPIs>Parallel Interface Devices>RCP. The Remote Control Panels table will appear in the right-window. Fill in the name of the RCP unit and assign the associated port (previously created in the Getting Started: Comm Port Configuration step). Enter in the serial # of the RCP unit. Finally set the RCP size.


Defining GPI Outputs

Defining GPI Outputs

Glossary Item Box

Getting Started:

Step 8: Defining GPI Outputs

Procedure

  1. Click on GPIs>GPI Outputs to get subheadings of parallel interface devices which were previously created (see Getting Started: Configuring Parallel Interfaces ). Click on the parallel interface device subheading that you want to assign GPI outputs to. This will display the GPI Outputs table in the right-window for the selected device.

  2. Start by entering a name for the GPI output followed by the output address (the output address is a zero-based number where address 0 represents the first GPI output). Then enter in the number of outputs that this GPI output will drive (usually 1).

  3. Set the Monitoring Style to define how the GPI output(s) will be driven. A Monitoring Style may require one or more drag-and-drop parameters (see next step) to complete the GPI output behaviour. A list of typical styles and required parameters are as follows:

    Monitoring Style

             Description
    Source On Air | Turn on GPI output if source is on-air. Requires source/input parameter.
    Destination On Air | Turn on GPI output if source on a destination is on-air. Requires destination/output parameter.
    Source Next to Air | Turn on GPI output if source is next-to-air. Requires source/input parameter.
    Destination Next to Air | Turn on GPI output if source on a destination is next-to-air. Requires a destination/output parameter.
    ON | Force GPI output to be on. No parameter required.
    OFF | Force GPI output to be off. No parameter required.
    Follow | GPI output follow state of a GPI input. Requires GPI-input parameter.

    For example, to drive camera tallies when a source goes on-air select the Source On Air monitoring style.

  4. Assign parameters to Monitoring Description. This may be required (depending on the Monitoring Style selected) to complete the monitoring logic.

    Parameters are assigned using drag-and-drops. Items visible in the left window tree-view are then dragged and dropped into the Monitoring Description area.

    If the monitoring style requires a source or input parameter, any items under the following tables can be "dropped" into the description area:

    I/O and Signals>Source Definitions

    I/O and Signals>Input Definitions

    I/O and Signals>{Switcher Name SWR} - Input Names

    I/O and Signals>{Router Name RTR} - Input Names

    If the monitoring style requires a GPI input parameter, any items under the following tables can be "dropped" into the description area:

    GPIs>GPI Inputs>{Parallel Interface Device Name}

    If the monitoring style requires a destination or output parameter, any items under the following tables can be "dropped" into the description area:

    I/O and Signals>Destination Definitions

    I/O and Signals>{Switcher Name SWR} - Output Names

    I/O and Signals>{Router Name RTR} - Output Names

    To assign the drag-drop item, decide which table you need to access that will have the required input or output item. While keeping the right-window table on GPI Outputs, click on I/O and Signals tab (GPIs tab if you are dragging GPI input items) in the left-window. Then press the '+' beside the table you need to access to expand the list of available items. The table for GPI Outputs should still be visible in the right-window.

    Select an item from the left tree-view and drag-drop it over to the corresponding Monitoring Description field.

  5. After dragging the item into the Description area, the description should change accordingly.

  6. Assign the Tally Area that the TSI will use to determine whether a source is on-air or next-to-air. The tally area(s) should have been created in the Getting Started: Create Tally Areas step. A tally area is not required for the ON, OFF, or GPI FOLLOW style.


Uploading to the TSI

Uploading to the TSI

Glossary Item Box

Getting Started:

Step 9: Uploading to the TSI

Procedure

  1. Press CTRL-U (or click on File>Update TSI Configuration) to initiate the configuration upload to the actively selected TSIs. The entire configuration will be validated for errors before being sent to the TSI. A successful connection to the TSI will show "Connection established to TSI System(s)" at the bottom of the application:

    The upload status window should appear and the configuration upload should begin:

  2. Press CTRL-D (or click on File>Disconnect From TSI System(s)) to disconnect from the TSIs once the upload has finished. After the TSI system(s) are updated, both the UMDs and GPI outputs should begin to tally the assigned sources.

  3. Alternatively, you can just connect to the TSI without uploading any configuration data. This can be done by pressing CTRL-K (or click on File>Connect to TSI System(s)). Staying connected (online) with a TSI will keep any defined virtual monitor walls updated. In addition, incremental modifications to the configuration such as name changes (e.g. short/long names in Source table) or raw control expression changes are applied immediately -- a full upload will not be required.

    NOTE: Insertion of new entries in a table will usually require a full upload.


Camera Delegation Remote Control Panels

Camera Delegation Remote Control Panels

Glossary Item Box

Tutorials:

Camera Delegation With Remote Control Panels

Overview

Camera delegation control panels are used in systems with multiple control rooms where cameras need to be shared and managed between control rooms. Each panel allows the user to assign each camera to a particular control room, such that only the assigned control room can generate a tally when it takes the camera to air. Control rooms not assigned to a given camera will not generate a camera tally when they take that camera to air.

Each panel can be set up with a number of camera buttons and a number of control room buttons. Pressing a control room button lights an LED on the control button and also lights up the buttons for the cameras assigned to the selected control room. Pressing camera buttons allows cameras to be assigned to or unassigned from the selected control room. Selecting a camera that is assigned to another control room automatically takes the camera away from its assigned control room and gives it to the newly assigned control room. Cameras may be assigned to one control room at a time.

Panels automatically track operations at other panels so that the current delegation state is visible at every panel in real time. This allows operators to be aware of camera assignments at all locations without having to coordinate with other personnel by phone or intercom.

A graphic RCP editor built into Tally System Console 2 allows camera delegation RCPs to be easily created and laid out. Buttons styles (camera, control room, plus a Set button and a Clear button to respectively assign or un-assign all cameras for the selected control room) are placed by dragging the button style to the desired button position. Cameras and control rooms are then dragged to their respective positions to complete the panel.

Included in the Tally System Console 2 release files is a demo configuration called Demo-02.tc2 which includes an example camera delegation application. It may be useful to open this configuration to view while following the setup instructions below.

Camera Delegation Panel Configuration Procedure

Depending on whether camera delegation panels are being added to an existing system, some of the steps outlined below may be skipped.

Include Camera Delegation Setup Tools

  1. Click on Management > Configuration > Libraries.
  2. Check RCP-CamDlg.Lib. This file contains the default logic for a typical camera delegation system. Click OK.
  3. Click File > New - this will clear the current configuration from TC2 and include the Camera Delegation setup tools from RCP-CamDlg.Lib.
  4. If an existing configuration needs to be included, click File > Merge and open the existing configuration file. Click OK.
  5. If an existing configuration is not merged, click on Hardware > Tally System Interface Units in order to add a TSI to the configuration (see Hardware>Tally System Interface Units for further information).
  6. Click File > Save.

Add Production Switchers and Camera Signals

  1. Add production switchers at Hardware > Comm Port Setup > Production & M/C Switchers if some are not already defined from an existing configuration.
  2. Add camera sources at I/O and Signals > Source Definitions.
  3. In the Source Definitions there should be a column corresponding to each of the the production switchers defined above. In these columns add the physical number of each switcher input fed by a camera.

Define Program and Preset Buses

  1. Click on I/O and Signals > Destination Definitions.
  2. For the program and preset bus of each control room create a new line (called, for example, CR1-PGM, CR1-PST, CR2-PGM, CR2-PST, ...).
  3. For each new entry in the Destination Definitions editor select the "Output Device" (the name of the production switcher port for the given control room).
  4. Also for each new entry in the Destination Definitions editor, fill in the name of the program bus or preset bus for the given type of switcher.

Add Tally Areas

  1. Click on Tally Areas > Multiple Control Rooms.
  2. Under Tally Area Name add a name for each control room.
  3. Click on Plant Layout > Tally Areas and click on the Multiple Control Rooms "+" icon.
  4. Click on the menu bar for one of the new control room entries to open the Tally Area editor.
  5. Under Tally Type add a new line called PGM and a new line called PST.
  6. For the PGM tally type select the switcher program bus for the given control room.
  7. For the PST tally type select the switcher preset bus for the given control room.
  8. Repeat steps 4-7 for the other control rooms.

Create Remote Control Panels

  1. To add an RCP serial interface port, click on Hardware > Comm Port Setup > Parallel Interface Ports (see Hardware>Comm Port Setup>Parallel Interface Ports for more information).
  2. To RCP-20 or RCP-40 control panels to the configuration click on GPIs > Parallel Interface Devices ( GPIs>Parallel Interface Devices and GPIs>Parallel Interface Devices>RCP for more information).
  3. For each RCP edit the serial number column to correspond to the serial number on the back panel of the RCP-20 or RCP-40s. Omit any leading zeroes in the serial numbers.
  4. For RCP-20 (20-button) panels set the Size column to 20. For RCP-40 (40-button) panels set the Size column to 40.

Lay Out the Remote Control Panels

  1. Click on Plant Layout > Remote Control Panels.
  2. Enter a title for the RCP layout under the Name column.
  3. Click View.
  4. Click on GPIs > Parallel Interface Devices and click the "+" icon of the RCP menu bar. This will reveal a list of RCPs.
  5. Drag RCPs from the RCP list to the Remote Control Panel editing area.
  6. Click on the Tally Logic tab and click on the "+" icon of the LED Control Expressions menu bar. This will reveal four Monitoring Styles that allow the creation of different types of buttons on the control panels (see table below).
  7. Drag the different monitoring styles to various buttons in order to create the panel layout. Multiple buttons may be selected using the mouse, causing the selected buttons to be highlighted, after which a monitoring can be assigned to all of the highlighted buttons with a single drag-and-drop.
  8. Click on the I/O and Signals tab and click on the "+" icon of the Source Definitions menu bar.
  9. Drag camera sources to the buttons with CAM_BUTTON monitoring styles. Multiple buttons may be selected using the mouse, causing the selected buttons to be highlighted, after which multiple camera sources can be assigned with a single drag-and-drop. In this case a list of options for this operation is automatically presented when the camera source is dropped; select "Assign single item to each button in the selection".
  10. Click on the Plant Layout > Tally Areas and click the "+" icon of the Multiple Control Rooms menu tab. This will reveal a list of control rooms ("Tally Areas"). Drag control rooms to buttons with CR_BUTTON monitoring styles. (See section on Plant Layout>Tally Areas>Multiple Control Rooms>[Tally Area] to see how tally areas are added to the configuration).

Camera Delegation Button Types

Monitoring Style | Description
DLG_CR_BUTTON | This button type will be assigned to control rooms (called "tally areas" within Tally System Console2) and will allow the operator to select the "current control room", i.e. the control room for which cameras will be assigned and un-assigned as camera buttons are pressed. Pressing a control room button will cause camera buttons assigned to this control room to light.
DLG_CAM_BUTTON | This button type will be assigned to cameras, and will allow the operator to select the cameras that will be assigned to the currently selected control room.
DLG_SET_BUTTON | This button type allows the operator to assign all cameras to the currently selected control room with one button press.
DLG_CLR_BUTTON | This button type allows the operator to clear all camera assignments from the currently selected control room with one button press.
DLG_PGM_BUTTON | This button type allows the operator to enter "Programming Mode" of an RCP Macro button. Once in programming mode, pressing the RCP Macro button selects the macro button for programming. Cameras can then be selected and assigned to the macro button while in programming mode.
DLG_MACRO_BUTTON | This button type allows the operator to recall all cameras that were assigned to the macro button. If RCP panel is in "Programming Mode", pressing the macro button selects the macro button for use with camera assignments.
DLG_LOCK_BUTTON | This button type allows the operator to disable/enable the panel.

Lay Out the Remote Control Panels

  1. Click on Plant Layout > Remote Control Panels.
  2. Enter a title for the RCP layout under the Name column.
  3. Click View.
  4. Click on GPIs > Parallel Interface Devices and click the "+" icon of the RCP menu bar. This will reveal a list of RCPs.
  5. Drag RCPs from the RCP list to the Remote Control Panel editing area.
  6. Click on the Tally Logic tab

Add Delegated Camera Tally GPI Outputs

  1. To drive camera tallies a parallel interface port and a TXI-series or 4211-series parallel interface unit need to be added to the configuration, if this has not already been done:
  2. Add a parallel interface port at Hardware > Comm Port Setup > Parallel Interface Ports. For a serial interface choose "4211" from the Type column. For an Ethernet interface choose "TXI-Series" from the Type column. See Hardware>Comm Port Setup>Parallel Interface Ports for more information.
  3. Add an entry in GPIs > Parallel Interface Devices > 4211 for each TXI-series or 4211-series parallel interface unit. See GPIs>Parallel Interface Devices>4211 and GPIs>Parallel Interface Devices>TXI-Series for more information.
  4. Add GPI outputs in GPIs > GPI Outputs, clicking on the name of the parallel interface created in step 2 above. See GPIs>GPI Outputs for more information.
  5. To assign the Monitoring Style for each GPI output select "Delegated Source" from the drop down box in the the Monitoring Style column of the GPI Outputs editor.
  6. To assign a camera source to one of the GPI outputs, click on I/O and Signals and click on the "+" icon in the Source Definitions menu bar. Drag a camera source from the source list to the Monitoring Description column of the desired GPI output.

Optional: Add an "All Control Room" Button

  1. In some systems it is useful to be able to assign cameras to all control rooms. To set this up:
  2. Click on Plant Layout > Tally Areas > Multiple Control Rooms.
  3. Under Tally Area Name enter a name such as "All CRs".
  4. Click on Plant Layout > Tally Areas and click on the Multiple Control Rooms "+" icon.
  5. Click on the "All CRs" menu bar.
  6. Under the Tally Type column enter the 3 rows: PGM, PST, and EXT.
  7. Right-click the Destinations header and click "Insert Column" - click "Insert Column to the Right of the Selected Column". One new column will be added for each control room.
  8. In the PGM row, for each Destination column, select the program bus from one of the control rooms (if any)
  9. In the PST row, for each Destination column, select the preset bus from one of the control rooms (if any).
  10. In the EXT row, for each Destination column, select the external virtual bus (if any)
  11. This adds a tally area which references the program and preset buses from all control rooms. Assigning this "All CR" tally area to a panel button allows cameras to be assigned to all control rooms. Other control room combinations can be created using this method.


Sending Grass Valley Kayak Switcher Button Names

Sending Grass Valley Kayak Switcher Button Names

Glossary Item Box

Tutorials:

Sending Grass Valley Kayak Switcher Button Names

Overview

Button names can be transmitted to or received from the Grass Valley Kayak switcher using the Grass Valley ACOS protocol.

To configure the tally system to send button names to Kayak, a Display port with "Kayak Button Names Generator" protocol is created and assigned to a TSI serial port, in the Hardware > Comm Port Setup > Displays editor. On this port, in the "Display Devices" editor, a number of virtual UMDs are created and given the "Send Switcher Button Name" monitoring style - one UMD for each Kayak button. Each Kayak button is assigned to a router destination (router output), in the "Signal Paths" editor. Once configured, the TSI will trace the source selected by the router destination for each configured Kayak button and send the source name to that button.

Kayak Switcher Setup

To set up Kayak to either receive or transmit button names via ACOS protocol:

  1. In the Kayak switcher engineering setup or in Kayak Sidepanel, navigate to Install > E-Box > Router Tab and under "Automation Control 1".
  2. Select a physical port to which the TSI will be connected.
  3. Select Type of "acos_v652" (the version number at the end of this name may vary).

Setting Up the TSI Button Names Transmit Port

In Tally System Console 2:

  1. Click on Hardware > Comm Port Setup > Displays.
  2. In the "Comm Port Setup - Displays" editor type a new "Port Name" on the empty line at the end of the list.
  3. Select the TSI to which the Kayak switcher will be wired from the "TSI Tally Controller Unit" column.
  4. Select "Kayak Button Names Generator" from the "Protocol" column.
  5. Select the TSI serial port to which the Kayak switcher ACOS protocol port will be wired from the Primary Port drop-down in the Device Configuration dialog.

Setting up TSI Button UMDs
  1. Click on the "UMDs" tab and click on the "Display Devices (UMDs)" menu bar.
  2. In the "Display Devices (UMDs)" editor add one UMD line for Kayak button.
  3. In each button UMD line enter the number of the Kayak button in the "ID / serial number column".
  4. In each button UMD line enter Section number "1" if send a Kayak button "Short" names are required to be updated, otherwise enter Section number "2" if Kayak button "Long" names are required.
  5. While it the short names are usually sufficient, it is possible to configure two UMDs of the same name and serial number, one with section "1" and the other UMD with section "2" if both name types are required.
  6. In each button UMD line select the "Send Switcher Button Name" Monitoring Style. (Once the style selected on the first button UMD line, subsequent "Send Switcher Button Name" Monitoring Styles can be made by simply pressing Ctrl-Enter on the other lines).

Assigning Switcher Inputs to Button UMDs
  1. Click on I/O and Signals tab.
  2. Click on the Inputs Names "+" icon for the Kayak switcher. For example if the name of the Kayak switcher port is "SWR" then a bar labelled "SWR - Input Names" will be found under the I/O and Signals tab - click the "+" icon on this menu bar to get a list of input number ranges.
  3. Click on the "+" sign on appropriate input number range to get a list of switcher input numbers.
  4. Drag an input number from the input number list to the Monitoring Description column of the appropriate button UMD. The input number should appear in the Monitoring Description (e.g. Switcher SWR button 3 - send name to this button").

Assigning Kayak Button Inputs to Router Outputs
  1. Click on I/O and Signals tab > Signal Paths menu bar.
  2. In the "Signal Paths" editor, for each Kayak input serviced by a Button UMD, enter a unique Interconnect Name. New line can be created in the editor by pressing Ctrl-Insert.
  3. Select the name of the router serial port from the Signal Origin Device column.
  4. Enter the name or number of the router output under the Signal Origin Output column.
  5. Enter the number of the Kayak switcher input under the Kayak switcher "Inputs" column. For example if the name of the Kayak switcher port is "SWR" then a column labelled "SWR Inputs" will be found in the "Signal Paths" editor.

Both Sending and Receiving Input Names from Kayak

With the above setup for sending names to Kayak, it is also possible to simultaneously receive names from the Kayak switcher. This can be done by following the instructions in the help section "Receiving Grass Valley Kayak Switcher Button Names" - the secondary switcher port assigned with "GVG Kayak ACOS Names Receiver" protocol is assigned with the same serial port used for the Display port described above. (i.e. the ACOS serial port is the same for both the "Kayak Button Names Generator" Display protocol and the "GVG Kayak ACOS Names Receiver" switcher protocol).


Receiving Grass Valley Kayak Switcher Button Names

Receiving Grass Valley Kayak Switcher Button Names

Glossary Item Box

Tutorials:

Receiving Grass Valley Kayak Switcher Button Names

Overview

To receive names from the Kayak switcher, a TSI's serial port is configured with "GVG Kayak Names Receiver" protocol is selected. Two serial ports are assigned to this protocol. The first (Primary) serial port will connect to a Kayak MPK port in order to receive switcher tally information. The second (Secondary) serial port will connected to Kayak ACOS protocol serial port, and this port will supply the button names to the TSI. Both ports are RS-422. Button names configured in the Kayak setup will automatically be received by the TSI and assigned to Kayak switcher inputs. Text display UMDs assigned to these Kayak switcher inputs will automatically show the names received from Kayak.

Setting Up Kayak Serial Interface Port in the TSI

  1. Click on Hardware > Comm Port Setup > Production & M/C Switchers.
  2. On a new line in the "Comm Port Setup - Switchers" editor enter a Port Name, select the TSI to which the Kayak switcher is wired and select the "GVG Kayak ACOS Names Receiver (COM port)" protocol.
  3. Select the TSI serial port to which the Kayak switcher MPK protocol port will be wired from the Primary Port drop-down in the Device Configuration dialog.
  4. Select the TSI serial port to which the Kayak switcher ACOS protocol port will be wired from the Secondary Port drop-down in the Device Configuration dialog.

Setting Up a UMD to Show Kayak Switcher Input Names

  1. Set up a UMD port and UMD as described in the help section "UMDs > Display Devices".
  2. Click on UMDs > Display Devices menu bar to invoke the Display Devices (UMDs) editor.
  3. Select a UMD and in the Monitoring Style column set the monitoring style to "Source".
  4. Click on I/O and Signals and, if, for example, the Kayak switcher port is named SWR (in the "Comm Port Setup - Switchers" editor), then click on the SWR - Input Names "+" icon to reveal a numeric list of switcher inputs. The Display Devices (UMDs) editor shold remain open.
  5. Click on the "+" icon of the numeric list of switcher inputs to get a sub-list of inputs.
  6. Drag one of the inputs from the input list to the "Monitoring Description" column of the Display Devices editor. The name or number of the input should appear in the description in the "Monitoring Description" column.
  7. If Tally System Console 2 is online with the TSI, the name of the input UMD as configured in the Kayak switcher should automatically should appear in the UMD. NOTE: this is true only if the switcher input has not been given a "Short Name" or "Long Name" in the SWR - Input Names Editor. Names assigned within Tally System Console 2 to the switcher input override names received from the Kayak switcher.

Both Sending and Receiving Input Names From Kayak

With the above setup for receiving names from Kayak, it is also possible to simultaneously transmit names to the Kayak switcher. This can be done by following the instructions in the help section "Sending Grass Valley Kayak Switcher Button Names" - the Display port assigned with "Kayak Button Names Generator" protocol is assigned with the same serial port as the switcher secondary serial port described above. (i.e. the ACOS serial port is the same for both the "Kayak Button Names Generator" Display protocol and the "GVG Kayak ACOS Names Receiver" switcher protocol).


Application UI Layout Overview

Application UI Layout Overview

Glossary Item Box

User Interface Layout:

Application Layout Overview

Overview

The Tally System Console 2 application is broadly organized into two physical sections:

  • The Menu Tree Pane on the left-half of the application allows for a tree list view of the entered devices, signals, sources, destination, and more. It can be used to invoke various types of editors in the Editor Pane and allows for dragging and dropping of items into the tables within the Table Editor Pane.

  • The Table Editor Pane on the right half of the application provides a table-like worksheet to enter in the tally system configuration information. Typical Excel-like keyboard/mouse navigation is supported in the Table Editor Pane. This includes CTRL-C (copy text), CTRL-V (paste text), and multiple cell selection by dragging the mouse with the left-button pressed or by holding the SHIFT-key on the keyboard while clicking on individual cells.


Menu Tree Pane

Menu Tree Pane

Glossary Item Box

User Interface Layout:

Menu Tree Pane

Overview

The Menu Tree Pane consists of a row of tabs near the top of the application.

Clicking on a tab at the top of the Menu Tree Pane exposes different aspects of the tally system configuration:

  • Hardware - Setup of TSI tally controllers and comm ports for Production and Master Control Switchers, Signal Routers, Displays and Parallel (GPI) Interfaces.
  • UMDs (Under Monitor Displays) - Programming of Under Monitor Displays, including the UMD name, the signal of each UMD monitors, the ID number of each UMD, the comm port to which each UMD is connected, UMD monitoring styles, and other important information.
  • GPIs (General Purpose Interface) - Parallel Input/Output setup, including the addresses of physical relay closure and relay sensing hardware, programming of relay closure outputs, and lists of available relay sensing inputs.
  • I/O and Signals - Signals that feed and signals that are provided by Production Switchers and Signal Routers are defined here.
  • Plant Layout - Used to identify control rooms within the broadcast plant and monitor walls within each control room.
  • Tally Logic - Defines the logic expressions used to control UMDs, GPI outputs, control panels, and router crosspoints.

Clicking on a menu bar within the main surface of the menu tree pane invokes different editors in the Editor Pane.

Clicking on a "+" or "-" icon of a menu bar provides a drop-down list of items that can be dragged and dropped into the Editor Pane, or exposes other submenus.


Hardware>Tally System Interface Units

Hardware>Tally System Interface Units

Glossary Item Box

Hardware:

Tally System Interface Units

Overview

This editor is used to define the TSI tally controllers that are configured by Tally System Console 2. Each line of the editor defines one TSI tally controller unit.

Table Columns

  • Active - Checking this box marks the given TSI to receive configuration information from Tally System Console 2. Unchecking this box omits the given TSI unit from receiving configuration information. This allows multiple TSI units to be selectively configured.

  • TSI Name- The name of a TSI tally controller. The TSI Name is also referenced in editors under the Hardware tab to assign comm ports signal routers, production switcher, GPI hardware and control panels to particular TSIs. This name should be named in a way that is helpful for the user to understand the purpose of the controller within the broadcast plant. For example a TSI used to service the Control Room 1 area of the plant might be named "CR1".

  • Interface #- Each TSI unit is given an "Interface Number" identifier between 1 and 56. The interface number is programmed into the TSI hardware. This number, rather than the "TSI Name", is attached to various items of the configuration that are sent to the TSIs. Each TSI uses this number to decide which items of the configuration are relevant to it, and will use the number to ignore items in the configuration that are meant for other TSIs. For TSIs that are redundantly paired through an Image Video Auto-ChangeOver (ACO) unit this number is the same.

  • IP Address- An IP address to which Tally System Console 2 will send configuration information. This IP address must match the IP address of a TSI.


Hardware>Comm Port Setup

Hardware>Comm Port Setup

Glossary Item Box

Hardware:

Comm Port Setup

Overview

The comm ports of TSI tally controllers are used to obtain crosspoint status information from signal routing and signal devices, as well as GPI input information from parallel interface devices and control panels, and to send control data to UMDs, control panels, GPI output devices and router destinations. The comm ports of TSI tally controllers can be either serial ports (RS-232, RS-422 or RS-485) or a network connection, depending on the type of device being interfaced.

Clicking on the "+" or "-" Icon of the Comm Port Setup menu bar opens a drop-down list of various categories of hardware which will be connected to a TSI controller via the TSI comm ports:

Table Columns

  • Production & M/C (Master Control) Switchers - Signal switching devices used to place broadcast signals on-air. These devices are usually interfaced using a serial connection. One or more of the signal outputs of these devices are monitored by the tally system primarily for the generation of on-air or next-to-air (signal state) indicators in UMDs or via GPI outputs. These switchers can be complex but have only one crosspoint level. Some signal outputs of these devices are capable of selecting multiple signal inputs. The primary information received from these devices is crosspoint status, although some of these devices also provide input name information. Crosspoint control data is not sent to these devices, although some of these devices will accept input name information.

  • Routers - Signal switching devices used to route signals to video monitors, production and master control switchers, and to other routing and other signal processing devices. These devices are simply blocks of crosspoints and are monitored for the purposes of (a) knowing when a signal has arrived indirectly at (i.e. has been routed to) the on-air or next-to-air output of a production or M/C switcher and (b) knowing what signal is present in a signal monitor serviced by an undermonitor display. Signal routers can select only one input on each output but can have multiple levels of crosspoints. The primary information received from these devices is crosspoint status, although some routers also provide input name information for use in UMDs. Crosspoint control data can be sent to these devices. Transmission of name information to most of these devices is not supported by the TSI tally controller.

  • Displays - Undermonitor text displays, usually also capable of color or graphic effects used to indicate the on-air or next-to-air state of a signal. Display communication is unidirectional (to the display only), except perhaps for communications handshaking. Depending on the type of display the type of information sent to a display can include text, color, font, and tally flags (for signal state indicators).

  • Parallel Interface Ports - Parallel interface devices, also called "General Purpose Interface" (GPI) devices, receive and execute relay closure commands received via a serial line or a network connection. These remotely-controlled relays are often referred to as "General Purpose Interface Outputs", which is often shortened to the misnomer acronym "GPOs". Parallel interface devices can also sense the state of relay closures or voltage sources and transfer this information to the tally controller over the same serial line or network connection. These parallel inputs are "General Purpose Interface Inputs", again often misnamed as "GPIs". In Image Video tally systems GPI inputs and GPI outputs are given numbered addresses in order to easily identify each input or output. Because control panels are treated as collections of GPI inputs (button presses) and GPI outputs (LED indicators), they are also configured as parallel interface devices.

Port Configuration Panel

The port configuration panel will be visible to the right of the Editor Pane when accessing the Production & M/C Switchers, Routers, and Displays subheadings under the Comm Port Setup menu bar. Depending on which subheading is selected and the type of device, the Port Configuration Panel will review additional serial and networking information about that particular port.

Two different views of the Port Configuration Panel depending on whether the device is an MVP or not:

The first view (left) is shown when any port belonging to a Switcher, Router, or non-MVP Display is selected. Entry points to enter the device's address, IP addresses (primary and/or secondary), and COM ports (primary and/or secondary) will be provided. Depending on the type of device that the port belongs to, only some fields may be accessible. An option to override the default comm settings is provided as well.

The second view (right) is shown when any port belonging to a Display that is represented by an Evertz MVP type is selected. An area to enter in a list of IP addresses for each output card is provided.


Hardware>Comm Port Setup>Production & M/C Switchers

Hardware>Comm Port Setup>Production & M/C Switchers

Glossary Item Box

Hardware:

Comm Port Setup>Production & M/C Switchers

Overview

This editor assigns the serial port or network connection of a TSI which will be used to communicate with a production or master control switcher.

Each line in this editor defines one switcher device.

General Operation of this Editor

  1. Enter a Port Name for the switcher – for production and master control switchers the port name is also the device name.

  2. Select the TSI system to which the switcher will be wired or networked. Select the switcher communications protocol.

  3. In the Device Configuration dialog select the TSI serial port to which the switcher will be wired, or enter the IP address of the switcher. For serial ports the default comm settings (baud rate, data bits, parity bits and stop bits) can usually be accepted, but can be modified by checking the Override Comm Settings checkbox. It is rare for any comm setting other than the baud rate to be modified.

Table Columns

  • Port Name - This unique name is referenced in other parts of the configuration in order to assign devices to a particular tally controller comm port. The name is arbitrarily assigned by the user. The name should be descriptive but short (e.g. SWR, RTR, CR1, etc.). Use of spaces in this name is discouraged.

  • TSI Tally Controller Unit - This drop-down list is taken from the list of TSI controller names entered under Hardware>Tally System Interface Units. This choice assigns the TSI which will service the production or master control switcher.

  • Protocol- Selects the communication protocol which will be used to communicate with the production or master control switcher. The protocol depends on the type of switcher or can depend on a protocol selected in the switcher engineering setup. If protocol "Virtual Switcher" is selected no serial port or network port is assigned and crosspoint information for this virtual switcher device can programmed to simulate crosspoint data from GPI inputs or from crosspoint data from other router or switcher devices.

  • Device Configuration - This dialog box is used to set the communications particulars of a comm port. Various fields of this dialog box are grayed or ungrayed depending on the protocol selected. For serial ports, the Primary COM port is selected depending on the physical port of the controller wired to the switcher device. These ports can be any of COM2 (RS-232), COM3 through COM6 (RS-422 using RJ-11 or RJ-12 connectors), or COM8 through COM12 (RS-422 or RS-485, using DB-9 connectors). COM7 is generally reserved for parallel interface ports. The Secondary COM port field is selected in a similar way but will be ungrayed only for a few different protocols for which two serial ports might be useful. The Override Comm Settings fields will display the commonly-used default serial parameter settings for the chosen protocol, but this value can be altered by checking Override Comm Settings and altering the Baud Rate, Data Bits, Parity and Stop Bits settings. These values must be matched in the connected device. The IP Address #1 and #2 fields are not usually used for Production or Master Control Switchers. The Device Address (hex) field is used for some Philips MPK-port-based devices and must match a number programmed into the engineering setup at the switcher end.


Hardware>Comm Port Setup>Routers

Hardware>Comm Port Setup>Routers

Glossary Item Box

Hardware:

Comm Port Setup>Routers

Overview

This editor assigns the serial port or network connection of a TSI which will be used to communicate with a router.

Each line in this editor defines one router device.

General Operation of this Editor

  1. Enter a Port Name for the router – for routers the port name is also the device name.

  2. Select the TSI system to which the router will be wired or networked

  3. Select the router communications protocol.

  4. In the Level column enter a level number, or multiple levels separated by commas. Levels are usually numbered starting from 1.

  5. In the Device Configuration dialog select the TSI serial port to which the router will be wired, or enter the IP address of the router. For serial ports the default comm settings (baud rate, data bits, parity bits and stop bits) can usually be accepted, but can be modified by checking the Override Comm Settings checkbox. It is rare for any comm setting other than the baud rate to be modified.

Table Columns

  • Port Name - This unique name is referenced in other parts of the configuration in order to assign router devices to a particular tally controller comm port. The name is arbitrarily assigned by the user. The name should be descriptive but short (e.g. SWR, RTR, CR1, etc.). Use of spaces in this name is discouraged.

  • TSI Tally Controller Unit - This drop-down list is taken from the list of TSI controller names entered under Hardware>Tally System Interface Units. This choice assigns the TSI which will service the router.

  • Protocol - Selects the communication protocol which will be used to communicate with the router. The protocol depends on the type of router or can depend on a protocol selected in the router engineering setup. If protocol "Virtual Router" is selected no serial port or network port is assigned and crosspoint information for this virtual router device can programmed to simulate crosspoint data from GPI inputs or from crosspoint data from other router or router devices.

  • Device Configuration - This dialog box is used to set the communications particulars of a comm port. Various fields of this dialog box are grayed or ungrayed depending on the protocol selected. For serial ports, the Primary COM port is selected depending on the physical port of the controller wired to the router device. These ports can be any of COM2 (RS-232), COM3 throuth COM6 (RS-422 using RJ-11 or RJ-12 connectors), or COM8 through COM12 (RS-422 or RS-485, using DB-9 connectors). COM7 is generally reserved for parallel interface ports. The Secondary COM port field is selected in a similar way but will be ungrayed only for a few different protocols for which two serial ports might be useful. The Override Comm Settings fields will display the commonly-used default serial parameter settings for the chosen protocol, but this value can be altered by checking Override Comm Settings and altering the Baud Rate, Data Bits, Parity and Stop Bits settings. These values must be matched in the connected device. The IP Address #1 and #2 fields are not usually used for Routers. The Device Address (hex) field is not used for any routers at this time.

  • Level – used to designate the router level or levels to be monitored by the tally system. Multiple level numbers are separated by commas. In other editors of Tally System Console 2 new columns are added for each level added to this field.


Hardware>Comm Port Setup>Displays

Hardware>Comm Port Setup>Displays

Glossary Item Box

Hardware:

Comm Port Setup>Displays

Overview

This editor assigns the serial port or network connection of a TSI which will be used to communicate with one or more under-monitor displays.

Each line in this editor defines one under-monitor display port.

General Operation of this Editor

  1. Enter a Port Name.

  2. Select the TSI system to which the displays on the port will be wired or networked.

  3. Select the display communications protocol.

  5. In the Device Configuration dialog box select the TSI serial port to which the displays will be wired, or enter the IP address of the display hardware. Some display hardware may have more than one IP address in the Port Configuration Panel. Fill in this information as required. For serial ports the default comm settings (baud rate, data bits, parity bits and stop bits) can usually be accepted, but can be modified by checking the Override Comm Settings checkbox. It is rare for any comm setting other than the baud rate to be modified.

Table Columns

  • Port Name - This unique name is referenced in other parts of the configuration in order to assign display devices to a particular tally controller comm port. The name is arbitrarily assigned by the user. The name should be descriptive but short (e.g. UMD1, CR1-UMD, etc.). Use of spaces in this name is discouraged.

  • TSI Tally Controller Unit - This drop-down list is taken from the list of TSI controller names entered under Hardware>Tally System Interface Units. This choice assigns the TSI which will service the displays.

  • Protocol - Selects the communication protocol which will be used to communicate with the displays. The protocol depends on the type of display or can depend on a protocol selected in the display engineering setup.

  • Group Name (VIP) – This field is solely and optionally used when interfacing a TSI with Evertz VIP systems. It allows groups of VIPs to be formed for the purpose of setting ranges of protocol IDs. This is necessary only for large system where more than 2048 displays (2048 being the maximum number of VIP protocol IDs in one VIP group) need to be supported within a single TSI unit. If no VIP group is specified then a single group is automatically set up within the TSI.

  • Device Configuration - This dialog box is used to set the communications particulars of a comm port. Various fields of this dialog box are grayed or ungrayed depending on the protocol selected. For serial ports, the Primary COM port is selected depending on the physical port of the controller wired to the display device. These ports can be any of COM2 (RS-232), COM3 through COM6 (RS-422 using RJ-11 or RJ-12 connectors), or COM8 through COM12 (RS-422 or RS-485, using DB-9 connectors). COM7 is generally reserved for parallel interface ports. The Override Comm Settings fields will display the commonly-used default serial parameter settings for the chosen protocol, but this value can be altered by checking Override Comm Settings and altering the Baud Rate, Data Bits, Parity and Stop Bits settings. These values must be matched in the connected device.


Hardware>Comm Port Setup>Parallel Interface Ports

Hardware>Comm Port Setup>Parallel Interface Ports

Glossary Item Box

Hardware:

Comm Port Setup>Parallel Interface Ports

Overview

This editor assigns the serial port or network connection of a TSI which will be used to communicate with one or more under-monitor displays.

Each line in this editor defines one parallel interface device port.

General Operation of this Editor

  1. Enter a Port Name.

  2. Select the TSI system to which the parallel interface devices on this port will be wired or networked.

  3. Select the parallel interface device communications protocol.

  4. Select the comm port that the parallel interface device is connected to on the TSI system. For TXI devices, the connection may be over Ethernet instead of over serial. In this case, a 'TXI-Series' port is provided.

  5. Enter in the starting address block for this device.

Table Columns

  • Port Name - This unique name is referenced in other parts of the configuration in order to assign GPI input / output devices to a particular tally controller comm port. The name is arbitrarily assigned by the user. The name should be descriptive but short (e.g. GPI1, CR1-GPIO, etc.). Use of spaces in this name is discouraged.

  • TSI Tally Controller Units - This drop-down list is taken from the list of TSI controller names entered under Hardware>Tally System Interface Units. This choice assigns the TSI which will service the GPI input / output devices.

  • Type - Selects the type of GPI input / output device that will reside on the port:

    Port Type

             Description
    4211 | One or more Image Video Model 4211 general-purpose interface units, or Image Video TXI series GPI units operating in serial (4211) mode.
    TXI-Series | One or more Image Video TXI-series general-purpose interface units, operating in network mode. These devices communicate with the TSI over Ethernet.
    RCP | One or more Image Video RCP-20 or RCP-40 remote control panels.
  • Port – This column is used to select the port on which the GPI devices will reside. For 4211 and RCP devices these ports can be any of COM2 (RS-232), COM3 through COM6 (RS-422 using RJ-11 or RJ-12 connectors), or COM7 through COM12 (RS-422 or RS-485, using DB-9 connectors). This field is automatically set to “TXI-Series” if TXI-Series has been selected under the Type column (in this case a network rather than a serial connection is used). There can be only one TXI-Series port.

  • Address Block – For many systems which have only one parallel interface port this value can be set to 0. This value must always be a multiple of 8. For systems which have more than one parallel interface port (e.g. one 4211 port and one RCP port), one port address can be set to zero, and the other should be set to a value that allows room for the total number of GPI inputs or outputs that will be serviced by the lower-addressed port. For example if a parallel interface port addressed at zero supports 120 GPI input or outputs, a second port could be addressed at a value of 120 or higher. Room should be left for future expansion. The maximum value in this field is 4096.


UMDs>Display Devices (UMDs)

UMDs>Display Devices (UMDs)

Glossary Item Box

UMDs:

Display Devices (UMDs)

Overview

Each line in this editor defines one UMD display.

General Operation of this Editor

  1. Before any UMDs are programmed a UMD port should be assigned from the Menu Tree pane's Hardware>Comm Port Setup>Displays editor. Also signal sources and destinations may have to be created in the Menu Tree pane's I/O and Signals>Sources and I/O and Signals>Destinations editors.

  2. For a given UMD, fill in the UMD Device Name, select the UMD Device Port, assign an ID or Serial Number, and pick a Monitoring Style. Some monitoring styles will require additional information -- the Monitoring Description field will show an incomplete description of the UMD operation (missing information is denoted within the description by an empty pair of '[]' square brackets).

    While other monitoring styles do not need any further information:

  3. For a Monitoring Description requiring additional information, this can be filled in by the following: Click on the Menu Tree Pane's I/O and Signals and click the [image] icon on either the Source Definitions or Destination Definitions menu bars to reveal a list of signal sources or destinations. Do not click on the menu bar itself, as this will switch the editor pane to a different editor.

  4. Select an item appearing under the Source Definitions or Destination Definitions heading. Drag one of these items to the Monitoring Description field of the UMD being programmed.

    The Monitoring Description field should now show the operational description for the programmed UMD including the name of the assigned signal source or destination. The UMD is now programmed for use.

    Tips: Double-clicking the Monitoring Description field shows a list of the item or items assigned to the UMD. More than one UMD can be assigned with signal sources or destinations with one drag and drop by multi-selecting items from the menu tree (using Shift-left-click or Ctrl-left-click) then clicking the “Assign a single parameter for each row” prompt.

    Note: a thick vertical bar at the left side of the editor pane switches the editor between two sets of columns.

Table Columns

  • UMD Device Name – This unique name is referenced in the Plant Layout>Monitor Walls editor in order to assign a UMD to a position within a monitor wall. This name is also used within the TSI to find and identify UMDs so the name should be meaningful but terse.

  • Device Port –The name of a port defined in Comm Port Setup – Displays. For serial displays this defines the port to which this UMD should be connected. For displays serviced over an Ethernet connection this port defines one or more IP addresses which will be used to update this display.

  • ID / Serial # - A number used to identify a display, which usually must be matched in the display hardware setup. For most Image Video displays this number is the serial number of the display. For other systems it is usually a number starting from 1 which identifies one of a set of UMDs.

  • Section # - A sub-identifier used to identify parts of a display, typically dual, triple and quad split displays. For Image Video RDU1500 and RDU1100 displays this number is valid in the 1-3 range (left, middle and right sections respectively). For Image Video VxV-4 series displays (which are quad splits) this number is valid in the 1-4 range (top-left, top-right, bottom-left and bottom-right respectively). For most other displays this value is left at 1.

  • Monitoring Style – The items in this dropdown list are defined in the Tally Logic>UMD Control Expressions editor. Generally these items determine whether a display will monitor a signal input or signal output and the style of name that is shown for each type. The text in UMDs given a source-based monitoring style will remain fixed unless the name of the source changes. The text in UMDs given a destination-based (routed) monitoring style will automatically change as different sources are routed into the monitor. Most of the monitoring styles also include an on-air indication of sorts, usually a text colour change. The items in this list are fully customizable, however the predefined monitoring styles are suitable for most tally system applications.

  • Monitoring Description – This non-editable field shows a description for the currently selected Monitoring Style. It is created along with the Monitoring Style in the Tally Logic>UMD Control Expressions editor. This field also has a special role as the drag-and-drop target used to assign signal sources or destinations to the UMD. Sources or destinations dragged from the menu tree pane into this field become part of the operation of the UMD, and the name of such sources or destinations are displayed as part of the Monitoring Description.

  • Text Override – An non-blank entry in this field will override the current text contents of the display, allowing the operating to change the text contents of a UMD at will. The text override entry affects only the text of one UMD and has no effect on source names. The on-air tally capability of the display is not affected, nor are other text effects such as normal colour, font, centering, etc. Note that for routed monitors where the displayed source name normally changes as different sources are routed into the associated monitor, the text of an overridden UMD will remain fixed while the override is in place; in this case the text override needs to be removed manually to correct the display. Therefore text overrides are best used in source displays, in which the text is normally fixed. Overrides of a destination display are most conveniently done where it is anticipated that the routing of the associated monitor will not change during a show. The text override can be removed by deleting the contents of this field.

  • Tally Area – In the Plant Layout>Tally Areas>Multiple Control Rooms editor the various control rooms within a broadcast plant can be defined in terms of the signal destinations that are the on-air outputs of the control rooms. A tally area is an area within the plant that services a control room and in which the UMDs are expected to reflect the on-air status of the signals that feed the control room. The tally areas are normally named after their control rooms and the tally area names will appear as options in this Tally Area drop-down list. A UMD assigned to a particular tally area will display the on-air indicator when the source that is displayed in the UMD is also present in the on-air output of the selected tally area control room.

  • Location – The name of the monitor wall to which the UMD has been assigned in the Plant Layout > Monitor Wall editor.

  • Raw Control – The operation of a UMD can be directly re-programmed by typing Image Video tally system embedded expressions, or text, or a mixture of both embedded expressions and text into this field. Typed text without embedded expressions is displayed verbatim in the UMD. Any text or embedded expressions typed into this field overrides the effects of all other fields on this editor row. This is an advanced feature which should be used only with a full understanding of tally system programming.

  • Raw Expression – This non-editable field displays the current programming of the UMD, which is a result of the Monitoring Style selection and any sources or destinations assigned to the UMD, or the result of any entry in the Raw Control field.


GPIs>Parallel Interface Devices

GPIs>Parallel Interface Devices

Glossary Item Box

GPIs:

Parallel Interface Devices

Overview

This menu bar, when clicked on either the [image] icon or the menu bar itself, reveals a list of other editors that are used to create three possible types of parallel interface devices: Model 4211 GPI units (serial connection), TXI-series GPI units (networked over Ethernet) and RCP-series generic control panels (serial connection).


GPIs>Parallel Interface Devices>4211

GPIs>Parallel Interface Devices>4211

Glossary Item Box

GPIs:

Parallel Interface Devices>4211

Overview

This editor is used to define Image Video Model 4211 GPI units that can be used to provide relays closures and detect relay closures or control voltages from other equipment for tally processing purposes.

Each line in this editor defines one Model 4211 unit.

General Operation of this Editor

  1. Before defining Model 4211 units in this editor, first define a port of Type 4211 in the Hardware>Comm Port Setup>Parallel Interface Ports editor pane.

  2. Click on the Menu Tree pane's GPIs>Parallel Interface Devices>4211 menu bar.

  3. Enter the name for a new Model 4211 unit (e.g. STUDIO1 if used to tally cameras in Studio 1), the name of the port to which this 4211 will be connected, and the size of the unit (usually 40). The 4211 unit is now defined.

    Tips: (1) Most 4211 units have an equal number of GPI inputs and GPI outputs, but if not, choose the larger of the two numbers to set the Size field. (2) Model 4211 units have DIP switches that need to be set. The DIP switch settings must be unique for a given Model 4211 port. To determine the DIP switch setting of each unit, take the field of this editor Address minus the port Address Block value from the Parallel Interface Ports editor, all divided by 8.

Table Columns

  • Name – This unique name is used in the GPIs>GPI Inputs and GPIs>GPI Outputs editing panes, where actual GPI inputs and outputs are defined.

  • Device Port – This drop-down list contains the names of Type-4211 ports created in the Hardware>Comm Port Setup>Parallel Interface Ports editing pane. Each item in this list is associated with a serial port (COM2-COM12) in a particular TSI tally controller. Choosing one of the ports named in this drop-down assigns the Model 4211 unit to the associated serial port.

  • Size – The number of GPI inputs and outputs supported by this Model 4211 unit. Sizes are in multiples of 8.

  • Address – This non-editable field number contains a GPI address for this Model 4211 unit. The address is calculated from the Address Block value entered entered under the Hardware>Comm Port Setup>Parallel Interface Ports editing pane for the Device Port assigned to this Model 4211 unit, and from the sizes of other Model 4211 assigned to the same port, in their order of appearance in this list. This address is generally required by the operator only for advanced GPI programming.


GPIs>Parallel Interface Devices>RCP

GPIs>Parallel Interface Devices>RCP

Glossary Item Box

GPIs:

Parallel Interface Devices>RCP

Overview

This editor is used to define Image Video RCP-series control panels that can programmed for various custom applications such as camera delegation.

Each line in this editor defines one RCP-series control panel.

General Operation of this Editor

  1. Before defining RCP-series control panels in this editor, first define a port of Type RCP in the Hardware>Comm Port Setup>Parallel Interface Ports editor pane.

  2. Click on the Menu Tree pane's GPIs>Parallel Interface Devices>RCP menu bar.

  3. For the new control panel, enter the name (e.g. STUDIO1 if used to tally cameras in Studio 1), the name of the port to which the control panel will be connected, the serial number of the RCP unit, and the size of the control panel (either 20 or 40 buttons). The RCP-series control panel is now defined.

Table Columns

  • Name – This unique name is used in the GPIs>GPI Inputs and GPIs>GPI Outputs editing panes, where actual GPI inputs and outputs are defined.

  • Device Port – This drop-down list contains the names of Type-RCP ports created in the Hardware>Comm Port Setup>Parallel Interface Ports editing pane. Each item in this list is associated with a serial port (COM2-COM12) in a particular TSI tally controller. Choosing one of the ports named in this drop-down assigns the RCP-series control panel to the associated serial port.

  • Serial # - Serial number of the control panel, usually a five-digit number, and excluding any leading zeroes. The number is visible on the back panel of the RCP unit.

  • Size – The number of buttons on the front of the unit, either 20 or 40.

  • Address – This non-editable field number contains a GPI address for this RCP-series control panel. The address is calculated from the Address Block value entered under the Hardware>Comm Port Setup>Parallel Interface Ports editing pane for the Device Port assigned to the RCP-Series unit, and from the sizes of other control panels assigned to the same port, in their order of appearance in this list. This address is generally required by the operator only for advanced GPI programming.


GPIs>Parallel Interface Devices>TXI-Series

GPIs>Parallel Interface Devices>TXI-Series

Glossary Item Box

GPIs:

Parallel Interface Devices>TXI-Series

Overview

This editor is used to define Image Video TXI-Series GPI units that can be used to provide relays closures and detect relay closures from other equipment for tally processing purposes.

Each line in this editor defines one TXI-Series unit.

General Operation of this Editor

  1. Before defining TXI-Series units in this editor, first define a port of Type TXI-Series in the Hardware>Comm Port Setup>Parallel Interface Ports editor pane.

  2. Click on the Menu Tree pane's GPIs>Parallel Interface Devices>TXI-Series menu bar.

  3. For the new TXI-Series unit, enter the unit's name (e.g. STUDIO1 if used to tally cameras in Studio 1), the name of the port to which the device will be connected, the IP address of the TXI-Series unit, and the Type (model) of the unit (either TXI-48 or TXI-80). The TXI-Series unit is now defined.

Table Columns

  • Name – This unique name is used in the GPIs>GPI Inputs and GPIs>GPI Outputs editing panes, where actual GPI inputs and outputs are defined.

  • Device Port – This drop-down list contains the names of Type-TXI-Series ports created in the Hardware>Comm Port Setup>Parallel Interface Ports editing pane. Each item in this list is associated with a particular TSI. Choosing one of the ports named in this drop-down assigns the TXI-Series unit with the associated network address.

  • Type – The type of TXI-Series unit, usually TXI-48 (48 GPI inputs and outputs) or TXI-80 (80 GPI inputs and outputs)

  • Address – This non-editable field number contains a GPI address for this TXI-Series unit. The address is calculated from the Address Block value entered under the Hardware>Comm Port Setup>Parallel Interface Ports editing pane for the Device Port assigned to the TXI-Series unit, and from the sizes of other TXI-Series assigned to the same port, in their order of appearance in this list. This address is generally required by the operator only for advanced GPI programming.


GPIs>GPI Inputs

GPIs>GPI Inputs

Glossary Item Box

GPIs:

GPI Inputs

Overview

Clicking on this menu bar does not invoke an editor, but reveals a list of Parallel Interface Devices (as programmed in the GPIs>Parallel Interface Devices editors).

Clicking on any of the menu bars under the GPI Inputs menu bar reveals a list of the GPI inputs in the selected parallel interface device. One or more of these GPI inputs can be dragged into the Monitoring Description column of a UMD, GPI output or Destination Definition editor in order to to monitor GPI inputs.


GPIs>GPI Outputs

GPIs>GPI Outputs

Glossary Item Box

GPIs:

GPI Outputs

Overview

Clicking on this menu bar does not invoke an editor, but reveals a list of Parallel Interface Devices (as programmed in the GPIs>Parallel Interface Devices editors).

Clicking on any of the menu bars reveals a list of the GPI outputs for the selected parallel interface device.


GPIs>GPI Outputs for TXI-Series or Model 4211 Parallel Interface Devices

GPIs>GPI Outputs for TXI-Series or Model 4211 Parallel Interface Devices

Glossary Item Box

GPIs:

GPI Outputs (TXI-Series/4211 Types)

Overview

This table defines the individual GPI outputs configured for each parallel interface device. The GPI outputs can be configured to trigger based on conditions set by the Monitoring Style.

Table Columns

  • GPI Output Name – This unique GPI output name is used within the TSI to identify the GPI output, the name should be meaningful but terse.

  • Output Address – This address identifies a GPI output with the parallel interface device. Numbering ranges from zero to one less than the number of outputs within the interface device. For example a TXI-80 parallel interface unit has 80 outputs; therefore the valid output addresses that can be entered into this field range from 0 to 79.

  • # of Outputs – A GPI output can consist of more than one physical GPI output. Up to 64 outputs can be grouped in this way. This number is usually set to 1.

  • Monitoring Style – The items in this dropdown list are defined in the Tally Logic>GPI Control Expressions editor. Generally these items determine whether a GPI will monitor a signal input, a signal output, a GPI input, or follow some other programming logic. For signal inputs the GPI output can be set when the signal input is determined to be on air or next-to-air. For signal outputs the GPI output can be set when the signal input selected by the signal destination is determined to be on air or next-to-air; thus the operation of the GPI output can be dynamic depending on signal routes. The items in this list are fully customizable, however the predefined monitoring styles are suitable for most tally system applications.

  • Monitoring Description – This non-editable field shows a description for the currently selected Monitoring Style. It is created along with the Monitoring Style in the Tally Logic>GPI Control Expressions editor. This field also has a special role as the drag-and-drop target used to assign signal sources or destinations to the GPI output. Sources or destinations dragged from the menu tree pane into this field become part of the operation of the GPI output. The name of such sources or destinations are displayed as part of the Monitoring Description.

  • Tally Area – In the Plant Layout>Tally Areas>Multiple Control Rooms editor the various control rooms within a broadcast plant can be defined in terms of the signal destinations that are the on-air outputs of the control rooms. A tally area is an area within the plant that services a control room and in which GPIs are expected to reflect the on-air status of the signals that feed the control room. The tally areas are normally named after their control rooms and the tally area names will appear as options in this Tally Area drop-down list. A GPI assigned to a particular tally area will activate when the source that is displayed in the UMD is also present in the on-air output of the selected tally area control room.

  • Raw Control – The operation of a GPI output can be directly re-programmed by typing Image Video tally system embedded expressions or numbers into this field. Any text typed into this field overrides the effects of all other fields in this editor row. This is an advanced feature which should be used only with a full understanding of tally system programming. Typing “1” into the raw control field forces a GPI output of size 1 on. Typing “0” into the raw control field forces the GPI output off.

  • Raw Expression – This non-editable field displays the current programming of the GPI output, which is a result of the Monitoring Style selection and any sources or destinations assigned to the GPI output, or the result of any entry in the Raw Control field.


GPIs>GPI Outputs for Control Panel LEDs

GPIs>GPI Outputs for Control Panel LEDs

Glossary Item Box

GPIs:

GPI Outputs (Control Panel LEDs)

Overview

This table defines the individual GPI outputs configured for each control panel. The GPI outputs can be configured to trigger based on conditions set by the Monitoring Style.

Table Columns

  • LED Name – This name should be chosen to be unique and should reflect the function of the panel key (e.g. CAM1, CR1, etc.).

  • Panel LED # - Number of LEDs within panel, numbered from left to right and top to bottom on the control panel surface.

  • # of LEDs – Drop-down list allows a selection of either 20 or 40 buttons.

  • Monitoring Style - The items in this dropdown list are defined in the Tally Logic>LED Control Expressions editor. Generally these items determine whether an LED will monitor a GPI input or follow some other programming logic. The items in this list are fully customizable.

  • Monitoring Description - This non-editable field shows a description for the currently selected Monitoring Style. It is created along with the Monitoring Style in the Tally Logic>LED Control Expressions editor. This field also has a special role as the drag-and-drop target used to assign GPI inputs to LED output. GPI inputs dragged from the menu tree pane into this field become part of the operation of the GPI output. The address of the assigned GPI inputs are displayed as part of the Monitoring Description.

  • Tally Area – In the Plant Layout>Tally Areas>Multiple Control Rooms editor the various control rooms within a broadcast plant can be defined in terms of the signal destinations that are the on-air outputs of the control rooms. A tally area is an area within the plant that services a control room and in which GPIs are expected to reflect the on-air status of the signals that feed the control room. The tally areas are normally named after their control rooms and the tally area names will appear as options in this Tally Area drop-down list. An RCP LED assigned to a particular tally area will activate when the source is present in the on-air output of the selected tally area control room.

  • Raw Control - The operation of an LED can be directly re-programmed by typing Image Video tally system embedded expressions or numbers into this field. Any text typed into this field overrides the effects of all other fields in this editor row. This is an advanced feature which should be used only with a full understanding of tally system programming. Typing “1” into the raw control field forces the LED on. Typing “0” into the raw control field forces the LED off.

  • Raw Expression - This non-editable field displays the current programming of the LED which is a result of the Monitoring Style selection and any GPI inputs assigned to the LED or the result of any entry in the Raw Control field.


I/O and Signals>Signal Paths

I/O and Signals>Signal Paths

Glossary Item Box

I/O and Signals:

Signal Paths

Overview

Signal paths describe signal connections (interconnects) between various routing and switching devices, as defined in the Comm Port Setup editors. The signal paths defined in the tally system configuration mimic the signal wiring of the broadcast plant. Each signal path (interconnect) has one origin and may feed one or more router or production switcher inputs. Each line in this editor defines one signal interconnect.

The tally system collects crosspoint information from various signal routers, production switchers and master control switchers, tracing these crosspoints in order to know which signals have arrived at the on-air output or other monitoring points within the broadcast plant. However the tally system also needs to know where these signals might travel from one signal switching unit to another; providing this external signal path information is the role of the signal paths editor.

Each line in this editor defines one signal path.

Table Columns

  • Interconnect Name - This unique name is used within the tally system controller to identify the interconnect, so the name should be meaningful but terse.

  • Signal Origin Device –This drop-down list allows the selection of one of the routers or switchers defined under Hardware>Comm Port Setup>Production & M/C Switchers or Hardware>Comm Port Setup>Routers. An output of this device, as specified in the Signal Origin field, is the signal path origin.

  • Signal Origin – This name will contain the name or number that denotes the output that feeds this signal path.

  • [Router or Switcher] Inputs – There can be one or more of these columns in the editor, one for each router or switcher device defined under the Hardware>Comm Port Setup editors. Each column header shows the name of one of these routers or production / master control switchers. Each column allows the user to specify one input to the router / switcher device. If a signal path connects to more than one input to the same router / switcher device, additional columns can be created manually by right-clicking the column and clicking on Insert Column. Column insertions should be kept to a minimum (i.e. the largest number of connections made to the same router / switcher device on the same signal path).


I/O and Signals>Source Definitions

I/O and Signals>Source Definitions

Glossary Item Box

I/O and Signals:

Source Definitions

Overview

A signal source, as the term is used in Tally System Console 2, is the originating and most upstream signal source, not fed by any other signal. Each source in this table is “virtual”, and is used to tie together a number of router and production switcher inputs that are fed by the same signal. In this way a signal source that arrives at some monitor or on-air output is treated as the same signal regardless of the signal route it takes to get there.

When the source definition for a set of inputs is assigned to a UMD, the name of the source, or the Short Name or Long Name of the source is displayed, rather than the names of the router and production switcher inputs that make up the source definition. This is because the tally controller “traces through” the router and production switcher inputs of the source definition and stops at the apparent most upstream signal source, which is the virtual Source Definition. The router and production switcher inputs that are fed by a virtual source are called “signal ends”. It is possible and not uncommon to also to include single-end source definitions in the configuration for consistency.

Each line in this editor defines one source definition.

Table Columns

  • Source Name – This unique name is used within the TSI to identify the source. The name should be meaningful but terse. The use of spaces in this name is discouraged. This name is displayed in UMDs if the Short Names and Long Names fields are left blank.

  • Short Name – Depending on the programming of a UMD, this name can be displayed in place of the source name.

  • Long Name – Depending on the programming of a UMD, this name can be displayed in place of the source name.

  • [Router or Switcher] Inputs – These are the router inputs, the master control switcher inputs or the production switcher inputs that are fed by this source. These columns are “dynamic” in that the columns appear in the editor as new router or switcher devices are entered in the Hardware>Comm Port Setup editors. There is one column for each switcher device and for each router device level. The form of name or number entered in this field depends on the protocol used to communicate with the device (the protocol is selected in Protocol column of the Hardware>Comm Port Setup>Routers editor or Hardware>Comm Port Setup>Production & M/C Switchers editor). Generally for production or master control switchers, the primary inputs are numbered. In most production or master control switchers there are also a set of special inputs which are given names. Clicking on the empty field provides a popup list of these special named inputs. For routers, in most protocols the inputs are simply numbered. A few router protocols use mnemonic names (e.g. CAM1, EVS-2, etc.) and these names must match the names specified in the router system configuration tables. The mnemonic names are usually the category / number combination entered at router control panels. At present the routers that use mnemonic names are Grass Valley SMS-7000 and Encore, Sony DVS-series routers (S-bus) Sony HKSP-R80 router interface (S-bus over IP), and Pesa TCP/IP-based router protocol (Perc2000 controller). All other routers use numbered inputs.


I/O and Signals>Destination Definitions

I/O and Signals>Destination Definitions

Glossary Item Box

I/O and Signals:

Destination Definitions

Overview

This editor is used to create a destination name alias for use within Tally System Console 2, and may also be used to program switch commands to control the inputs selected by the destination.

A “destination” or “output”, as the term in used in Tally System Console 2, is a signal exit from a signal router, a production switcher or a master control switcher. Such an output or destination can be assigned to a UMD or a GPI output in order generate on-air or next-to-air tally based on the state of the input selected by the destination. These destinations can optionally be given alias names which can be used within Tally System Console 2 to make the assignments based on a name rather than the simple output number by which the outputs are often referenced. Typically the destination definitions are created in this editor, then the named destinations can be dragged from the menu tree pane into some other editor such as the UMD editor, to be monitored by the tally system. The Destination Name given the output is used only within Tally System Console 2 and is not sent to the tally system and does not appear in any UMDs. To change the names of outputs that appear in UMDs use one of the I/O and Signals>[router or switcher] – Output Names editors.

Each line in this editor defines one destination alias.

Table Columns

  • Destination Name - Name of router or switcher output used in other parts of Tally System Console 2. This name is not sent to any TSI tally controller and does not appear in any UMDs.

  • Output Device - This drop-down list selects the router, production switcher or master control switcher for the destination being aliased.

  • Output Device IO - The specific destination which is being aliased by this entry. The form of name or number entered in this field depends on the protocol used to communicate with the device (the protocol is selected in Protocol column the Hardware>Comm Port Setup>Routers editor or Hardware>Comm Port Setup>Production & M/C Switchers editor). Generally for production or master control switchers, the destinations are named.

    If the switcher has a fixed set of destination names, clicking on this field will provide a popup list of these names to select from:

    For routers, in most protocols the destinations are simply numbered. A few routers use mnemonic names (e.g. MON1, EVS-2, etc.) and these names must match the names specified in the router system configuration tables. The mnemonic names are usually the category / number combination entered at router control panels. At present the routers that use mnemonic names are Grass Valley SMS-7000 and Encore, Sony DVS-series routers (S-bus) Sony HKSP-R80 router interface (S-bus over IP), and Pesa TCP/IP-based router protocol (Perc2000 controller). All other routers use numbered outputs.

  • Control Style - The items in this dropdown list are defined in the Tally Logic>Crosspoint Control Expressions editor. Generally these items determine whether the destination will switch based on a GPI input, the crosspoint status of another destination, or by manually dragging an input from the same router or switcher into the Control Style Description field. The items in this list are fully customizable.

  • Control Style Description - This non-editable field shows a description for the currently selected Control Style. It is created along with the Control Style in the Tally Logic>Crosspoint Control Expressions editor. This field also has a special role as the drag-and-drop target used to assign GPI inputs, some other router or switcher destination, or a router or switcher input to the destination; these items dragged from the menu tree pane into this field become part of the switching logic of the destination. The name of the item dragged into this field is displayed as part of the Control Style Description.

  • Raw Control - The operation of a router destination can be directly programmed by typing Image Video tally system embedded expressions or names into this field. Any text typed into this field overrides the effects of all other fields in this editor row. This is an advanced feature which should be used only with a full understanding of tally system programming. Text typed into this field is interpreted by the tally controller as the name of an input to which this destination will be switched. Embedded expressions typed into this field are evaluated by the tally controller and the end result interpreted as the name of an router input (in the same router device and on the same level) to which this destination will be switched whenever the evaluated end result changes. Note that the name of the input must include the square-bracketed level suffix, and for numbered inputs the input number must contain three digits with leading zeroes as necessary (e.g. 002[1]).

  • Raw Expression - This non-editable field displays the current programming of the Destination, which is a result of the Control Style selection and any items dragged to the Control Style Description, unless it is the result of an entry in the Raw Control field.


I/O and Signals>Input Definitions

I/O and Signals>Input Definitions

Glossary Item Box

I/O and Signals:

Input Definitions

Overview

An “input” as the term in used in Tally System Console 2 is a signal entry point into a signal router, a production switcher or a master control switcher. Such an input can be assigned to a UMD or a GPI output in order generate on-air or next-to-air tally based on the state of the input. These inputs can optionally be given alias names which can be used within Tally System Console 2 to make the assignments based on a name rather than the simple input number by which the inputs are usually referenced. Typically the input definitions are created in this editor, then the named inputs can be dragged from the menu tree pane into some other editor such as the UMD editor in order to be monitored by the tally system. The same operation could also be performed by dragging the input from the menu tree pane's I/O and Signals>[router or switcher] – Input Names dropdown list, but (a) the names in this list are numeric and (b) the Monitoring Description for the UMD or GPI output would simply show a number rather than a user-friendly name. The Input Alias Name given the input is used only within Tally System Console 2 and is not sent to the tally system and does not appear in any UMDs. To change the names of the inputs that appear in UMDs, use one of the I/O and Signals>[router or switcher] – Input Names editors.

Each line in this editor defines one input alias.

Table Columns

  • Input Alias – Name of router or switcher input used in other parts of Tally System Console 2. This name is not sent to any TSI tally controller and does not appear in any UMDs.

  • Input Device – This drop-down list selects the router, production switcher or master control switcher for the input being aliased.

  • Input Device IO – The specific input which is being aliased by this entry. The form of name or number entered in this field depends on the protocol used to communicate with the device (the protocol is selected in Protocol column under the Hardware>Comm Port Setup>Routers editor or Hardware>Comm Port Setup>Production & M/C Switchers editor). Generally for production or master control switchers, the primary inputs are numbered. In most production or master control switchers there are also a set of special inputs which are given names.

    If the switcher has a fixed set of input names, clicking on this field will provide a popup list of these names to select from:

    For routers, in most protocols the inputs are simply numbered. A few routers use mnemonic names (e.g. CAM1, EVS-2, etc.) and these names must match the names specified in the router system configuration tables. The mnemonic names are usually the category / number combination entered at router control panels. At present the routers that use mnemonic names are Grass Valley SMS-7000 and Encore, Sony DVS-series routers (S-Bus) Sony HKSP-R80 router interface (S-bus over IP), and Pesa TCP/IP-based router protocol (Perc2000 controller). All other routers use numbered inputs.


I/O and Signals>[Router or Switcher]>Input Names

I/O and Signals>[Router or Switcher]>Input Names

Glossary Item Box

I/O and Signals:

[Router/Switcher]>Input Names

Overview

The inputs of routers and production or master control switchers have protocol-mandated input names or numbers which are not necessarily useful or informative enough to be shown on a UMD, although these names will appear in a UMD if no other alternative is available. These names tend to get replaced upon display because either (a) the input name is entered in the Input field of the I/O and Signals>Source Definitions editor, and the source definition for this input is used in UMDs instead of the input directly or (b) the input name is used directly in a UMD but the input has been given a “user-friendly” Long Name or Short name in this Input Names editor. Direct use of an input in UMDs is correct only if the input is fed by a signal source that feeds only the one router or production or master control switcher input; otherwise the source will be tallied differently depending on which of the various inputs fed by the source has arrived on air or at the monitoring point UMD. Except in very simple systems (for example one where all of the signal sources are wired into the productions switcher), using source definitions in UMDs, rather than inputs directly, is usually the better choice, in which case assigning Long Names and Short Names to inputs in this editor is unnecessary.

Each line in this editor defines one input name set.

General Operation of this Editor

  1. This editor appears under the I/O and Signals tab for each router or switcher device that is created in the Hardware>Comm Port Setup>Production & M/C Switchers or the Hardware>Comm Port Setup>Routers editor. The name of the router or switcher is given as part of the title in the menu bar (e.g. “PCR1 – Input Names” or “PCR1 – Output Names”).

  2. To override the name of the router or switcher input, enter the protocol-mandated input name or number, and fill in a Long Name and Short Name. The Long Name and Short Name are the names that will appear in UMDs depending on how the UMDs are programmed and with the caveats described above. A change to the Style A and Style B selection is optional (these can usually be left alone). The Priority entry is necessary only if multi-source UMDs are needed and if important source names being in them are lost because many sources are appearing for the size of the displays.

Table Columns

  • IO Name – The name or number of the input which is being given UMD-displayable names. The form of name or number entered in this field depends on the protocol used to communicate with the device (the protocol is selected in the Protocol column under Hardware>Comm Port Setup>Routers editor or Hardware>Comm Port Setup>Production & M/C Switchers editor). Generally for production or master control switchers, the primary inputs are numbered. In most production or master control switchers there are also a set of special inputs which are named. A few routers use mnemonic names (e.g. CAM1, EVS-2, etc.) and these names must match the names specified in the router system configuration tables. The mnemonic names are usually the category / number combination entered at router control panels. At present the routers that use mnemonic names are Grass Valley SMS-7000 and Encore, Sony DVS-series routers (S-bus) Sony HKSP-R80 router interface (S-bus over IP), and Pesa TCP/IP-based router protocol (Perc2000 controller). All other routers use numbered inputs.

  • Short Name – UMDs programmed to show the Short Name will show the name entered in this field, in place of the protocol-mandated input name or number, whenever this input is displayed in the UMD.

  • Long Name – UMDs programmed to show the Long Name will show the name entered in this field, in place of the protocol-mandated input name or number, whenever this input is displayed in the UMD.

  • Style A – This drop-down list allows “Style A” to be assigned as any one of the Primary Name (usually blank and not used), the Secondary Name (the protocol-mandated name or number), the Short Name, the Long Name or the style of Style B. For the given input, UMDs programmed to use “Style A” will use the value of “Style A” to determine which name to display. The Style A dropdown allows the name style to be changed for this input in all UMDs programmed to use Style A. If no selection is made in this dropdown Long Name is assigned to Style A.

  • Style B - This drop-down list allows “Style B” to be assigned as any one of the Primary Name (usually blank and not used), the Secondary Name (the protocol-mandated name or number), the Short Name, the Long Name or the style of Style A. For the given input, UMDs programmed to use “Style B” will use the value of “Style B” to determine which name to display. The Style B dropdown allows the name style to be changed for this input in all UMDs programmed to use Style B. If no selection is made in this dropdown Style A is assigned to Style B.

  • Input Type – Designates whether the input is marked as a Re-entry input. When the input as marked as re-entry, the input becomes the most upstream source and the TSI will stop tracing once it has reached this input. This is particularly useful if you want to specify exactly how many levels the TSI should trace before stopping.

  • Redirect - Redirects the tracing of the source name to come from a different source. The short name, long name, or both names can be redirected to lookup a different source by specifying which source to trace. Four drop-down options are available:

    None - No redirect performed

    Short - Redirection only for Short Name

    Long - Redirection only for Long Name

    Both - Redirection for both Short and Long Name

    When redirection is enabled, one or both of the Short/Long Name fields will gray-out. The grayed-out fields will be accepting a drag-and-dropped input. Select an input from the Input Definitions or resource device Input Names, and drag the names into the grayed-out fields.

  • Priority – This field is used to give an order-of-appearance priority inputs when they appear in multi-source UMDs. This allows “less important” inputs to be dropped from the display first if the display runs out of room to display all of the sources present at the monitoring point. Without a priority setting, multi-source displays show the sources in alphabetical order. Multi-source displays are usually used to display the sources selected on program or preset buses. Note that such displays are usually programmed to use the Short Names rather than the Long Names to make more room for source names.


I/O and Signals>[Router or Switcher]>Output Names

I/O and Signals>[Router or Switcher]>Output Names

Glossary Item Box

I/O and Signals:

[Router/Switcher]>Output Names

Overview

The outputs of routers and production or master control switchers have protocol-mandated names or numbers which are not necessarily useful or informative enough to be shown on a UMD, although these names will appear in a UMD if no other alternative is available. Output names are rarely displayed in UMDs, mainly to show the name of a monitoring destination in addition to the source selected by the destination. The Long Name and Short name assigned in this editor are useful for this kind of labelling.

Each line in this editor defines one output name set.

General Operation of this Editor

  1. This editor appears under the I/O and Signals tab for each router or switcher device that is created in the Hardware>Comm Port Setup>Production & M/C Switchers or the Hardware>Comm Port Setup>Routers editor. The name of the router or switcher is given as part of the title in the menu bar (e.g. “PCR1 – Input Names” or “PCR1 – Output Names”).

  2. To override the name of the router or switcher output, enter the protocol-mandated output name or number, and fill in a Long Name and Short Name. The Long Name and Short Name are the names that may appear in UMDs, depending on how the UMDs are programmed. A change to the Style A and Style B selection is optional (these can usually be left alone). The Priority entry is not used for outputs.

Table Columns

  • IO Name – The name or number of the output which is being given UMD-displayable names. The form of name or number entered in this field depends on the protocol used to communicate with the routing or switching device (the protocol is selected in Protocol column of the Hardware>Comm Port Setup>Routers editor or Hardware>Comm Port Setup>Production & M/C Switchers editor). Generally for production or master control switchers the outputs are named. For routers, in most protocols, the outputs are simply numbered. A few routers use mnemonic names (e.g. CAM1, EVS-2, etc.) and these names must match the names specified in the router system configuration tables. The mnemonic names are usually the category / number combination entered at router control panels. At present the routers that use mnemonic names are Grass Valley SMS-7000 and Encore, Sony DVS-series routers (S-bus) Sony HKSP-R80 router interface (S-bus over IP), and Pesa TCP/IP-based router protocol (Perc2000 controller). All other routers use numbered outputs.

  • Short Name – UMDs programmed to show the Short Name will show the name entered in this field, in place of the protocol-mandated output name or number, whenever this output is displayed in the UMD.

  • Long Name – UMDs programmed to show the Long Name will show the name entered in this field, in place of the protocol-mandated output name or number, whenever this output is displayed in the UMD.

  • Style A – This drop-down list allows “Style A” to be assigned as any one of the Primary Name (usually blank and not used), the Secondary Name (the protocol-mandated name or number), the Short Name, the Long Name or the style of Style B. For the given output, UMDs programmed to use “Style A” will use the the value of “Style A” to determine which name to display. The Style A dropdown allows the name style to be changed for this output in all UMDs programmed to use Style A. If no selection is made in this dropdown, Long Name is assigned to Style A.

  • Style B - This drop-down list allows “Style B” to be assigned as any one of the Primary Name (usually blank and not used), the Secondary Name (the protocol-mandated name or number), the Short Name, the Long Name or the style of Style A. For the given output, UMDs programmed to use “Style B” will use the the value of “Style B” to determine which name to display. The Style B dropdown allows the name style to be changed for this output in all UMDs programmed to use Style B. If no selection is made in this dropdown Style A is assigned to Style B.

  • Redirect - Redirects the tracing of the source name to come from a different source. The short name, long name, or both names can be redirected to lookup a different source by specifying which source to trace. Four drop-down options are available:

    None - No redirect performed

    Short - Redirection only for Short Name

    Long - Redirection only for Long Name

    Both - Redirection for both Short and Long Name

    When redirection is enabled, one or both of the Short/Long Name fields will gray-out. The grayed-out fields will be accepting a drag-and-dropped input. Select an input from the Destination Definitions or resource device Output Names, and drag the names into the grayed-out fields.

  • Priority – Not used for outputs.


Plant Layout>Tally Areas>Single/Multiple Control Rooms

Plant Layout>Tally Areas>Single/Multiple Control Rooms

Glossary Item Box

Plant Layout:

Tally Areas>Single/Multiple Control Rooms

Overview

  • Tally Area Name - A tally area is an area within the plant that services a control room and in which GPIs and UMDs are expected to reflect various kinds of tally status (on air, next-to-air, iso-tally, etc.) for signals that feed the control room. The tally areas are normally named after their control rooms and the tally area names will appear as options in the Tally Area drop-down list in the UMDs and GPI outputs editors. A GPI or UMD assigned to a particular tally area will indicate a tallied condition when the source that is associated with the GPI output or UMD appears in the appropriate output destinations.

  • Symbol – Not currently used.


Plant Layout>Tally Areas>Single Control Rooms

Plant Layout>Tally Areas>Single Control Rooms

Glossary Item Box

Plant Layout:

Tally Areas>Single Control Rooms

Overview

refer to Plant Layout>Tally Areas>Single/Multiple Control Rooms


Plant Layout>Tally Areas>Multiple Control Rooms

Plant Layout>Tally Areas>Multiple Control Rooms

Glossary Item Box

Plant Layout:

Tally Areas>Multiple Control Rooms

Overview

refer to Plant Layout>Tally Areas>Single/Multiple Control Rooms


Plant Layout>Tally Areas>Single Control Rooms>[Tally Area]

Plant Layout>Tally Areas>Single Control Rooms>[Tally Area]

Glossary Item Box

Plant Layout:

Tally Areas>Single Control Rooms>[Tally Area]

Overview

Within a single tally area, a tally type is a collection of special router, production or master control switcher destinations (signal outputs), which require a tally to be generated for any source routed to any of the destinations in the collection. For example the program output of a production switcher could be listed in the destination list of a tally type called PGM. Any source appearing on the listed program bus would be considered “on program” (on air) and would trigger an on-air indicator in any UMD assigned to the tally area and display the source. Typically each tally type for a given tally area will have a distinct tally indicator in UMDs and GPI outputs. For example, amber and red colours might be used in UMDs to indicate on-air and next-to-air sources respectively, while red and green lamps might be used to tally cameras on-air or on iso-record respectively.

In single control rooms only two predefined tally types, PGM and PST, are available for each Tally Area.

Requirements

  • If the tally system console was not already installed for use with Single Control Rooms, the Single Control Room Configuration Library should be activated by clicking on Management>Configuration>Libraries. Ensure that Single Control Room Configuration Library is checked and click OK.
  • Click File>New to clear the configuration.
  • The signal switcher or routers that will place signals on air must then be created under the Hardware>Comm Port Setup>Production & M/C Switchers editor or the Hardware>Comm Port Setup>Routers editor. Destination definitions then need to be created in the I/O and Signals>Destination Definitions editor for the program output, preset output, or any other outputs that will tallied (e.g. router outputs used for iso-recording, or a program bus from another control room for a secondary tally).

General Operation of this Editor

  1. For a single control system, two tally types, called PGM and PST are automatically predefined. Click on Plant Layout>Single Control Rooms. In the editor pane enter a name under Tally Area Name. A new entry for the tally area will appear under the Single Control Room menu tab.

  2. Click on the new entry to show the tally area table in the editor pane.

  3. Select a destination under the Destinations column for the PGM and PST tally types:

  4. If more than one destination will be used to tally a single tally type, right-click the Destination column and click Insert Column. Choose to insert column to the Right of the Selected Column. Select another destination in the new column.

Table Columns

  • Tally Type – Name of the tally type. Default tally type names are PGM (Program) and PST (Preset). User defined tally type names can be created such as ISO (Iso-tally). The default tally type names PGM and PST are fixed names required by the tally logic expressions.

  • Destinations - List of special destinations deemed to require a tally indication for any source routed to the destination.


Plant Layout>Tally Areas>Multiple Control Rooms>[Tally Area]

Plant Layout>Tally Areas>Multiple Control Rooms>[Tally Area]

Glossary Item Box

Plant Layout:

Tally Areas>Multiple Control Rooms>[Tally Area]

Overview

Within a single tally area, a tally type is a collection of special router, production or master control switcher destinations (signal outputs), which require a tally to be generated for any source routed to any of the destinations in the collection. For example the program output of a production switcher could be listed in the destination list of a tally type called PGM. Any source appearing on the listed program bus would be considered “on program” (on air) and would trigger an on-air indicator in any UMD assigned to the tally area and display the source. Typically each tally type for a given tally area will have a distinct tally indicator in UMDs and GPI outputs. For example, amber and red colours might be used in UMDs to indicate on-air and next-to-air sources respectively, while red and green lamps might be used to tally cameras on-air or on iso-record respectively.

In multiple control systems up to eight tally types, can be created for each Tally Area. The default tally types, PGM, PST, and EXT are required by the tally logic expressions.

Requirements

  • The Multiple Control Room Configuration Library should be activated (if the tally system console was not already installed for use with Multiple Control Rooms) by clicking on Management>Configuration>Libraries. Ensure that Multiple Control Room Configuration Library is checked and click OK.
  • Click File > New to clear the configuration.
  • The signal switcher or routers that will place signals on air must be created in the Hardware>Comm Port Setup>Production & M/C Switchers editor or the Hardware>Comm Port Setup>Routers editor. Destination definitions then need to be created in the I/O and Signals>Destination Definitions editor for the program output, preset output, or any other outputs that will tallied (e.g. router outputs used for iso-recording, or a program bus from another control room for a secondary tally).

General Operation of this Editor

  1. For a multiple control system, there are no predefined tally types. Click on Plant Layout>Multiple Control Rooms. In the editor pane enter a name under Tally Area Name. A new entry for the tally area will appear under the Multiple Control Room menu tab.

  2. Click on the new entry to show the tally area table in the editor pane.

  3. Enter in a tally type name (up to eight different types allowed). Then select a corresponding destination under the Destinations column for that tally type:

  4. If more than one destination will be used to tally a single tally type, right-click the Destination column and click Insert Column. Choose to insert column to the Right of the Selected Column. Select another destination in the new column.

Table Columns

  • Tally Type – Name of the tally type. Typical tally type names are PGM (Program), PST (Preset), and EXT (External). User defined tally types such as ISO (Iso-tally) can be created. The default tally logic will use PGM, PST, and EXT tally types.

  • Destinations - List of special destinations deemed to require a tally indication for any source routed to the destination.


Plant Layout>Monitor Walls

Plant Layout>Monitor Walls

Glossary Item Box

Plant Layout:

Monitor Walls

Overview

Defines one or more monitor wall layouts. Each layout provides a graphical representation of the displays for a broadcast plant as well as real-time display status.

Table Columns

  • Name – Name of virtual monitor wall.

  • Status – Opens the virtual monitor wall.


Plant Layout>Remote Control Panels

Plant Layout>Remote Control Panels

Glossary Item Box

Plant Layout:

Remote Control Panels

Overview

Defines one or more Remote Control Panel layouts. Each layout provides a graphical representation of one or more RCP panel and the assigned function for each button.

Table Columns

  • Name – Name of RCP layout.

  • Status – Opens the RCP layout.


Plant Layout>RCP Button Groups

Plant Layout>RCP Button Groups

Glossary Item Box

Plant Layout:

RCP Button Groups

Overview

This editor is used to define individual groups for an RCP panel layout. A group contains a collection of buttons. A default style can be assigned to the group. As buttons are added into the group, they will take on the default style.

Buttons will inherit the group style. A button's local style (if one was previously assigned) will be preserved. Priority will go to the group style when the button is used in the RCP panel layout.

General Operation of this Editor

  1. Enter a name for the button group

  2. Assign a monitoring style for the group entry

Table Columns

  • Name – The unique name for the button group.

  • Monitoring Style - The style that will be set for all buttons that are assigned into this group. This is useful when, for example, a number of buttons are to be assigned as sources in the RCP panel. Rather than setting each button to the specified style, the button only needs to be added to the group to inherit the group style.

  • Comments - The field is provided for the convenience of the tally system programmer or user in order to allow comments about the group to be saved with the configuration.


Plant Layout>RCP Button Group Properties

Plant Layout>RCP Button Group Properties

Glossary Item Box

Plant Layout:

RCP Button Group Properties

Overview

This editor is used to define the macros associated with each individual group. Buttons that are assigned to the group will have access to the macro using the <#macro> operator (see Drag-Drop Parameters ).

An advantage to assigning specific macros to a group is that each group (and therefore any buttons that fall in that group) can behave differently from one another because their macro values differ.

For example: Suppose each group is assigned a generic style: "<#Source-1> is on-air, <#Source-2> is off-air"

Group1's RCP Button Group Properties (macro / value):

  • Source-1 / CAM1
  • Source-2 / CAM2

Group2's RCP Button Group Properties (macro / value):

  • Source-1 / VHS1
  • Source-2 / VHS2

Group3's RCP Button Group Properties (macro / value):

  • Source-1 / SSTOR
  • Source-2 / ME1PGM

Then all buttons in Group1 will be assigned with "CAM1 is on-air, CAM2 is off-air". All buttons in Group2 will be assigned "VHS1 is on-air, VHS2 is off-air". All buttons in Group3 will be assigned "SSTOR is on-air, ME1PGM is off-air".

A button can only access the macros belonging to the group that it belongs in. In other words, if a button is assigned to Group1, it is unable to access <#Source-1> and <#Source-2> for Group2 or Group3's macros.

General Operation of this Editor

  1. Enter a unique name for the macro

  2. Enter the value of the macro

Table Columns

  • Name – The unique name for the macro.

  • Value - The value of the macro. This is the value that will be shown when accessed via the <#macro> operator.

  • Comments - The field is provided for the convenience of the tally system programmer or user in order to allow comments about the macro to be saved with the configuration.


Plant Layout>Tally Maps

Plant Layout>Tally Maps

Glossary Item Box

Plant Layout:

Tally Maps

Overview

Defines one or more tally map layouts. Each layout provides a graphical representation of assignments between inputs and outputs within a pin-grid matrix interface.

Table Columns

  • Name - Name of the tally map layout
  • View - Opens the tally map layout


Plant Layout>Tally Map Inputs

Plant Layout>Tally Map Inputs

Glossary Item Box

Plant Layout:

Tally Map Inputs

Overview

This editor is used to define the tally map inputs that will be used within a tally map layout. Once the inputs are added into this table, they will automatically appear within the tally map layout screen.

General Operation of this Editor

  • Enter a name for the tally map input.

  • Assign a control style to the tally map input (an output device type should be selected automatically based on the control style)

  • Drag-and-drop any required objects into the Description field to complete the style.

Table Columns

  • Name – A name for the tally map input. More than one tally map input can have the same name ONLY if the Assigned Output Device Type is different. In other words, one tally map input can have up to 4 different behaviors depending on the tally map style -- as long as they all have the same tally map input name and different Output Device Type to distinguish between one another.

  • Control Style - The style defines the behavior of the tally map input. The tally map input feeds the tally map output with the information that should be displayed, but it is the output device that determines how/what gets displayed. The tally map input style selected should define what type of information will be sent to the output device.

  • Description - The field provides a description of the style assigned. Usually the description will indicate if one or more drag-and-drop objects are required in order to complete the style expression. The style expression must be completed in order for the selected control style to work properly.

  • Assigned Output Device Type - The output device type associated with the tally map input. Each tally map input can select any of the 4 output device types: UMD Device, GPI Outputs, RCP LED Outputs, Output Control. When a tally map assignment is applied in the pin-grid matrix, the output device will only be assigned to the tally map input with the matching Assigned Output Device Type.

  • Raw Control - Quickly override the tally map input control style with a user-defined expression.


Tally Logic>UMD/GPI/LED Control Expressions

Tally Logic>UMD/GPI/LED Control Expressions

Glossary Item Box

Tally Logic:

UMD/GPI/LED Control Expressions

Overview

These control expressions editors are used for custom and an advanced programming of UMDs, GPI outputs, and control panel LEDs. The predefined control expressions are appropriate for most common tally system applications.

Each line in this editor defines one control expression.

Table Columns

  • Style Name – The name of the control expression by which it is listed in the Monitoring Style column of the UMD, GPI Output, LED, and Destination Definition editor. If the style contains drag-drop parameters then the control expression as it is used in the target device must be completed by dragging some additional information into the Monitoring Style column of the editor.

  • Style Type: - Indicates whether the style is a Tally Map Output style. When the style is marked as a Tally Map Output style, the style name will appear in the Tally Map Profile Settings. Keep blank if the style is not a Tally Map Output style.

  • Default For: - For UMDs and GPI outputs which have no monitoring style selected, this control expression is applied automatically if this type of drag-drop parameter is dragged into the target device. This allows UMDs to be created and assigned with drag-drop parameters without assigning a monitoring style.

  • Control Expression – Control expressions are a combination of text, embedded expressions and drag-drop parameters. Embedded functions are predefined keywords followed by a set of parentheses which contain comma-separated parameters (e.g. ADD(2,2)). Embedded functions allow the output of a text-programmed device to change based on factors other than the content of the text itself. For more information on Embedded Functions see the Image Video Tally System Training Manual. Drag-drop parameters are place-holders into which information dragged into the Editor Pane is inserted in order to complete a control expression. Drag-drop parameters typically contain items such signal sources, router or switcher inputs or outputs or GPI inputs. Drag-drop parameters are angle-bracketed text surrounding a parameter name (e.g. <P1>, <P2>, etc.). Repeated parameters receive the same drag-drop information. Text inserted into a control expression that is neither an embedded expression nor a drag-dop parameter is sent to the TSI and displayed or evaluated verbatim. For more information on drag-drop parameters see Drag - Drop Parameters.

  • Tally Mapper Optional Control Expression – The control expression that will be used by the Tally Map Input table when the style is selected. If no expression is found in the Tally Mapper Optional Control Expression field, the regular control expression will be used. All other tables other than the Tally Map Input table will use the regular control expression.

  • Description – This text appears in the Monitoring Description column, and allows the author of the control expression to provide a user-friendly description of the control expression purpose or logic for the user. Drag-drop parameters in the control expression should also be appropriately included in the description – in this case the name of the dragged-in parameter will be included in the control description.

  • Tally Mapper Input Label – The alternate text that can be shown for the Input side of a tally map layout. This field can include the same angle-bracketed place-holders used in the Control Expression and Description fields described above. The inputs belonging to the tally map layout must be set by the user to use the Tally Mapper Input Label expression rather than the standard "Input Name" (see Changing Tally Map Axis Labels).

  • RCP Button Label – This text appears in button images in the Remote Control Panel Layout editor. A button assigned with style from the LED Control Expressions will show text from this field in button image the Layout Editor. This field can include the same angle-bracketed place-holders used in the Control Expression and Description fields described above.

  • Comment – The field is provided for the convenience of the tally system programmer or user in order to allow comments about each control expression to be saved with the configuration.


Tally Logic>UMD Control Expressions

Tally Logic>UMD Control Expressions

Glossary Item Box

Tally Logic:

UMD Control Expressions

Overview

Refer to Tally Logic>UMD/GPI/LED Control Expressions


Tally Logic>GPI Control Expressions

Tally Logic>GPI Control Expressions

Glossary Item Box

Tally Logic:

GPI Control Expressions

Overview

Refer to Tally Logic>UMD/GPI/LED Control Expressions


Tally Logic>LED Control Expressions

Tally Logic>LED Control Expressions

Glossary Item Box

Tally Logic:

LED Control Expressions

Overview

Refer to Tally Logic>UMD/GPI/LED Control Expressions


Tally Logic>Crosspoint Control Expressions

Tally Logic>Crosspoint Control Expressions

Glossary Item Box

Tally Logic:

Crosspoint Control Expressions

Overview

This control expression editor is used for custom and advanced programming of switching logic for router destinations. The predefined control expressions are appropriate for most common tally system applications. Expressions created in this editor and assigned to a router destination in the editor pane's I/O and Signals>Destination Definitions editor, possibly along with some drag-and-drop parameters, allow router destination switching commands to sent to a router. For example, a router destination that monitors cameras can be switched between cameras by reading closures from the joystick-switches of an OCP station.

Each line in this editor defines one control expression.

Table Columns

  • Style Name – The name of the control expression by which it is listed in the Monitoring Style column of the Destination Definition editor. If the style contains drag-drop parameters then the control expression as it is used in the target device must be completed by dragging some additional information into the Monitoring Style column of the editor.

  • Style Type: - Indicates whether the style is a Tally Map Output style. When the style is marked as a Tally Map Output style, the style name will appear in the Tally Map Profile Settings. Keep blank if the style is not a Tally Map Output style.

  • Default For: - Indicates the condition required in order for this style to be selected by default. This is used in tally maps where the outputs are of the type Output Control. When assigning crosspoints on the tally map, the default style will be set for the output when the input type (the condition) is met.

  • Control Expression – Control expressions are a combination of text, embedded expressions and drag-drop parameters. Embedded functions are predefined keywords followed by a set of parentheses which contain comma-separated parameters (e.g. ADD(2,2)). Embedded functions allow the output of a text-programmed device to change based on factors other than the content of the text itself. For more information on Embedded Functions see the Image Video Tally System Training Manual. Drag-drop parameters are placeholders into which information dragged into the Edit Pane is inserted in order to complete a control expression. Drag-drop parameters typically contain items such signal sources, router or switcher inputs or outputs or GPI inputs. Drag-drop parameters are angle-bracketed text surrounding a parameter name (e.g. <P1>, <P2>, etc.). Repeated parameters receive the same drag-drop information. Text inserted into a control expression that is neither an embedded expression nor a drag-drop parameter is sent to the TSI and displayed or evaluated verbatim. For more information on drag-drop parameters see Drag - Drop Parameters .

  • Tally Mapper Optional Control Expression – The control expression that will be used by the Tally Map Input table when the style is selected. If no expression is found in the Tally Mapper Optional Control Expression field, the regular control expression will be used. All other tables other than the Tally Map Input table will use the regular control expression.

  • Description – This text appears in the Control Description column, and allows the author of the control expression to provide a user-friendly description of the control expression purpose or logic for the user. Drag-drop parameters in the control expression should also be appropriately included in the description – in this case the name of the dragged-in parameter will be included in the control description.

  • Tally Mapper Input Label – The alternate text that can be shown for the Input side of a tally map layout. This field can include the same angle-bracketed place-holders used in the Control Expression and Description fields described above. The inputs belonging to the tally map layout must be set by the user to use the Tally Mapper Input Label expression rather than the standard "Input Name" (see Changing Tally Map Axis Labels).

  • Comment – The field is provided for the convenience of the tally system programmer or user in order to allow comments about each control expression to be saved with the configuration.


Tally Logic>Subroutines

Tally Logic>Subroutines

Glossary Item Box

Tally Logic:

Subroutines

Overview

These subroutines are stored as “global messages” (variables) within each TSI, and can be referenced from within a control expression to execute complex expressions, or expressions that are referenced in many places. This can simplify the programming of complex functions, or simplify program maintenance by moving logic that is used in many places to one location for ease of future modifications. Unlike the Control Expressions the subroutines cannot be directly assigned using the Monitoring Style or Control Style columns in the UMD, GPI output, LED or Destination Definition editors; the subroutines have to be referenced from within the control expression using either the “V” of the “FN” embedded functions. The subroutines can also be reference by other subroutines in the same way.

Table Columns

  • Name – Name of the subroutine. This is used as the parameter of an embedded “V” of the “FN” function.

  • Control Expression – The actual expression that is read or executed by the TSI when its name is found as the parameter of an embedded “V” of the “FN” function.

  • Comment - The field is provided for the convenience of the tally system programmer or user in order to allow comments about each control expression to be saved with the configuration.


Introduction to the Monitor Wall Layout Designer

Introduction to the Monitor Wall Layout Designer

Glossary Item Box

Monitor Wall Layout:

Introduction to the Monitor Wall Layout Designer

Overview

The monitor wall layout designer provides a virtual space allowing one to build a "monitor wall" from within the Tally System Console Application. The virtual monitor wall can be designed in such a way as to mimic the broadcast plant's physical monitor wall layout, or any other user-defined layout styles. The virtual monitor wall can allow one to monitor the outputs driving UMDs from one or more TSI systems from within the application.

Having the virtual monitor wall show the output from the TSI systems can be useful especially if the UMDs have not been physically wired to the TSI systems yet, and you want to check that the TSI is properly configured. Similarly, the virtual monitor wall allows you to monitor the outputs from the TSI systems without having to actually be in front of the UMDs.

Getting Started

Follow the brief guides on understanding and using the Monitor Wall Layout Designer:

The Layout Control Panel

Layout Objects

Working with the Layout Designer

Adding Displays to the Layout

Assigning Monitoring Styles to Display Objects

Editing Display Object Properties


Layout Control Panel

Layout Control Panel

Glossary Item Box

Monitor Wall Layout:

Layout Control Panel

Overview

The layout control panel allows one to control the navigation and viewing aspects of the monitor wall. The panel is shown as a horizontal bar with several icons running across. Each icon will perform a certain function:

Layout Control Panel Buttons

Button | Description
 | Turns on or off the panning mode. When panning mode is enabled, the cursor changes from the default arrow-shape to the hand. The current monitor wall layout can be panned around by "grabbing" a certain area of the layout and moving the layout around. The actual positions of the displays in the layout do not move -- only the current viewing area. To pan the layout, click on one area of the layout with the left-mouse button and hold down the button while moving the mouse around. Release the left-mouse button when done.
 | Turns on or off the full screen display of the layout.


Layout Objects

Layout Objects

Glossary Item Box

Monitor Wall Layout:

Layout Objects

Overview

A layout object on the monitor wall is represented by a display object. If the display object is associated with a UMD, the display object will show information about the UMD such as the name, section #, the type of monitoring style used, and more. The tally display area on the display object will show the output driving that UMD from the TSI.

The tally display area will display any tally text as received from the TSI and can have one or more displayable sections, depending on the display type. The style and formatting of the tally text (e.g. green, amber, left-justified, etc...) should be identical to what an actual Under Monitor Display would display when driven by the TSI. This area is updated only when the Tally System Console 2 application is connected with the TSI systems.

Display Types

The layout currently supports several display types:

Display Type | Description
 | Quad-display used for VxV-4 and VxV4-HD displays. A quad-display has 4 sections - each section is drawn in one of the four smaller displays.
 | Single 16x9 display. This display has only 1 displayable tally section.
 | Single 4x3 display. This display has only 1 displayable tally section.
 | Dual 4x3 display. This display has 2 displayable sections.
 | Triple 4x3 display. This display has 3 displayable tally sections.
 | No informational display. Only 1 displayable tally section.


Working with the Layout Designer

Working with the Layout Designer

Glossary Item Box

Monitor Wall Layout:

Working with the Layout Designer

Overview

The layout is an empty canvas that can have different objects "dropped" into the layout. Once in the layout, the objects can be rearranged and resized in any number of ways. Typically a layout is designed to mimic the physical monitor wall layout of a broadcast facility, however, it is not necessary to do so.

Layout Designer Control Panel

The layout designer control panel provides additional ways to navigate and manage your layout. Read the Layout Control Panel topic for additional information.

Selecting Objects

  • An object on the layout can be selected by clicking on it with the left-mouse button. The object will show up as being selected when it changes colour.
  • One or more objects can be selected using the dragging method. Click and hold the left-mouse button to initiate the "dragging" mode. When you move the mouse in this mode, a translucent rectangular area will form indicating the selection area. Objects inside the selection area will be selected.

  • After you have made your selection, to select another object without losing the previous selection, you can hold down the CTRL-key and using the mouse, left-click on the new object. The new object will be added to your selection.

Resizing Objects

  • An object can be resized by holding the left-mouse button on one of its corners and then dragging the mouse. It is also possible to resize the sides of the object. When the mouse is moved over the sides or corners of the object, the icon will change to a directional arrow indicating that the object can be resized. The aspect ratio of the display area will be maintained even during resizing.

Moving Objects

  • Once one or more objects are selected, they can be moved around the layout by dragging them around the layout. If the objects are moved on top of already pre-existing objects, the position of the selected objects will revert back to the original position they were in prior to being moved.

Adding/Creating Objects

  • Display objects can be added or created on the layout either through dragging and dropping of UMDs onto the layout, or through the right-mouse-click menu. Refer to the Adding Displays to the Layout topic for additional information.


Adding Displays to the Layout

Adding Displays to the Layout

Glossary Item Box

Monitor Wall Layout:

Adding Displays to the Layout

Overview

In order for the UMDs in the virtual monitor wall layout to output messages from the TSI, display objects must first be added to the monitor wall. Each object must be associated with the UMD that they will monitor before any status information will be displayed on the layout.

There are 2 methods to add a display object to the layout:

Method #1

With the layout currently open in the right window pane, change to the UMDs tab in the left Menu Pane. Press the [image] icon to expand the list of available UMDs. Click to select the UMD that is to be added to the layout. Using the mouse, hold the left-mouse-click on the UMD and drag the mouse over to the layout. Release the left-mouse-click to "drop" the display object onto the layout. Upon dropping the UMD onto the layout, a display object will be created and the UMD will be associated with the display object automatically. When this happens, the information display area of the display object will show some properties of the UMD (e.g. name, section #, monitoring style, etc...).

NOTE: The type of display object will be selected automatically (e.g. quad display, single display, etc..) depending on the type of UMD. In the case of quad displays, even if only one UMD belonging to a quad-display is dropped into the layout, the Tally System Console 2 application will attempt to locate and assign all 4 UMDs that belong to that same quad-display. The UMDs will be matched based on their serial # and the assigned position in the quad-display will be determined by the section # for each of the UMDs.

Method #2

Right-click the layout to reveal a menu, allowing you to manually add an object onto the layout. Select the Add>Display Unit submenu to obtain a list of possible display types.

Choose the display type to add. After this point, the display object has been added to the layout but it has not been associated with any UMD. Thus, it will not show any information display or status output.

The display object then needs to be assigned a UMD as follows:

With the layout currently open in the right window pane, change to the UMDs tab in the left Menu Pane. Press the [image] icon to expand the list of available UMDs. Click to select the UMD that is to be added to the layout. Using the mouse, hold the left-mouse-click on the UMD and drag the mouse over the empty display object. Release the left-mouse-click to "drop" the UMD onto the display object. When this is complete, the display object should display the properties of the associated UMD (e.g. name, section #, monitoring style, etc...).


Assigning Monitoring Styles to Display Objects

Assigning Monitoring Styles to Display Objects

Glossary Item Box

Monitor Wall Layout:

Assigning Monitoring Styles to Display Objects

Overview

Once a display object has been created on the layout and assigned a UMD, it is possible to also select a monitoring style for the UMD if one has not been defined already. The monitoring style can be set in either within the UMDs>Display Devices (UMDs) table by changing the Monitoring Style property for that UMD, or it can be assigned immediately via the layout page.

Assigning a Monitoring Style

With the layout currently open in the right window pane, change to the Tally Logic tab in the left Menu Pane. Press the [image] icon to expand the list of available styles for UMD Control Expressions. Click to select an expression that is to be assigned to a display object on the layout. Using the mouse, hold the left-mouse-click on the expression and drag the mouse over and on top of the display object. Release the left-mouse-click to "drop" the expression into the display object. Upon dropping the expression into the display object, the monitoring style for the UMD will change - this will be reflected in the information display area of the display object. The information display area should show "Style" followed by the expression that was just dropped. The description of the expression will be shown as well.

Assigning Parameters to a Monitoring Style

Certain monitoring styles require additional information / parameters in order to properly function. Expressions that require additional parameters will show [] brackets within the description indicating that another object is required. Similarly to the monitoring style, the additional parameters can be added through the UMDs>Display Devices (UMDs) editing table, however, it is also possible to add the parameters from the layout page.

To add parameters through the layout, select the tab which contains the object that you wish to assign to the expression as a parameter.

In the example picture above, the description requires a Source object to be assigned: under the I/O and Signals tab, press the [image] icon beside Source Definitions to expand the list of available sources. Left-mouse-click on one source and drag it on top of the display object. When the left-mouse button is released, the source object is released and should then be assigned to the description. As a result, the description should change to reflect the new parameter:


Editing Display Object Properties

Editing Display Object Properties

Glossary Item Box

Monitor Wall Layout:

Editing Display Object Properties

Overview

The properties of a display object on the layout can be modified by either right-clicking on the object or by double-clicking.

Modifying Layout Properties

Right-clicking on a display object will reveal the following menu:

The menu will indicate the name of the current UMD associated with the display object at the top. Additional menu items related to the selected display object are shown as well:

Menu Item | Description
Display Type | Reveals a submenu with a list of other display types. When a display type is selected from this submenu, the current display object type will change to the new type that was selected.
Tally Position | Allows placement of the tally text - either above or below the information display area window of the display object. By default the tally text area will be shown below the information display area.
Unassign Display | Removes an associated UMD from the display object. Once unassociated, the display object will not show anything in the information display area or the tally text area.
Delete | Removes the display object from the layout

Modifying UMD Properties: Changing Override Text and Raw Expression

The Override Text or Raw Expression (or both) of a UMD can be modified from within the layout designer by double-clicking on the display object. This will reveal a window with an area to enter in text for either the Override Text and/or Raw Expression field.

NOTE: Either the Text Override or Raw Control or both field entries will be visible in the popup window. This is determined by the Double-click UMDs in Monitor Wall to Modify setting under the Management>Configuration page.

Field | Description
Text Override | This field is only used if the monitoring style assigned to the UMD makes use of the __TEXT variable. Such a monitoring style can be written such that a default expression will be displayed if no text override is used, and a different expression will be displayed if the text override field contains a string.
Raw Control | Causes the UMD to display its status output when evaluated using the entered raw expression. Removing the raw


Introduction to the RCP Layout Designer

Introduction to the RCP Layout Designer

Glossary Item Box

RCP Layout:

Introduction to the RCP Layout Designer

Overview

The RCP layout designer provides a virtual space allowing one to configure one or more RCP (Remote Control Panel) units from within the Tally System Console Application. The functionality of every individual button on an RCP can be configured on the layout designer by simply dragging and dropping in pre-programmed button styles onto the virtual RCP objects.

Since the functionality of the buttons are determined by control style expressions, RCPs can be configured to perform various tasks. Usually the RCPs can be configured to perform the following:

  • Camera delegation (assign which sources can be tallied by which control room)
  • Router control


RCP Layout Control Panel

RCP Layout Control Panel

Glossary Item Box

RCP Layout:

RCP Layout Control Panel

Overview

The layout control panel allows one to control the navigation and viewing aspects of the virtual space containing the RCP objects. The panel is shown as a horizontal bar with several icons running across. Each icon will perform a certain function:

RCP Layout Control Panel Buttons

Button | Description
 | Turns on or off the panning mode. When panning mode is enabled, the cursor changes from the default arrow-shape to the hand. The current monitor wall layout can be panned around by "grabbing" a certain area of the layout and moving the layout around. The actual positions of the displays in the layout do not move -- only the current viewing area. To pan the layout, click on one area of the layout with the left-mouse button and hold down the button while moving the mouse around. Release the left-mouse button when done.
 | Turns on or off the full screen display of the layout.


Working with the RCP Layout Designer

Working with the RCP Layout Designer

Glossary Item Box

RCP Layout:

Working with the RCP Layout Designer

Overview

The layout is an empty canvas that can have different objects "dropped" into the layout. Once in the layout, the objects can be rearranged and resized in any number of ways. Typically a layout is designed to mimic the physical monitor wall layout of a broadcast facility, however, it is not necessary to do so.

Layout Designer Control Panel

The layout designer control panel provides additional ways to navigate and manage your layout. Read the Layout Control Panel topic for additional information.

Selecting Objects

  • An object on the layout can be selected by clicking on it with the left-mouse button. The object will show up as being selected when it changes colour.
  • One or more objects can be selected using the dragging method. Click and hold the left-mouse button to initiate the "dragging" mode. When you move the mouse in this mode, a translucent rectangular area will form indicating the selection area. Objects inside the selection area will be selected.

  • For RCP panel objects, buttons that fall within the selection area will be selected as well.
  • After you have made your selection, to select another object without losing the previous selection, you can hold down the CTRL-key and using the mouse, left-click on the new object. The new object will be added to your selection.

Resizing RCP Panels

  • RCP panel objects have fixed sizes and cannot be resized. The fixed sizes are determined by the # of buttons set for that RCP device (a 20-button panel will only have a single row of buttons instead of two).

Moving RCP Panels

  • When one or more panel objects are selected, they can be moved around the layout by dragging them around the layout. If the objects are moved on top of already pre-existing objects, the position of the selected objects will revert back to the original position they were in prior to being moved.
  • RCP panels can be moved to a different layout while preserving the assigned RCP buttons. This can be done by right-clicking on the RCP panel and choosing Move to RCP Layout (assuming there is another layout created).

Moving RCP Buttons within Panels

  • One or more buttons in a panel can be moved around by drag-selecting and drag-dropping them onto another location on the panel. Buttons can be unassigned by right-clicking on them and choosing the Unassign Selected RCP Buttons(s) option.

Adding/Creating Objects

  • RCP panel objects can be added or created on the layout either through dragging and dropping of RCP devices onto the layout. Refer to the Adding Displays to the Layout topic for additional information.

Displaying Button Assignment Information

  • Hovering the mouse button over an assigned button in the RCP panel will display information about which objects are currently assigned to the button, the button #, which group the button belongs to, which style is currently assigned, and which expression macros are assigned.


Adding RCPs to the Layout

Adding RCPs to the Layout

Glossary Item Box

RCP Layout:

Adding RCPs to the Layout

Overview

To configure an RCP device, an object representing the device must first be created in the layout designer.

Procedure

  1. Define one or more RCP devices in the GPIs > Parallel Interface Devices > RCP table. Make sure that the RCP device has been assigned a size of 20 or 40 buttons.

  2. Create a new RCP layout by going into Plant Layout > Remote Control Panels and then entering a name for the RCP layout. Click on View to modify the layout. The layout will be visible in the right window.

  3. In the left-window, choose the GPIs tab and press the '+' beside Parallel Interface Devices to expand the list of available devices. Press '+' beside the RCP subheading to reveal your configured RCP devices in the tree-list.

  4. Select one or more of the RCP devices in the left-window tree-list and drag-and-drop them onto the layout in the right-window.

  5. This should automatically create the RCP panel objects within the layout.


Assigning RCP Buttons to RCPs in the Layout

Assigning RCP Buttons to RCPs in the Layout

Glossary Item Box

RCP Layout:

Assigning RCP Buttons to RCPs in the Layout

Overview

Once an RCP panel object has been created on the layout, the buttons in the panel can be assigned. Button functionality is assigned by dragging and dropping the RCP button styles onto the panel. Libraries have been provided to include pre-programmed button functionality. To be able to use the styles, the session should have been loaded with the appropriate libraries.

Pre-requisites

RCP-CamDlg.lib library should be used when setting up a camera delegation panel.

RCP-XptPanel.lib library should be used when setting up a crosspoint selection (router control) panel.

To ensure that the session is loaded with the appropriate libraries, the default loaded libraries are configured in the Management > Configuration > Libraries section. Ensure the required library is selected. The library will be loaded the next time a new session is created. Alternatively, the library can be loaded on-the-fly and merged with the current configuration. This can be done by going to File > Merge Libraries and selecting the required library.

Once the required libraries are loaded, the LED control expressions table (Tally Logic > LED Control Expressions) will be populated with available styles that can be assigned to the panel buttons. Typically the styles are named with _BUTTON as the suffix.

Assigning a Button Style

With the Tally Logic > LED Control Expressions table expanded in the left-window, drag a button style and drop it onto a button of a panel in the layout. This will assign the style (the functionality) of the button.

It is possible to assign the style to more than one button. Select more than one button either by highlighting the buttons within a drag-selection area. Then drag the style onto the button selection. All selected buttons will inherit the button style.

Assigning Parameters to Buttons

Certain styles require additional information / parameters in order to properly function. Expressions that require additional parameters will show up as a red label on the button with a very brief description of what is needed. For example, "src?" means that a source is required, "ctrl rm?" means that a tally area (control room) is required. Once the expression is complete, the button label will either show nothing or will show a white label -- typically describing the object that the button is assigned with.

Assigning objects to complete the button style expression is a drag-and-drop procedure. If the button requires a source, a source object taken from I/O and Signals > Source Definitions (or any other source input will work) can be dropped onto the style. If a button requires a control room, a tally area from Plant Layout > Multiple Control Rooms can be dropped in.

In the picture below, five buttons have been correctly assigned - 4 camera sources and 1 control room select button (the CLR button is a standalone button that does not require object assignments).

Assigning Parameters to Multiple Buttons

To assign objects to multiple buttons at a time (useful if you want to assign several buttons on a panel with several camera sources), drag-select the target buttons with your mouse. In the left-tree, highlight one or more objects and drag-drop them onto the highlighted buttons. If more than one object is being dragged in, you will have the option to:

Assign all items to each button in the selection - if you selected 3 sources: CAM1, CAM2, CAM3, then each button would be assigned CAM1, CAM2, and CAM3 (all 3 sources for each button).

Assign each item to an individual button in the selection - if you selected 3 sources: CAM1, CAM2, CAM3, then the first button would be assigned CAM1, the second button would be assigned CAM2, and the third button would be assigned CAM3.

Assign all items only to this button - if you selected 3 sources: CAM1, CAM2, CAM3, then only the button underneath the mouse cursor would be assigned CAM1, CAM2, and CAM3 (all 3 sources only for the button under the mouse cursor).

Intelligent Assignment of Buttons

It is possible to assign objects (e.g. cameras, sources, control rooms) to the RCP without needing to assign the style first. The Default For column within Tally Logic > LED Control Expressions associates the type of object (e.g. source, tally area) with the LED Control Expression style. By default, the built-in library associates input objects to use the "DLG_CAM_BUTTON" style and tally area objects to use the "DLG_CR_BUTTON" style. When a camera/source object is dragged and dropped directly onto the RCP panel, the application will intelligently select the style where Default For is set to "Resource Input". When a tally area is dragged and dropped, the application will select the style where Default For is set to "Tally Area". When a destination object is dragged and dropped, the application will select the style where Default For is set to "Resource Output".


Creating RCP Button Groups

Creating RCP Button Groups

Glossary Item Box

RCP Layout:

Creating RCP Button Groups

Overview

Defining an RCP button group is an easy way of grouping one or more buttons together where all buttons share a common style (e.g. all of them being source buttons or all of them being macro buttons). When the buttons in the panel have been marked as part of a group, you can then assign objects to the buttons very quickly -- the style assigned to the group will be applied. Once buttons are assigned to a group, the group will be visible in the layout designer.

Groups can exist across panels in a multi-RCP layout.

Grouping buttons together also has an advantage where it is possible to assign macros to individual groups. This allows buttons in groups to take on different values depending on the assigned macro values for each group. See Assigning Macros to RCP Button Groups for more information.

Procedure

  1. Under Plant Layout > RCP Button Groups, create a new group by entering a Group Name.

  2. Select the control style that all buttons in this group will use. Typically this would be DLG_CAM_BUTTON for camera/source buttons and DLG_CR_BUTTON for tally area/control room buttons.

  3. Select one or more buttons in the RCP panel. You can also add buttons from other layouts are part of the group by including them as part of the selection.

  4. Press the '+' beside RCP Button Groups to expand the list of available groups to select from. Drag and drop a group from the tree list to the button selection in the layout.

  5. All buttons in that group should now have the same style

  6. The group order when assigning objects to the buttons is determined when the buttons are first created in Step #3. To view or change the current order, right-click a button in a group and choose Grouping > Change Button Order In Group. The numbers shown indicate the current order sequence. The smallest number being the first to be assigned. To change the order simply click on the buttons in the order that you require and the button sequence will be updated. Hit ENTER when done or ESC to cancel the button sequence change.

  7. Drag and drop the required objects (e.g. camera or sources) on top of the buttons in the group. Suppose you select 3 objects: CAM1, CAM2, and CAM3. If you drag the selection on top of the buttons assigned to the group, you will be given the option to: 1) assign all items to each button in group order - meaning CAM1, CAM2, and CAM3 are assigned to button 1, CAM1, CAM2, and CAM3 are assigned to button 2, etc... 2) assign each item to an individual button in group order - meaning CAM1 assigned to button1, CAM2 assigned to button2, etc... 3) assign all items to this button only - meaning CAM1, CAM2, and CAM3 assigned to the button that the mouse cursor is over.


Assigning Expression Macros to RCP Button Groups

Assigning Expression Macros to RCP Button Groups

Glossary Item Box

RCP Layout:

Assigning Expression Macros to RCP Button Groups

Overview

Each group can take on different properties which are defined by a macro name and macro value pair, which can then be accessed by a button of that group. What this allows you to do is for instance, you can define a macro called NAME. By using the macro expression <#{macro name}> tag in an RCP LED Expression (RCP button style), the value of the macro NAME can be obtained from the group that the button is assigned.

For example:

Group #1: NAME="CR1-Cam-Group"

Group #2: NAME="CR2-Cam-Group"

Suppose Group #1 and Group #2 are both assigned with style "Group Name" which is defined as:

sv(!X,fn(<#NAME>))v(!X)

Then all buttons in Group #1 would take on the expression "sv(!X,fn(CR1-Cam-Group))v(!X)" and all buttons in Group #2 would take on the expression "sv(!X,fn(CR2-Cam-Group))v(!X)". Thus, the expression and behavior of a button can change depending on the group that it belongs in.

Pre-requisites

The style (RCP LED expression) that is assigned to the group should include <#{macro name}> somewhere in the expression in order for expression macros to be used.

Procedure

  1. To define macro names/values for a group, first the group must already be defined (see Creating RCP Button Groups). Once the group exists, click on the '+' beside Plant Layout > RCP Button Group Properties and the group should exist under that heading.

  2. Click on the group name under the RCP Button Group Properties subheading. The RCP Macro Definitions table should appear on the right-side window.

  3. Enter in a macro name and its associated value into the table. To verify that a group has now been assigned the appropriate macro names, you can click on Plant Layout > RCP Button Groups > {the group name}. Under the Assigned Macros column, the list of all macros created under the RCP Macro Definitions table should be visible.


Tally Map Layout Editor

Tally Map Layout Editor

Glossary Item Box

Tally Map Layout:

The Tally Map Layout Editor

Overview

The tally map layout editor shows a representation of the input and output assignments along two axis which surround the pin-grid.

Tally Map Layout Control Panel

The tally map layout control panel consists of a couple buttons to access important functions of a tally map layout.

Button | Description
 | Enable / disable layout panning
 | Display layout using the full screen
 | Swap tally map axis
 | Show tally map profile settings

Tally Map Layout Axis

The two tally map axis represent the input and output items that can be assigned to one another. In most cases they do represent inputs and outputs (e.g. GPI inputs VS GPI outputs) but in some situations they can mean something else (e.g. Source VS GPI inputs).

By default the input axis is displayed vertically from top to bottom and the output axis goes across the layout horizontally. Both axis can be flipped if so desired. The input items are displayed in the order of appearance within the Tally Map Inputs table. Output items are displayed in the order of drag-and-drop preference.

Assignment of Input Items

The tally map inputs will automatically populate as the Tally Map Inputs table is filled.

Assignment of Output

Tally map output items can be assigned either by dragging one or more items into the “+ Drag Drop Outputs” section in the layout. Doing this will automatically add each output in order into the axis. Alternatively, one or more output items can be inserted anywhere along the axis by dragging it between other output items.

Adding One or More Outputs | Inserting One or More Outputs In-Between

Output Items Options
Selecting one or more output items and then right-clicking will bring up the menu:

The options available:

View Table Entry – Switches to the table containing the output device entry. Not available when multiple output items are selected.

View Assigned Parameters – Brings up the Parameter Manager form to view all assigned parameters to the output device. Not available when multiple output items are selected.

Change Existing Tally Map Style – By default the tally map style assigned is the one specified in the Tally Map Profile settings form when a crosspoint assignment is made on the pin-grid. In the event that the style needs to be changed for certain output items without affecting global Tally Map Profile settings, this can be done from the right-click options menu.

Lock Output(s) – Locks the selected output items so crosspoints associated with the output items cannot be changed on the tally map pin-grid.

Remove Selected – Removes the selected output items from the tally map layout

Input Item Options
Right-clicking on an input item will show the following menu:

The options available:

Displayed Label – Select how the input names will be labeled. The names will either come from the Tally Map Inputs table or dynamically generated using the custom label expressions. The custom label expressions are found in the Tally Logic > UMD Control Expressions / GPI Control Expressions / LED Control Expressions / Crosspoint Control Expression tables.

View Table Entry – Switches to the table containing the input item entry.

View Assigned Parameters – Brings up the Parameter Manager form to view all assigned parameters to the tally map input item.

Unassign Input Object(s) – Quickly removes all assigned parameters from the selected input.

Tally Map Layout Grid

The tally map pin-grid is where the assignment of input items to output items is performed. By hovering the mouse over a cell in the pin-grid, the corresponding input and output items in the tally map axis will light up.

Prior to applying any tally map assignments, the pin-grid will show 1) whether any output item is being controlled/assigned to a tally map, 2) whether an output item is in use somewhere else (tally map not being applied).
When an output item is currently in use elsewhere and not in the tally map, the crosspoint will appear as the unassigned state – a dark shaded circle. Moving the mouse over it will reveal the message “Output device is in use. No tally map assignment has been created yet.”

Clicking on the crosspoint (even when the output device is in use), will immediately apply the tally map assignment between the input and output items. The crosspoint will light up with the assigned-state blue-colored circle. Clicking on an assigned crosspoint will remove the assignment, and the circle will revert back to its original state (dark-shaded circle if output device was in use before, or no circle if no previous assignment).

Output items that are locked will not allow their associated input item assignment(s) to change. The pin-grid will indicate locked crosspoints as being dark blue circles with a key-lock icon shown in the output axis.

Pre-defined Crosspoint Assignments
A set of pre-defined crosspoint positions are accessible by right-clicking on the pin-grid. A menu selection will appear:

The options available:

Switch Input and Output Axis – Flips the position of the vertical and horizontal axis.

Select Diagonal Crosspoints – Select crosspoints in a diagonal fashion starting from the point at which the mouse was clicked on.

Select Vertical Crosspoints – Select crosspoints in a vertical fashion starting from the point at which the mouse was clicked on.

Select Horizontal Crosspoints – Select crosspoints in a horizontal fashion starting from the point at which the mouse was clicked on.

Remove All Crosspoints – Removes all assigned crosspoints on the tally map grid.


General Setup Procedure

General Setup Procedure

Glossary Item Box

Tally Map Layout:

General Setup Procedure

Overview

A generic set of procedures can be applied when creating a tally map layout. Please check the Introduction to Using Tally Maps page for detailed examples of tally map configurations for use in different situations.

Setup Procedure

  1. Create a new tally map layout (Plant Layout > Tally Maps)
  2. Open new tally map input table for the newly created tally map (Plant Layout > Tally Map Inputs)
  3. Define all the inputs for the tally map. Input names do not have to be unique but the associated Output Device Type must be unique. For example,

    What this represents is that input CAM-1 can be associated with one or more different output device. Each tally map input entry can be assigned different behaviors/styles for the input parameter and output device.

  4. Assign an appropriate output device type from the drop down. Make sure there are no duplicate device types for the same input name.

  5. Assign the input control style you wish to use.

  6. If necessary (depending on the control style), you may need to drag-and-drop an item from the left-tree view to the Description field of the tally map input.

  7. Once the tally map input table is complete, view the tally map (Plant Layout > Tally Maps > View). All inputs that were created in the tally map input table should be visible.

  8. Assign the corresponding output devices into the tally map by dragging-and-dropping from the left-tree view to the “+ Drag-drop Outputs” marker. The selected outputs should now appear in the tally map.

  9. Expand the Tally Map Profile slider by clicking on the slim rectangle to the left of the tally map. Set the tally map output style that will be used in accordance to each of the output device types that are in the tally map. Minimize the slider when complete.

  10. Some output device entries may need to have the Tally Areas selected first for the tally map assignment to correctly work. The Tally Areas can be set in the UMD Display Devices, GPI Outputs, RCP LED Outputs, and Destination Definitions editor tables


Creating an External GPI Inputs to Sources Tally Map

Creating an External GPI Inputs to Sources Tally Map

Glossary Item Box

Tally Map Layout:

External GPI Inputs to Sources

Overview

Assigns a set of GPI inputs to individual sources (e.g. cameras). Typically used where external sources are fed into a facility/truck via GPI inputs.

Pre-requisites

  • Routers/Switchers must already be defined. One or more sources in I/O and Signals > Source Definitions should exist.
  • GPIO ports should be defined under Hardware > Parallel Interface Ports.
  • Individual GPIO devices should be defined under GPIs > Parallel Interface Devices.
  • A tally area defined under Plant Layout > Tally Areas > Multiple Control Rooms. Within this tally area, the tally types PGM, PST, and EXT should exist.

Tally Map Layout Setup Procedure

  1. Under Hardware > Comm Port Setup > Production & M/C Switchers, create a port name for an external switcher (e.g. EXT). Select “External Virtual Switcher” in the Protocol dropdown.

  2. Under I/O and Signals > Destination Definitions, create a destination for each external GPI input. The name assigned can be associated with the GPI input (e.g. EXT-01). Set the output device to the external switcher and the output device IO. Note that the device IO should start from 1 for the first external GPI input and increment by 1 for each GPI input thereafter. GPI Inputs must be in consecutive order for this to work.

  3. The Destination Definitions table may already contain the entries _EXT-PGM and _EXT-PST (or _[your switcher device name]-PGM/PST). If not, create them. To monitor sources for on-air tallies, set the Control Style for _EXT-PGM to “Follow GPIs (Virtual)”. In the left-tree view, select GPIs tab and click on the ‘+’ beside GPI Inputs to expand the list – the available parallel I/O units should be visible. Then click on the ‘+’ beside the parallel I/O unit which will be monitoring the external GPI inputs to expand the GPI inputs list. Select one or more GPI inputs in the left-tree view. Drag-and-drop the selection into the Control Style Description area for _EXT-PGM. Choose “Assign as parameters to single row only” when the sub-menu appears.

    Similarly for monitoring sources for next-to-air tallies, set the Control Style for _EXT-PST to “Follow GPIs (Virtual)”. Repeat the steps as described for monitoring sources for on-air tallies except drag-and-drop the GPI Inputs selection into the Control Style Description area for _EXT-PST. Also choose “Assign as parameters to single row only” when the sub-menu appears.

    Note the change to the description field once the GPI inputs have been dragged-and-dropped.

  4. Under Plant Layout > Tally Areas > Multiple Control Rooms, click on the name of the control room that will tally from the external inputs. The tally types PGM and PST should appear in the right-window table edit. For tally type PGM, set the Destination dropdown to ""_EXT-PGM" and for tally type PST set the Destination dropdown to "_EXT-PST".

  5. Under Plant Layout > Tally Maps, create a new tally map layout.

  6. Click on the ‘+’ beside Plant Layout > Tally Map Inputs. The tally map that was just created should be visible. Click on the tally map name to view the Tally Map Inputs table in the editor window.

  7. In the Tally Map Inputs table, create an entry for each source. Set the Control Style to “(Output Control) >> Tally Map Input (Source) for Ext-In-to-Source Tally Map”

  8. In the left-tree view, select I/O and Signals and click on the ‘+’ beside Source Definitions to reveal the list of available sources. Drag-and-drop a source from the list into the Description field within the Tally Map Inputs table. Note the change to the Description field which should now show the dropped in source name.

  9. Ensure that “Output Control” is selected under Assigned Output Device Type.

  10. View the tally map layout by going to Plant Layouts > Tally Maps and clicking on the tally map entry. All inputs that were created in the tally map input table should be visible.

  11. In the left-tree view, select I/O and Signals and click on the ‘+’ beside Destination Definitions to reveal the list of available external GPI inputs. Select the external GPI inputs from the left-tree and drag-and-drop them onto the “+ Drag-drop Outputs” marker in the tally map layout. The selected outputs should now appear in the tally map.

  12. Click on the rectangular button on the left of the layout to display the Tally Map Profile settings. Required settings should be set according to the configuration specified under Tally Map Profile Settings.

Tally Map Profile Settings

Output Controls: (Tally Map) External GPI to Source Assignment


Creating a Source/Destination to GPI Output Tally Map

Creating a Source/Destination to GPI Output Tally Map

Glossary Item Box

Tally Map Layout:

Source/Destination to GPI Outputs

Overview

Assign sources or destinations to GPI outputs. GPI closures can be triggered when certain conditions for sources/destinations are met (force goes on-air, next-to-air, etc...).

Pre-requisites

  • Routers/Switchers must already be defined. One or more sources in I/O and Signals > Source Definitions should exist.
  • GPIO ports should be defined under Hardware > Parallel Interface Ports.
  • Individual GPIO devices should be defined under GPIs > Parallel Interface Devices.
  • A tally area defined under Plant Layout > Tally Areas > Multiple Control Rooms. Within this tally area, the tally types PGM, PST, and EXT should exist with the appropriate Destination(s) set.

Tally Map Layout Setup Procedure

  1. Under Plant Layout > Tally Maps, create a new tally map layout.

  2. Click on the ‘+’ beside Plant Layout > Tally Map Inputs. The tally map that was just created should be visible. Click on the tally map name to view the Tally Map Inputs table in the editor window.

  3. In the Tally Map Inputs table, create an entry for each source/destination. Set the Control Style to “(GPI) >> Source On Air”. Other possible control styles can be set according to requirements (e.g. (GPI) >> Destination On Air, (GPI) >> Source Next to Air…etc…). Ensure that the Assigned Output Device Type is set for “GPI Output”.

  4. Drag and drop the required source/destination into the Description field to complete the tally map input entry. This can be done by clicking on I/O and Signals and then clicking on the ‘+’ beside Source Definitions (or Destination Definitions) in the left-tree view to expand the tree list. Select the sources/destinations in the left-tree and drag-and-drop them into the Description field in the editor view.

  5. View the tally map layout by going to the Plant Layouts > Tally Maps and clicking on the tally map entry. All inputs that were created in the tally map input table should be visible.
  6. In the left-tree view, select GPIs and click on the ‘+’ beside GPI Outputs to expand the list of available GPI output devices.
  7. Click on the ‘+’ beside the GPI output device that contains the GPI outputs that will be associated with the source/destination. A list of GPI outputs should be visible in the left-tree view. Select one or more GPI outputs from the left-tree and drag-and-drop them onto the “+ Drag-drop Outputs” marker in the tally map layout. The selected outputs should now appear in the tally map.

  8. Click on the rectangular button on the left of the layout to set the Tally Map Profile settings. Required settings should be set according to the configuration specified under Tally Map Profile Settings.

Tally Map Profile Settings

GPI Outputs: (Tally Map) GPI Single

Use when checking a single source/destination to determine if GPI output should be triggered. (e.g. GPI output on when CAM-01 is on-air)

GPI Outputs: (Tally Map) GPI OR

Use when checking OR condition of sources/destinations to determine if GPI output should be triggered. Up to 10 sources/destinations can be assigned to a single GPI output. (e.g. GPI output on when CAM-01 OR CAM-02 OR CAM-03 are on-air)

GPI Outputs: (Tally Map) GPI AND

Use when checking AND condition of sources/destinations to determine if GPI output should be triggered. Up to 10 sources/destinations can be assigned to a single GPI output. (e.g. GPI output on when CAM-01 AND CAM-02 AND CAM-03 are on-air)

Additional Settings

The Tally Map Inputs styles used may require setting the correct Tally Area within the output devices' table. If selecting the crosspoint on the pin-grid causes an error to appear like the following:

Then right-click on the output device and choose View Table Entry.

Ensure that the tally area field is set for the output entry. This specifies which destination the TSI should monitor when tallying sources.


Creating a Source/Destination to UMD Display Tally Map

Creating a Source/Destination to UMD Display Tally Map

Glossary Item Box

Tally Map Layout:

Source/Destination to UMD Display

Overview

Assign sources or destinations to UMD displays. A UMD display can tally a source/destination when certain conditions for sources/destinations are met (source goes on-air, next-to-air, etc…).

Pre-requisites

  • Routers / Switches must already be defined. One or more sources in I/O and Signals > Source Definitions or destinations in I/O and Signals > Destination Definitions should exist.
  • UMD ports should be defined under Hardware > Comm Port Setup > Displays.
  • Individual UMD displays should be defined under UMDs > Display Devices.

Tally Map Layout Setup Procedure

  1. Under Plant Layout > Tally Maps, create a new tally map layout.

  2. Click on the ‘+’ beside Plant Layout > Tally Map Inputs. The tally map that was just created should be visible. Click on the tally map name to view the Tally Map Inputs table in the editor window.

  3. In the Tally Map Inputs table, create an entry for each source/destination. Set the Control Style to "(UMD) >> Source". Other possible control styles can be set according to requirements (e.g. (UMD) >> Destination, (UMD) >Dest:Source ...etc...). Ensure that the Assigned Output Device Type is set for "UMD Device".

  4. Drag and drop the required source/destination into the Description field to complete the tally map input entry. This can be done by clicking on I/O and Signals and then clicking on the ‘+’ beside Source Definitions (or Destination Definitions) in the left-tree view to expand the tree list. Select the sources/destinations in the left-tree and drag-and-drop them into the Description field in the editor view.

  5. View the tally map layout by going to Plant Layouts > Tally Maps and clicking on the tally map entry. All inputs that were created in the tally map input table should be visible.

  6. In the left-tree view, select UMDs and click on the ‘+’ beside Display Devices (UMDs) to expand the list of available UMD output devices.

  7. Select one or more UMD displays from the left-tree and drag-and-drop them onto the "+ Drag-drop Outputs" marker in the tally map layout. The selected outputs should now appear in the tally map.

  8. Click on the rectangular button on the left of the layout to set the Tally Map Profile settings. Required settings should be set according to the configuration specified under Tally Map Profile Settings.

Tally Map Profile Settings

UMDs: (Tally Map) UMD Single

Tally a single source/destination on the UMD display.

UMDs: (Tally Map) UMD Dual

Tally up to two sources/destinations on the UMD display.

UMDs: (Tally Map) UMD Triple

Tally up to three sources/destinations on the UMD display.


Creating a GPI Input to GPI Output Tally Map

Creating a GPI Input to GPI Output Tally Map

Glossary Item Box

Tally Map Layout:

GPI Input to GPI Output

Overview

Maps GPI inputs to GPI outputs/RCP LED Outputs.

Pre-requisites

  • GPIO ports should be defined under Hardware > Parallel Interface Ports.
  • Individual GPIO devices should be defined under GPIs > Parallel Interface Devices.

Tally Map Layout Setup Procedure

  1. Under Plant Layout > Tally Maps, create a new tally map layout.

  2. Click on the ‘+’ beside Plant Layout > Tally Map Inputs. The tally map that was just created should be visible. Click on the tally map name to view the Tally Map Inputs table in the editor window.

  3. In the Tally Map Inputs table, create an entry for each GPI input.

    If the output is a GPI output, set the Control Style to “(GPI) >> Follow” and Assigned Output Device Type to “GPI Output”.

    If the output is an RCP LED output, set the Control Style to “(RCP LED) >> Follow” and Assigned Output Device Type to “RCP LED Output”.

  4. Drag and drop the required GPI input into the Description field to complete the tally map input entry. This can be done by clicking on the ‘+’ beside GPIs > GPI Inputs. An expanded list of GPI inputs will be visible after clicking on the ‘+’ beside the corresponding GPIO device shown in the left-tree view. Select the GPI inputs in the left-tree and drag-and-drop them into the Description field in the editor view.

  5. View the tally map layout by going to Plant Layouts > Tally Maps and clicking on the tally map entry. All inputs that were created in the tally map input table should be visible.

  6. In the left-tree view, select GPIs. Click on the ‘+’ beside GPI Outputs to expand list of available GPI output devices. Click on the ‘+’ beside the corresponding GPIO device containing the GPI/RCP LED outputs.

  7. Select one or more outputs from the left-tree and drag-and-drop them onto the “+ Drag-drop Outputs” marker in the tally map layout. The selected outputs should now appear in the tally map.

  8. Click on the rectangular button on the left of the layout to set the Tally Map Profile settings. Required settings should be set according to the configuration specified under Tally Map Profile Settings.

Tally Map Profile Settings

For GPI Output Devices

GPI Outputs: (Tally Map) GPI Single

GPI output will follow a single GPI input (e.g. GPI output on when GPI input is on)

GPI Outputs: (Tally Map) GPI OR

Use when checking OR condition of GPI inputs to determine if GPI output should be triggered. Up to 10 GPI inputs can be assigned to a single GPI output. (e.g. GPI output on when GPI inputs 1, 2, or 5 are on)

GPI Outputs: (Tally Map) GPI AND

Use when checking AND condition of GPI inputs to determine if GPI output should be triggered. Up to 10 GPI inputs can be assigned to a single GPI output. (e.g. GPI output on when GPI inputs 1, 3, AND 4 are on)

For RCP LED Output Devices

RCP LED Outputs: (Tally Map) GPI Single

LED output will follow a single GPI input (e.g. LED output on when GPI input is on)

RCP LED Outputs: (Tally Map) GPI OR

Use when checking OR condition of GPI inputs to determine if LED output should be triggered. Up to 10 GPI inputs can be assigned to a single LED output. (e.g. LED output on when GPI inputs 1, 2, or 5 are on)

RCP LED Outputs: (Tally Map) GPI AND

Use when checking AND condition of GPI inputs to determine if LED output should be triggered. Up to 10 GPI inputs can be assigned to a single LED output. (e.g. LED output on when GPI inputs 1, 3, AND 4 are on)


Creating a Camera Delegation Tally Map

Creating a Camera Delegation Tally Map

Glossary Item Box

Tally Map Layout:

Camera Delegation

Overview

Assign sources (cameras) to control rooms. Assignment works in conjunction with the RCP-CamDlg library so camera assignments can be done from either within the tally map or RCP layout editor. Local and remote TSIs can monitor virtual router DLG_CAM for the current camera assignments.

Pre-requisites

  • RCP-CamDlg library must be loaded into the configuration. Virtual router DLG_CAM should then be defined by the library.
  • Routers / Switches must already be defined. One or more sources in I/O and Signals > Source Definitions should exist.
  • Control rooms should be defined as tally areas under Tally Areas > Multiple Control Rooms. A PGM, PST, and EXT tally type entry should exist for each tally area.

Tally Map Layout Setup Procedure

  1. Select I/O and Signals > Destination Definitions. Destination entries where the Output Device is DLG_CAM and the Output Device IO is the source name should be created if they do not already exist.

    If they do not exist, create a destination name having the same name as the source. Set the Output Device to DLG_CAM. Set the Output Device IO to have the same name as the source.

  2. Under Plant Layout > Tally Maps, create a new tally map layout.

  3. Click on the '+' beside Plant Layout > Tally Map Inputs. The tally map that was just created should be visible. Click on the tally map name to view the Tally Map Inputs table in the editor window.

  4. In the Tally Map Inputs table, create an entry for each control room. Set the Control Style to "(Output Control) >> Control Room for Cam Delegation Tally Map". Ensure that the Assigned Output Device Type is set for "Output Control".

  5. Drag and drop the required control room into the Description field to complete the tally map input entry. This can be done by clicking on Plant Layout > Tally Areas and then clicking on the ‘+’ beside Multiple Control Rooms in the left-tree view to expand the tree list. Select each control room in the left-tree and drag-and-drop them into the Description field in the editor view.

  6. View the tally map layout by going to Plant Layouts > Tally Maps and clicking on the tally map entry. All inputs that were created in the tally map input table should be visible.

  7. In the left-tree view, select I/O and Signals. Click on the ‘+’ beside Destination Definitions to expand list of available destinations.

  8. Select one or more destinations from the left-tree and drag-and-drop them onto the “+ Drag-drop Outputs” marker in the tally map layout. The selected outputs should now appear in the tally map.

  9. Click on the rectangular button on the left of the layout to set the Tally Map Profile settings. Required settings should be set according to the configuration specified under Tally Map Profile Settings.

Tally Map Profile Settings

Output Controls: (Tally Map) Cam Delegation


Creating a Router Control Tally Map

Creating a Router Control Tally Map

Glossary Item Box

Tally Map Layout:

Router Control

Overview

Assign router inputs to router outputs. Performs TAKEs on the router.

Pre-requisites

  • Router must already be defined. One or more router inputs should be defined in under I/O and Signals > (Router Name) – Input Names > Named Inputs. Short/Long names can be assigned in the Named Inputs table which will later on be visible in the tally map layout.

Tally Map Layout Setup Procedure

  1. Select I/O and Signals > Destination Definitions. Destination entries where the Output Device is the router name (usually RTR) and the Output Device IO is the router output should be created if they do not already exist.

    If they do not exist, create a destination name for the router output. Set the Output Device to the router name (usually RTR). Set the Output Device IO to be the router output.

  2. Under Plant Layout > Tally Maps, create a new tally map layout.

  3. Click on the ‘+’ beside Plant Layout > Tally Map Inputs. The tally map that was just created should be visible. Click on the tally map name to view the Tally Map Inputs table in the editor window.

  4. In the Tally Map Inputs table, create an entry for each router input. Set the Control Style to “(Output Control) >> TAKE”. Ensure that the Assigned Output Device Type is set for “Output Control”.

  5. Click on the ‘+’ for I/O and Signals > (Router Name) – Input Names > Named Inputs to expand the list of available router inputs. Select each router input in the left-tree and drag-and-drop them into the Description field in the editor view.

  6. View the tally map layout by going to Plant Layouts > Tally Maps and clicking on the tally map entry. All inputs that were created in the tally map input table should be visible.

  7. In the left-tree view, select I/O and Signals. Click on the ‘+’ beside Destination Definitions to expand list of available destinations.

  8. Select one or more destinations from the left-tree and drag-and-drop them onto the “+ Drag-drop Outputs” marker in the tally map layout. The selected outputs should now appear in the tally map.

  9. Click on the rectangular button on the left of the layout to set the Tally Map Profile settings. Required settings should be set according to the configuration specified under Tally Map Profile Settings.

Tally Map Profile Settings

Output Controls: (Tally Map) TAKE Single In

Allow only one router input to be selected for a router output.

Output Controls: (Tally Map) TAKE Multiple In

Allow one or more router inputs to be selected for a router output. Up to 10 router inputs can be assigned to a single router output.


Changing Tally Map Axis Labels

Changing Tally Map Axis Labels

Glossary Item Box

Tally Map Layout:

Changing Tally Map Axis Labels

Overview

The output axis labeling reflects the name of each output device. To change the name shown in the output axis label, the output device name must also be modified.

Items on the input axis (the tally map inputs) can display 5 different possible labels:

  • Input Name (default) - Use the name specified in the Tally Map Inputs tablUser-Defined Label for UMDs - Use the labeling style defined for UMDs. The labeling style is defined in Tally Logic > UMD Control Expressions under the Tally Mapper Input Label column
  • User-Defined Label for GPI Outputs - Use the labeling style defined for GPI outputs. The labeling style is defined in Tally Logic > GPI Control Expressions under the Tally Mapper Input Label column
  • User-Defined Label for RCP LED Outputs - Use the labeling style defined for LED outputs. The labeling style is defined in Tally Logic > LED Control Expressions under the Tally Mapper Input Label column
  • User-Defined Label for Output Controls - Use the labeling style defined for output controls (e.g. Destinations). The labeling style is defined in Tally Logic > Crosspoint Control Expressions under the Tally Mapper Input Label column

By default the Input Name type is used when the tally map is first created but a custom user-defined label can be selected. Each of the 4 main output types: UMDs, GPI Outputs, RCP LED Outputs, and Output Controls can have their own unique labeling style.

Custom Labeling Styles

Under the UMD Control Expression, GPI Control Expressions, LED Control Expressions, and Output Control Expressions tables, a custom tally map input labeling style can be assigned. An input labeling style can make use of the internal drag-and-drop parameter tags to display dynamic information. Refer to Drag-Drop Parameters for further details on how the expressions are built.

Examples of valid labels:

Custom Label

Displayed on Tally Map Axis
Source is <P1.ioname> | Source is CAM01
Control Room <P1.name,,?> | Control Room CR-1

In the examples, parameter P1 is used as a placeholder for the objects used in the tally map input table. A custom label can only use parameters that have been defined by a tally map input. In general parameter placeholders are prefixed with a leading ‘P’ followed by a number (incrementing by one for each new parameter).

Changing the Displayed Label

Modifying the Input Label for a Single Input Item

In the Tally Map Layout view, right-click the input that you want to change. In the sub-menu, select Displayed Label, followed by the labeling style that you want.

Modifying the Input Label for Many Input Items

A faster method to change the labels for many input items can be done through the Tally Map Properties window. In the left-tree view, expand the list of available tally maps by clicking on the ‘+’ beside Plant Layout > Tally Maps. Right-click the tally map layout name in the left-tree view and select Properties.

The Tally Map Properties window should appear. In this window you will have the ability to change the input and output axis font, flip the axis, and selectively assign the input labeling style for each input.

Each individual input item can have its Displayed Label in Axis style modified by clicking on the drop-down and selecting a new style as follows:

The input labeling style for more than one input item can be applied altogether. This is done by first selecting one or more input items. Afterwards, right-click the selection and choose Set Label for Selected Inputs. Select which labeling style to apply.


Table Editing Tips

Table Editing Tips

Glossary Item Box

Reference:

Table Editing Tips

General
  • The various configuration editors can be invoked by clicking on the menu bars in the Menu Tree Pane.

  • Existing configuration items that can be dragged from the Menu Tree Pane into the Editor Pane can be revealed by clicking on the [image] icon of a menu bar in the Menu Tree.

  • A red icon in the corner of a cell indicates an entry error of some sort. Hover the mouse pointer over the icon to obtain the reason for the error.

Keyboard Shortcuts

  • To insert a new row before an existing row, click on the existing row and press CTRL-Insert.

  • To add a named item that increments the name from the previous line (CAM1, CAM2, etc... or CAMA, CAMB, etc...) press CTRL-Enter. To copy a drop-down selection from the line above, press CTRL-Enter.

  • To delete an entire row, select the first cell in the row (usually the Name) and press DELETE. Alternatively you can also press CTRL-Delete.

  • To enter a series of numbers or incremented names (CAM1, CAM2, ..., CAM96) press F1 to bring up the Command Window and enter in a ranged value (e.g. CAM1-12 or CAMA-Z)


Command Line Arguments

Command Line Arguments

Glossary Item Box

Reference:

Command Line Arguments

Overview

The Tally System Console 2 application can load session files via parameters passed through the command line. This is especially useful if you wish to automate certain processes, such as loading or merging multiple sessions, when the application is first executed. Such a command line could then later be used in a call within a batch file.

Command Line Syntax

The common command line syntax is described below:

TallySystemConsole2.exe <INI file> <switch1> <TC2 file #1> <switchN> <TC2 file #N>

INI file

The custom interface file that will be applied until the application is closed. If a default startup custom interface file has been defined to load on startup (Management > Configuration > Startup), the default interface file will be ignored and the custom interface file specified on the command line will be used.

NOTE: The .ini extension for the file must be included in order for the application to recognize this as a custom interface file. Also, only one INI file should be specified on the command line. If multiple INI files are specified, the last INI file will be used and the rest ignored.

The INI file can be specified anywhere on the command line.

switch1..switchN

Any number of supported switches that will define a specific type of operation. The switches are not case-sensitive. See below for details on available switches.

The switches can be specified anywhere on the command line. Its operation will only be applied to any preceding TC2 filename.

TC2 file(s)

One or more session files that are to be loaded. Session files are loaded in the order specified on the command line.

NOTE: The .tc2 extension for the file must be included in order for the application to recognize this as a Tally System Console 2 session file.

The TC2 file can be specified anywhere on the command line.

Overview

The following command line switches are available:

/ml

Merge Leave. If a newer duplicate entry in a table is found while loading multiple session files, the older entry will be kept and the newer entry will be ignored. Enabling this switch will not allow the newer entry to overwrite the older entry whenever a duplicate entry is found.

This switch can be prefixed in front of a TC2 file. Once enabled, the Merge Leave operation will apply to all other TC2 files on the command line until a different merge switch (/mo, /ma) is used.

/mo

Merge Overwrite. If a newer duplicate entry in a table is found while loading multiple session files, the older entry will be replaced. Enabling this switch forces a merge overwrite to be performed whenever a duplicate entry is found.

This switch can be prefixed in front of a TC2 file. Once enabled, the Merge Overwrite operation will apply to all other TC2 files on the command line until a different merge switch (/ml, /ma) is used.

/ma

Merge Ask User (default). If a newer duplicate entry in a table is found while loading multiple session files, a dialog popup will appear asking the user what merge operation to perform.

This switch can be prefixed in front of a TC2 file. Once enabled, the Merge Ask User operation will apply to all other TC2 files on the command line until a different merge switch (/ml, /mo) is used.

/ro

Read-Only mode. When enabled, all TC2 files specified after this switch will be loaded and marked as read-only within the application. All read-only rows will be coloured differently than that of a normal read-write row.

NOTE: Saving to a session file will not include the read-only rows. Only read-write rows will be saved.

/rw

Read-Write mode (default). When enabled, all TC2 files specified after this switch will be loaded and marked as read-write within the application.

NOTE: Saving to a session file will not include the read-only rows. Only read-write rows will be saved.

/set_tsi_ip:{TSI name},{TSI IP Address}

Replace a TSI given the {TSI name} with an IP address specified in {TSI IP Address}. The replacement is immediately performed after a session has been loaded and will continue to be replaced until the application is closed.

NOTE: {TSI name} is case-sensitive and must correctly match the TSI name in a session before the replacement is performed.

If the TSI name contains spaces, the name should be surrounded by a pair of quotation marks (" ")

/set_tsi_active:{+/-}{TSI name},...

Sets the Active state for one or more TSIs given their {TSI name}. The state will be set once all session files have completed loading or merged. When a '+' precedes the TSI name, its state will be set to Active (checked). If a '-' precedes the TSI name, its state will be set to Inactive (unchecked).

NOTE: {TSI name} is case-sensitive and must correctly match the TSI name in a session before its Active state can be changed.

If the TSI name contains spaces, the name should be surrounded by a pair of quotation marks (" ")

Multiple TSIs can be specified with their associated Active state by placing a comma (,) between each entry.

/ns

No Save. When enabled, the Save option in the File menu will be disabled. This can be used to prevent the accidental overwrite of the opened session file. The Save As option can be used instead.

Examples of Usage

File1.tc2, File2.tc2, and File3.tc2 will be merged together and their rows set to Read Write. Duplicate entries encountered during the merges will cause the merge dialog to pop up. Custom interface file, Station1.ini, will be applied.

TallySystemConsole2.exe file1.tc2 file2.tc2 file3.tc2 station1.ini

File1.tc2 and File2.tc2 will be merged together and their rows set to Read Only. Base.tc2 will then be merged in with its rows in Read Write mode. Duplicate entries encountered during the merges will cause the merge dialog to pop up.

TallySystemConsole2.exe /ro file1.tc2 file2.tc2 /rw base.tc2

File1.tc2 and File2.tc2 will be merged together and their rows set to Read Only. Base.tc2, followed by Extra.tc2, will be merged in with their rows set to Read Write mode. Duplicate entries encountered during the merge of File2.tc2 and Base.tc2 will automatically merge using the Merge Overwrite mode. Duplicate entries encountered during the merge of Extra.tc2 will cause the merge dialog to pop up.

TallySystemConsole2.exe /ro file1.tc2 /mo file2.tc2 /rw base.tc2 /ma extra.tc2

File1.tc2 and File2.tc2 will be merged together and their rows set to Read Write. File3.tc2 will then be merged in as Read Only. Extra.tc2 will be merged in also as Read Only and if duplicate entries are encountered, no entry replacement will be performed. The Save menu will be disabled. When all session files have loaded, the TSI called TSI ONE will be located in the session. If found, its current IP address will be replaced by 10.0.0.1.

TallySystemConsole2.exe file1.tc2 file2.tc2 /ro file3.tc2 /ml extra.tc2 /set_tsi_ip:"TSI ONE",10.0.0.1 /ns

After the merging of File1.tc2, File2.tc2, and File3.tc2, TSI_A will be set to Active. TSI_B and TSI ONE will be set to Inactive. No changes to the Active state for TSI_C and TSI_D will be made because they are not specified on the command line.

TallySystemConsole2.exe file1.tc2 file2.tc2 file3.tc2 /set_tsi_active:+TSI_A,-TSI_B,-"TSI ONE"


Drag - Drop Parameters

Drag - Drop Parameters

Glossary Item Box

Reference:

Drag - Drop Parameters

Overview

When an item is dragged and dropped into a UMD or GPI output, for example when assigning a source or a destination to a UMD, the dragged-in information appears within the control expression for that UMD or GPI at a position determined by a clearly delineated sub-expression that is termed a "Drag and Drop Parameter".

The details of Drag / drop parameters needs to be know only if control expressions are to be modified or created. In the normal usage of Tally System Console2 various configuration items are dragged and dropped into UMDs, GPI outputs, RCP buttons and so on without any knowledge of the underlying drag and drop parameters themselves.

Where Drag/Drop Parameters Are Used

Drag / drop parameters are place-holders programmed into control expressions within the following editors:

  • UMD Control Expressions
  • GPI Output Control Expressions
  • LED RCP Control Expressions
  • Crosspoint Control Expressions

Drag / drop parameters may not be referenced in control expressions programmed in the Subroutines editor. In cases where the information embodied by a drag / drop parameter must be passed to a Subroutine expression then the drag / drop parameters may be assigned to a variable using the embedded SV function.

Drag / drop parameters not transmitted directly to any TSI as part of the configuration, but are first interpreted and substituted with other information, such as the name of a dragged-and-dropped source name, GPI input number, etc. Tally System Console 2's final interpretation of the drag / drop parameters used within various control expressions can be examined in the "Raw Expression" columns of the Display Devices, GPI outputs and the Destinations Definitions editors.

Drag/Drop Parameter Syntax

The syntax of the drag / drop parameter is comprised of a set of angle brackets surrounding a parameter name, a parameter type specifier and a default text specifier. The parameter name, a parameter type specifier (PTS), default text specifier (DTS), required field specified (REQ), and field delimeter (FLD) are separated by commas:

<{Parameter ID + Parameter #}[.property][,PTS][,DTS][,REQ][,FLD]>

  • Parameter ID is a unique parameter identifier. Typically the ID is 'P' for convenience.
  • Parameter Number indicates the parameter #. Paired with the Parameter ID, this forms a unique parameter name which identifies a placeholder for dragging and dropping objects. E.g. P1, P2, P3, etc...
  • Property - the property in which to access once the parameter contains an object filled within its placeholder. See below for a list of valid properties.
  • PTS (Validation Type) - Indicates which type of objects are allowed to be assigned to the parameter. See below for a list of valid validation types.
  • DTS (Default Text) - The displayed text if the parameter has not been assigned an object yet.
  • REQ (Required flag) - Indicates whether this parameter is required to be filled with an object. If there is no object and the requirement flag is set, then an error will appear during table validation. Accepted "Required" flags: Y, y, N, n, t, T, F, f, 0 (equivalent to no), 1 (equivalent to yes), REQ (required), and OPT (optional). Unrecognized flags will be treated as Required=true.
  • FLD (Field Delimiter) - The text that will be prefixed before the displayed parameter object's property.

Examples:

<P>

Displays the default property (usually Name) of the drag-and-dropped object.

<P1,S>

Displays the default property (usually Name) of the drag-and-dropped object. Validation type "S" means that only Source objects can be dragged in.

<P2,S,Source Missing>

Displays the text "Source Missing" if no drag-and-dropped object has been assigned yet. Validation type "S" means that only Source objects can be dragged in.

<P3.Short,S,Source Missing>

Displays the text "Source Missing" if no drag-and-dropped object has been assigned yet. Validation type "S" means that only Source objects can be dragged in. If a Source object has been assigned, the Short property of the Source will be displayed.

<P1.Short,,Source Missing>

Displays the text "Source Missing" if no drag-and-dropped object has been assigned yet. No validation type specified so any dragged-in object is acceptable. The Short property of the object will be displayed.

<P1.Name,,,N,-->

Drag-and-drop of any object is optional for this parameter (REQ flag type 'N'). Any assigned object will be displayed with the Name property. A '--' will be prefixed in front of the name.

A typical drag / drop parameter usage might be:

SRC(<P1.IOSpec>)

or simply

SRC(<P1>)

This is the embedded SRC function which expects a resource device destination number or mnemonic, which could be dragged into this expression and that could result in, for example, the following expression being transmitted to the TSI as part of the configuration:

SRC(RTR::MON1[1])

Drag/Drop Parameter Properties

Properties of a dragged and dropped expression parameter determine what information is extracted from the dragged and dropped configuration item. Consider for example a router input dragged into an expression.

The .IOSpec property of P1 shown in the above example would be explicitly interpreted by Tally System Console 2 as a router destination number or mnemonic. However if the property is not given, the Tally System Console 2 makes the assumption that the router destination number or mnemonic is wanted. However if, for example, the Long Name of the destination is required, then <P1.Long> can be specified.

Other properties that can be specified for extraction from a dragged and dropped configuration item are .Name (name of the item as programmed in Console 2), .IOName (like .IOSpec but without the level specifier when a router resource device input is used) and so on. A complete list of item properties is shown below.

If instead the name of the production switcher input, as programmed in the Input Names editor, was required then

P1.Name

would be used instead, which might then be interpreted, as for example:

MyMonitor1

A brief set of properties for each dragged-in type of configuration item are listed in the table below. A full set of properties are listed lower down the page:

Dragged-in Configuration Type(s) | Allowed Properties
Source Definition Destination Definition Resource Device Input Resource Device Output | Name, Resource, IOSpec (default), IOName, Long, Short, StyleA, StyleB
Tally Area | Name, Number (default), {Area name}, {Area name}[x] - x is tally area index #
Tally Type | Name, Number (default), Resource, IOSpec, IOName, {Tally Type}, {TallyType}[x] - x is a tally type index, {TallyType}[x].Destination
GPI Input | Name, Number (default), Start, Length
Port | Name (default), TSIName, TSIID, Connr
Expression (Style) | Name (default), Description, Content1, Content2
Tally Map Input | Name (default)

In the above table a bolded property name indicates the default property for a give configuration item type.

  • NOTE 1: Bolded property name is the default property that will be used when no property names are specified. E.g. <P1> returns P1.IOName result.

  • NOTE 2: For a resource device IO specified as RTR::OUT1, the property Resource represents RTR, IOName is OUT1, and IOSpec is RTR::OUT1.

  • NOTE 3: Tally types can be user defined in Tally Type table column.

  • NOTE 4: GPI Input ListL (logical list) parameter returns comma separated logical number list/range of values (e.g. "1-10,13,15"). A description such as "Switched by GPI Inputs <P1.List>" may evaluate to "Switched by GPI Inputs 1-10,13,15".

  • NOTE 5: GPI Input ListP (physical list) parameter returns comma separated list/range of values identified by hardware location (e.g. "TSI1,IO6,1-4" where the format is <TSI Name>,<IO Connector>,<IO 1-8>).

  • NOTE 6: To specify one of the resource device outputs which could belong to a tally type, use the format <Parameter>.PGM[1] (e.g. P1.PGM[1] or P2.PGM[1].IOName), where [1] is a number subscript starting from 1 representing the current destination index to return.

For example <P1.IOSpec> is equivalent to <P1>

Specific examples of each property type:

Property | Example Item | Result
.Name | Destination Definition of Resource Device Output (Destination) RTR::MON1[1] name "Monitor1" with long name "MONITOR 1" and short name "MON01". Style A is Long and Style B is Short. | Monitor1
.Resource | < same as above > | RTR
.IOSpec | < same as above > | RTR::MON1[1]
.IOName | < same as above > | MON1[1]
.Long | < same as above > | MONITOR 1
.Short | < same as above > | MON01
.StyleA | < same as above > | MONITOR 1
.StyleB | < same as above > | MON01
.Name | GPI Input named "GPI-IN1" with GPI input address 5 | GPI-IN1
.Number | < same as above > | 5
.Start | GPI input range 5-10 | 5
.Length | < same as above > | 6
.Name | Tally area names CR1 with PGM destination SWR::PGM and PST destinations SWR::PSTV and SWR::PSTK | CR1
.PGM | < same as above > | 1 (tally type number starting from 1, in order listed in the Tally Area Editor)
.PGM[0] | < same as above > | SWR::PGM (destination number, indexed from 0 in order of destinations as listed in the Tally Type editor).
.PST[0] | < same as above > | SWR::PSTV
.PST[1] | < same as above > | SWR::PSTK
.PGM[0].IOSpec | < same as above > | SWR::PGM
.PGM[0].Resource | < same as above > | SWR
.PGM[0].IOName | < same as above > | PGM
.Connr | Port device | For GPIs: IO1, IO2, etc... For TSIs: COM3, COM4, Enet, etc...
.Content1 | UMD/GPI/RCP LED/Output Control Style | (style name)
.Content2 | UMD/GPI/RCP LED/Output Control Style | (style expression)
.Description | UMD/GPI/RCP LED/Output Control Style | (style description)
.ListL | Multiple GPI inputs selected | Logical input list: 1-10,13,15
.ListP | Multiple GPI inputs selected | Physical input list: TSI1,IO6,1-4
.Pin | GPI input | GPI connector pin pair: 3,21
.Port | < same as above > | Name of port hosting GPI unit
.TSIID | Port or GPI input | 2 ( Interface number of TSI hosting port or GPI input)
.TSIName | < same as above> | TSI-A ( Name of TSI hosting port or GPI input)
.OverrideName={name} | Any object | {name} ( Displays this label when the parameter has been assigned. If label is not assigned (blank) then a blank will be displayed)
.Obj[{parameter name}] | Tally map input | {parameter name} (Extracts the object that was drag-and-dropped into the tally map input entry. The object is located by specifying the parameter name used in the tally map input expression. This is typically P1)

Properties of RCP Buttons and Panels

These properties are used within the <%BT> (button) tag

Property | Short Form | Example | Result
<%BT.btindex> | .bti | RCP Button third from top-left corner. The panel GPI input address is 100, and so the button GPI input address is 102. The 20 buttons in the top row of the panel are in Group 1, and so this button is the third button in the group. The arbitrarily assigned panel ID is zero (first panel created in the configuration). | 2 (zero-based button number)
<%BT.btnumber> | .btn | < same as above> | 3 (1-based button number)
<%BT.btbitmap> | .btm | < same as above> | 4 (third button bitmap value of .btindex - values starting from the first button in panel would be 1,2,4,8,16,etc.)
<%BT.lgindex> | .lgi | < same as above> | 2 (zero-based (logical) number within button group)
<%BT.lgnumber> | .lgn | < same as above> | 3 (1-based (logical) number within button group)
<%BT.lgbitmap> | .lgm | < same as above> | 4 (third button bitmap value of .lgindex - values starting from the first button in the group would be 1,2,4,8,16,etc.)
<%BT.grindex> | .gri | < same as above> | 0 (group to which this button belongs, zero based)
<%BT.grnumber> | .grn | < same as above> | 1 (group to which this button belongs, 1-based)
<%BT.GPI> | .gpi | < same as above> | 102 (GPI input address)

Special '%' Commands

Syntax | Description | Used in:
<%TA> | Returns tally area number | UMDs, GPI Outputs, RCP LED Outputs, Destination Definitions
<%DT> | Returns name of UMD device type | UMDs
<%DS> | Returns UMD section number (1-based) | UMDs
<%ID> | Returns UMD ID (serial number) | UMDs
<%OP> | Returns option specified in File > Session Properties (e.g. <OP.option1> | Anywhere
<%BT.property> | Button (see "Properties of RCP Buttons and Panels" table above) | RCP LED control expressions
<%PN.id> | Panel ID (assigned by console starting from zero, in order of panel creation) | RCP LED control expressions
<%PN.#macro> | Returns macros from Plant Layout > Remote Control Panels > Layout Data editor | RCP LED control expressions
<%NAME> | Displays the name of the current object that called it | UMDs, GPI Outputs, RCP LED Outputs, Destination Definitions
<%THIS{.property}> | Returns the current object. Properties belonging to this object can be accessed via the '.' operator (e.g. <%THIS.name>) | Anywhere
<%TM> | Returns the current tally mapper input object | Tally Mapper Inputs

Other Commands

Syntax | Description | Used in:
<#macroname> | The macro value for macroname (defined in RCP Button Properties) | RCP LED control expressions

Parameter Type Specifier (Validation Type)

The Parameter Type Specifier is optional and is used to check that the correct type of configuration item has been dragged into the control expression. An mismatch between the Parameter Type Specifier and the type of dropped configuration item will cause a validation error message to the user.

Possible Parameter Type Specifiers are:

Specifier code | Description | Example
IP | Resource Device (router or production switcher) Input | SWR::1
OP | Resource Device (router or production switcher) Output | RTR:MON1
S | Source Definition | CAM1
D | Destination Definition | MON1
E | Expression (e.g. UMD Monitoring Style) | CR_BUTTON
TA | Tally Area | CR1
TT | Tally Type | PGM
GPI | GPI Input | GPI-IN1
P | Port Device | RCP-A
TMI | Tally Map Input | INPUT-01

Default Text Specifier

This parameter specified what will be shown if a parameter has not be dragged into the control expression. This is mainly useful for control expression description fields, where for example a prompting tag such as "SRC?" might be shown in the absence of an assigned UMD or GPI output parameter. This text is used only within Tally System Console 2 and is not sent to the TSI.

How Drag / Drop Parameters are "Dropped"

Within a control expression, D&DPs with the same name are replaced with the same dropped parameter. For example

<P1>-SRC(<P1>)

might evaluate to become

RTR::MON1-SRC(RTR::MON1)

A more likely example might be

<P1.Name>-SRC(<P1>)

which might evaluate to become

CAM1-SRC(<P1>)

Multiple D&DPs with different names are assigned on consecutive drops. For example

SRC(<P1>)" "SRC(<P2>)

might evaluate to become

SRC(RTR::MON1)" "SRC(<P2>)

on the first drop and

SRC(RTR::MON1)" "SRC(RTR::MON2)

on the second drop.

On the third drop that first parameter in the expression would be reassigned.

Drops can also be made simultaneously, and if the user clicks "assign as parameters to single row only" then the drops are made as though separate consecutive drops were made, in the order that the items were selected from the source list.

Use of Double Quotes

When it is anticipated that a dragged-in parameter might resolve to a name containing spaces it may be neccessary to surround the drag / drop parameter within the control expression with double quotes:

SRC("<P1>")

Tally System Console 2 does not do anything special with the double quotes; they are simply transmitted verbatim along with the rest of the expression to the TSI, after the placeholder has been interpreted. Within Tally System Console 2, the above expression might resolve to something like

SRC("RTR::MON1")

In this instance the quotes might not be necessary, but on the other hand would cause no harm.

Now, if for example a router input name was to contain spaces

SRC(RTR::MON 1)

then the expression processing in the TSI system would demand that double quotes surround the router input name

SRC("RTR::MON 1")

and in this case the double quotes around the drag / drop parameter

SRC("<P1>")

would prove useful and necessary.

Therefore the use of double quotes around drag / drop parameters is generally recommended.

Assignment of Drag / Drop Parameters to Subroutines

As noted above there are cases where the information embodied by a drag / drop parameter must be passed to a Subroutine expression. The drag / drop parameters may be assigned to a variable using the embedded SV function.

For example within the Monitor Style where drag / drop parameters are used, the parameter can be assigned to a variable as follows:

sv(!X,"<P1>")fn(MYSUBR)

Within the subroutine the parameter, now saved in variable !X (or a variable of some other name), can then be extracted as follows:

SRC(v(!X))


Tally Map Expression Handling

Tally Map Expression Handling

Glossary Item Box

Reference:

Tally Map Expression Handling

Overview

Tally maps make use of expressions which perform functions based on the input that it receives. This section will give details on how these expression are built and handled by the application.

Building the Expressions

Each tally map input entry is associated with an input style. The generated input style expression will then be used as a parameter passed into the output device style when an input-output assignment is made in the tally map layout.

For example:

Creating these tally map inputs:

Input Name Style Output Device Raw Expression

CAM-1

UMD > Source

UMD Device

sv(!S,"*_DA::CAM01")sv(!FMT,FMTA)fn([ ]SRC)

CAM-1

GPI > Source On Air

GPI Output

tlya("*_DA::CAM01",[ ],[ ])

CAM-2

UMD > Destination

UMD Device

sv(!D, "RTR::001[1]")sv(!FMT,FMTA)fn([ ]DST)

CAM-2

GPI > Destination On Air

GPI Output

tlya("*_DA::CAM01",[ ],[ ])

Means that you want to create an input called CAM-1 which will have 2 different characteristics when selected in the tally map pin-grid. If the input is assigned to a UMD output device, the (UMD) Source style will be used. Likewise if the input is assigned to a GPI output device, the (GPI) Source On Air style will be used. The same applies for input CAM-2.

Each input at some point will be evaluated with a result which might look like the following:

Input Name | Output Device | Result
CAM-1 | UMD Device | ac(1)CAM01
CAM-1 | GPI Output | 0
CAM-2 | UMD Device | ac(2)VTR01
CAM-2 | GPI Output | 1

On a simplistic level, the inputs (see Input Expression Passing for the reason why they are not truly the evaluated results) fed into a tally map output expression. Which tally map output expression is used is determined by the configuration within the Tally Map Profile Settings. The tally map output expression is the final stage in determining what is sent out to the output device. All the logic to evaluate the inputs are done here and a final result, ready for output, is generated.

Suppose the tally map profile is set up as follows:

Output Device: UMDs
Style: (Tally Map) UMD Single
Style Expression: sv(!TA,<%TA>)sv(!TT1,<%TA.PGM>)sv(!TT2,<%TA.PST>)sv(!DT,<%DT>)<P1,,,n>

Output Device: GPI Outputs
Style: (Tally Map) GPI OR Style
Style Expression: sv(!X,<P1,,,n><P2,,,n><P3,,,n><P4,,,n><P5,,,n><P6,,,n><P7,,,n><P8,,,n><P9,,,n><P10,,,n>)if(len(v(!X)),if(pos(1,v(!X),1),1,0),0)

In this scenario, on an assignment of CAM-1 input with a UMD device, the evaluated input result is displayed as is. Since the output expression only has one parameter <P1>, it can only accept one input at a time. In essence, this is equivalent to only being allowed to do a single input select. CAM-1's evaluated result "ac(1)CAM01" will be in the <P1> slot when the final output expression is evaluated.

If CAM-2 input is then selected, CAM-2's evaluated result "ac(2)VTR01" would be placed into <P1> slot - replacing the previous result from CAM-1.

On the other hand, if CAM-1 input is paired with a GPI output device, its evaluated result of "0" would appear in the first available (which is <P1>) slot in the output expression. Then if CAM-2 input is also paired with the same GPI output device, its evaluated result of "1" would appear in the next available (<P2>) slot. The "(Tally Map) GPI OR Style" expression contains logic to evaluate all assigned inputs and performs a bitwise OR on them, returning a single result.

The "(Tally Map) GPI OR Style" expression demonstrates how more than one input can be selected/allowed, whereas the "(Tally Map) UMD Single" expression will only allow one input at a time.

Input Expression Passing

As mentioned earlier, the input is passed into the tally map output expression. However, completely evaluated results are not passed into the tally map output expression directly because of the possibility of non-evaluatable parameters . Rather, the raw input expression is passed directly into the tally map output expression. The evaluation will be performed at the tally map output side before being sent to the output device.

Non-Drag/Drop Parameter Handling

A non-tally map expression used by a UMD, GPI Output, RCP LED Output, or Output Control is equivalent to a single-level expression. All the required parameters and special non-drag-and-drop tags (e.g. <%TA>) are evaluated on the spot and sent to the output device. On the other hand, tally map expressions are two-level expressions. Tally Map Inputs are passed into the tally map output expression and a final combined evaluation is performed before being sent to the output device.

Normally, non-drag-drop tags such as <%BT> or <%TA> are parameter slots that are automatically filled by the table that the expression is in. However, Tally Map Input expressions generated in the tally map inputs table do not have any knowledge of what the non-drag-drop tags should be filled with. This is the main reason why the Raw Expression column may show incomplete parameters (most commonly represented by a pair of square brackets [ ]). However, once the input is passed into the output expression, the non-drag-drop tags will then be evaluated at the tally map output side. The final output expression should not have any incomplete parameters.


Glossary

Glossary

Glossary Item Box

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z


Overview of Embedded Functions

Overview of Embedded Functions

Glossary Item Box

Embedded Functions

Embedded functions can appear in the control text of a remote display unit section, GPI output, resource output, or global message to perform various tasks. Embedded functions control display attributes, such as color and formatting, they provide “
programming language” features such as variable assignment and referencing, math and logical functions, iteration, text manipulation, and system status information functions.

Most functions “return” a string of characters as a result of evaluating the function. The return string can be used as literal text or supplied to another higher-level function (the higher-level function used another function as one of its arguments). Some functions return an empty string (zero characters) because they have other side-effects such as variable assignment.

Some embedded functions return a string of characters identifying some element of system status. Examples would be a source name for a routing switcher crosspoint or the state of a GPI input signal.

Function names are not case sensitive. Function arguments are enclosed with left and right parenthesis characters and separated with a comma character. Enclose a comma or left or right parenthesis character in double or single quotes to specify the character literally.


Embedded Functions Summary

Embedded Functions Summary

Glossary Item Box

Arithmetic Functions | Meaning | Example or prototype | Description
Add Function | Add | add(a, b) | Add two values
DIV Function | Divide | div(a, b) | Divide one value by another value
EQ Function | Equate | eq(a, b) | Compare two values
GE Function | Greater than or equal to | ge(a, b) | Compare a >= b
GT Function | Greater than | gt(a, b) | Compare a > b
LE Function | Less than or equal to | le(a, b) | Compare a <= b
LT Function | Less than | lt(a, b) | Compare a < b
MOD Function | Modulus | mod(a, b) | Take arithmetic modulus a % b
MUL Function | Multiple | mul(a, b) | a x b
SUB Function | Subtract | sub(a, b) | a - b
Boolean Functions | Meaning | Example or prototype | Description
AND Function | And | and(a, b) | true if a and b are both non-zero
NOT Function | Not | not(a, b) | true if a is zero
OR Function | Or | or(a, b) | true if either a or b are non-zero
XOR Function | Exclusive Or | xor(a, b) | true if only one of a and b is zero
Bitwise Boolean functions | Meaning | Example or prototype | Description
BA Function | Bitwise and | ba(a, b) | Bitwise and of values a and b
BN Function | Bitwise not | bn(a, b) | Bitwise complement of given value
BO Function | Bitwise or | bo(a, b) | Bitwise or of values a and b
BX Function | Bitwise exclusive or | bx(a, b) | Bitwise excusive or of values a and b
Character graphic functions | Meaning | Example or prototype | Description
GC Function | Show uploaded graphic character | GC(1) | Show uploaded graphic character
Conversion functions | Meaning | Example or prototype | Description
B2N Function | Binary to list | b2b(n, offset) | List the true bits in a decimal number (e.g. 7=0, 1, 2)
CHR Function | ASCII code to character | chr(32) | Convert ASCII code to a character
D2H Function | Decimal to Hex | d2h(10) | Convert decimal number to hexadecimal number
H2D function | Hex to Decimal | h2d(1A) | Convert hexadecimal number to decimal number
HEX function | Decimal to hex | hex(10) | Convert decimal number to hexadecimal number
N2B Function | List to binary | n2b("1, 2, 3", 0) | Form a decimal number from a list of true bits (e.g. 0, 1, 2=7)
VAL Function | Character to ASCII code | val(A) | Convert character to it's ASCII code
Display attribute functions | Meaning | Example or prototype | Description
AF Function | Attribute - font | af(0) | Set UMD font size
AJ Function | Attribute - justify | aj(0) | Justify UMD text
ID Function | ID of display | id() | Show numeric ID of UMD
NAME Function | Name of display | name() | Show name of UMD
OPT function | Display programming option | opt(rent, on) | Set programming options for UMD
Formatting functions | Meaning | Example or prototype | Description
S Function | Show styled name | s(SWR::1, A) | Strips off resource device, level specifiers, and shows name of input as directed by the given style (long name, short name, etc.)
GPI Programming functions | Meaning | Example or prototype | Description
I2N Function | GPI Input to list | i2n(0, 4, 1) | List the active GPIs input in a set of consecutive GPI inputs
IGS Function | GPI input select | IGS(channel, length, offset, transition, cascade, user bit, variable)): | Show the last-activated GPI input of a consecutive set of GPI inputs - returns only one value
IGM Function | GPI input multi-select | IGM(channel, length, offset, transition, cascade): | Show toggle state of any GPI input of consecutive set of GPI inputs - may return mutiple values
IV Function | GPI input value (state) | iv(0) | Show current state of a GPI input
IVC Function | GPI input value changed | IVC(channel, length, transition, user bit): | Show bitmap of GPI inputs in a aset of consecutive GPI inputs that have change state
IVT function | GPI input value toggle | IVT(channel, transition, modulus) | Show toggle count of given GPI input, bounded by the given modulus, Typically used to toggle between 1or 0 on each change of state of the given GPI input
Path tracing functions | Meaning | Example or prototype | Description
OD function | Origin destintion feeding source | od(SWR::1) | Show destination feeding the given input
PGD Function | Program destination | PGD(SWR::1, 0) | Show program destination that has selected this input
PGM Function | Source on program | PGM(SWR::1) | True if this source is selected by a program destination
PSD Function | Preset destination | PSD(SWR::1, 0) | Show preset destination that has selected this input
PST Function | Source on preset | PST(SWR::1) | True if this source is selected by a preset destination
SID Function | Source in destination | SID(*DA::CAM1, SWR1::GP1RED, SWR2::GP1RED) | Index of the given destination that has selected this input
SRC Function | Show source on destination | SRC(RTR::MON1[1]) | Show name of source on given destination
TLYA Function | Tallied source | tlya(*DA::CAM1, <%TA>, <%TA.PGM>) | True if given source is selected by the destination(s) defined in the given tally type in the given tally area
XPT Function | Crosspoint on destination | XPT(RTR::MON1[1]) | Show input immediately selected by the given destination
Programming functions | Meaning | Example or prototype | Description
DO Function | Loop | do(<condition>, <expression>) | Execute an expression while a condition is true
FN Function | Call a custom subroutine | fn(MYTEST) | Excute the expression stored in the given variable
IF Function | Decision | if(<condition>, <if true>, <if false>) | show expression a result if condition is true, otherwise show expression b result
ON Function | Select | on(<index>, <exp 0>, <exp 1>, <exp 2>, …) | pick expression from list of expression based on the value of a list index
SV Function | Save variable | sv(!X, 1) | Save expression result into variable of the given name
V Function | Read variable | v(!X) | Show value stored in variable of the given name
System Control Functions | Meaning | Example or prototype | Description
SETI Function | Set interconnect | SETI(<Name>, <Origin>, <Create>, <Trigger>, < Input1>, < Input2>, …) | Dynamically set interconnect
SETX Function | Set crosspoint | SETX(<Destination>, <Create>, <Clear>, <Trigger>, <Set>, <Process>, <Device Input 1>, <Device Input 2>, …) | Dynamically set virtual crosspoint
Text processing functions | Meaning | Example or prototype | Description
LC Function | Lower case | lc(A) | Lower case given text
LEN Function | Length | len("shows6") | Length of given text
POS Function | Find position of text (search) | pos("world", "hello world", 1) | Find first given text in second given text
SS Function | Sub-string | ss("hello world", 7, 5) | Show substring of given text
TL Function | Strip leading (left) spaces | tl(" hello) | Show given text without leading spaces
TR Function | Strip trailing (right) spaces | tr("hello ") | Show given text without trailing spaces
UC Function | Upper case | uc(a) | Upper case given text
Time functions | Meaning | Example or prototype | Description
AT Function | Active timer to display single SP | AT("T1")SP(1)SP(2):SP(3)SP(4) | Define timer to be displayed by following timer display functons
CH Function | Show timer digit | CH(1)CH(2):CH(3)CH(4) | Show timer digit
DATE Function | Show Date | date() | Show date
GPM Function | Get system parameter mode (time) | GPM("T1") | Get system parameter mode (time)
GPV Function | Get system parameter value (time) | GPv("T1") | Get system parameter value (time)
SP Function | Show timer digit | AT("T1")SP(1)SP(2):SP(3)SP(4) | Show timer digit
SPM Function | Set system parameter mode (time) | SPM(T1, 0215000010100--) | Set system parameter mode (time)
TICK Function | Show current system tick | tick() | Show current system tick
TIME Function | Show timer | time() | Show timer
UMD Programming function | Meaning | Example or prototype | Description
DUR Function | Set display line duration | dur(20) | Show display line for the given time
LIN Function | Define display line | lin(7) | Following text is assigned to given lines specified by given bitmap
SL Function | Source list | sl(SWR::GP1READ, A, 100) | Show list of source selected on this destination
TSD Function | Show tallied destination name | tsd(RTR::MON1[1], A, ac(PGM), ac(PST), ac(NML)) | Show styled name of given destination with tally
TSDA Function | Show tallied destination name using tally areas | tsda(RTR::MON1[1], A, <%TA>, ac(NML), ac(PGM), ac(PST)) | Show styled name of given destination with tally using tally areas
TSS Function | Show tallied source name | tss(SWR::1, A, ac(PGM), ac(PST), ac(NML)) | Show styled name of given source with tally
TSSA Function | Show tallied source name using tally areas | tssa(SWR::1, A, <%TA>, ac(NML), ac(PGM), ac(PST)) | Show styled name of given source with tally using tally areas
TSX Function | Show source on destination | tsx(RTR::MON1[1], A, ac(PGM), ac(PST), ac(NML)) | Show styled name of source on given destination with tally
TSXA Function | Show source on destination using tally areas | tsxa(RTR::MON1[1], A, <%TA>, ac(NML), ac(PGM), ac(PST)) | Show styled name of source on given destination with tally using tally areas
US Function | Show UMD width | us() | Show UMD width in dots

Note: if copying and pasting example code remove spaces that trail commas.


Add Function

Add Function

Glossary Item Box

Format:

ADD(exp1,exp2)

The result is the sum of the numeric value exp1 and exp2.

Example:

SV(!X,ADD(V(!X),1))

Increment the value of temporary variable X by 1.


AF Function

AF Function

Glossary Item Box

AF Function

Format:

AF(exp1)

The value exp1 is a character set selector as follows:

0 fixed spacing (default)

1 large proportional spacing

2 medium proportional spacing

3 small

4 wide proportional spacing

5 block proportional spacing

Add 16 for dot reverse. Add 8 for vertical orientation. Some character sets may not be available on all remote display units.

Example:

AF(19)123 AF(0)LARGE

The result is 123 in small reversed characters and LARGE in fixed spaced characters.


AJ Function

AJ Function

Glossary Item Box

AJ Function

Format:

AJ(exp1)

The value of exp1 is a justify mode selector as follows:

0 left (default)

1 centre

2 right

3 full-width

Use more than one mode but always in order of left, center, and right. Full-width mode cannot be used with other modes.

Example:

AJ(1)CENTERAJ(2)RIGHT

The result is CENTER in the middle of display and RIGHT on the right side.


AND Function

AND Function

Glossary Item Box

AND Function

Format:

AND(exp1,exp2)

If both exp1 and exp2 are not zero the result is 1, otherwise the result is zero.

Example:

SV(!Z,AND(V(!X),V(!Y)))

If the temporary variable X is not zero and the temporary variable Y is not zero, set the value of temporary variable Z to 1, otherwise set the value of temporary variable Z to zero.


AT Function

AT Function

Glossary Item Box

AT Function

Format:

AT(exp1)

Enables the timer/counter named exp1 to appear in the display. Subsequent SP() functions refer to digits of the last selected timer/counter. Select up to 4 timers per display.

Example:

AT(T1)SP(1)SP(2):SP(3)SP(4)

The result is hours and minutes for timer named T1 in HH:MM format.


B2N Function

B2N Function

Glossary Item Box

B2N Function

B2N(exp1,exp2)

Return a list of numbers, starting from the value given by exp2 that represents the bits set in the decimal number given in exp1. If exp2 is omitted, a value of zero of assumed. Non-numeric expressions or the number 0 in exp1 return an empty string. Numbers in the list are separated by commas. For example B2N(7,0) returns “0,1,2”. B2N(7,1) returns “1,2,3”. This function is useful for converting a number to a list of inputs for output controls. See also N2B Function


BA Function

BA Function

Glossary Item Box

BA Function

Format:

BA(exp1,exp2)

Each bit within the result value is 1 if the corresponding bits in the numeric values exp1 and exp2 are both 1, otherwise that result bit is zero. The result bits are combined to produce the result value.

Example:

SV(!X,BA(V(!Y),15))

The value of the temporary variable X is set to the least significant four bits of temporary variable Y.


BN Function

BN Function

Glossary Item Box

BN Function

Format:

BN(exp1)

Each bit within the result value is the inversion of the corresponding bit in the value exp1 (one’s complement).

Example:

SV(!X,BN(V(!X))

Invert the value of the temporary variable X.


BO Function

BO Function

Glossary Item Box

BO Function

Format:

BO(exp1,exp2)

Each bit within the result value is 1 if either of the corresponding bits in the numeric values exp1 and exp2 are 1, otherwise that result bit is zero. The result bits are combined to produce the result value.

Example:

SV(!X,BO(V(!X),1))

The value of the temporary variable X is set to nearest odd value.


BX Function

BX Function

Glossary Item Box

BX Function

Format:

BX(exp1,exp2)

Each bit within the result value is 1 if the corresponding bits in the numeric values exp1 and exp2 are different, otherwise that result bit is zero. The result bits are combined to produce the result value.

Example:

SV(!X,BX(V(!X),255))

The least significant eight bits of the value of the temporary variable X are inverted.


CH Function

CH Function

Glossary Item Box

CH Function

Format:

CH(exp1)

The result is a timer/counter digit for selector exp1, from 1 to 69. This function provides access to timer/counter digits regardless of the currently selected timer. Usually, this is not needed, and access to timer/counter digits is accomplished using AT and SP functions.

Example:

CH(1)CH(2):CH(3)CH(4)

The result is hours and minutes digits of first timer/counter.


CHR Function

CHR Function

Glossary Item Box

CHR Function

Format:

CHR(exp1)

The result is a single character having the ASCII value exp1.

Example:

SV(!X,CHR(61)CHR(62)CHR(63))

The temporary variable X is set to ABC.


DATE Function

DATE Function

Glossary Item Box

DATE Function

Format:

DATE(exp1)

The result is a sample of the day, month, year, and day of week adjusted for the timer named exp1, or the local date (unadjusted) if exp1 is omitted.

Example:

SV(!D,SS(DATE(),1,4)))

The temporary variable D is set to the local year.


D2H Function

D2H Function

Glossary Item Box

D2H(exp1)

Return the hexadecimal equivalent of the decimal number in exp1. The returned number is an ASCII representation of a hexadecimal number. For example D2H(10) returns “A”. See also H2D function


DIV Function

DIV Function

Glossary Item Box

DIV Function

Format:

DIV(exp1,exp2)

The result is the division of the numeric value exp1 and exp2. The remainder is discarded. If exp2 is zero, the result is also zero.

Example:

SV(!X,DIV(V(!X),10))

The temporary variable X is divided by 10.


DO Function

DO Function

Glossary Item Box

DO Function

Format:

DO(exp1,exp2)

Repeatedly return the result of evaluating exp2 until exp1 is zero or a maximum of 100 iterations is reached. For effective use, evaluating exp2 must cause exp1 to eventually change to zero.

Example:

SV(!X,0)DO(LT(V(!X),5),SV(!X,ADD(V(!X),1))V(!X)" ")

The result is the numbers from 1 to 5 separated by spaces.


DUR Function

DUR Function

Glossary Item Box

DUR Function

Format:

DUR(exp1)

Specifies the amount of time exp1, in hundredths of a second, to display the previously selected lines (use the LIN EFDescLIN function to select lines). All displays have three separate lines that are displayed in sequence, each for their programmed duration. A line duration of zero prevents the line from appearing. If the duration of all lines are zero, the first line appears continuously.

Example:

LIN(1)DUR(100)ON-AIRLIN(2)DUR(50)STUDIO 1

Flash ON-AIR for 1 second and STUDIO 1 for one half second.


EQ Function

EQ Function

Glossary Item Box

EQ Function

Format:

EQ(exp1,exp2,exp3,exp4,...)

The result is 1, 2, 3, ... if exp1 is equal to exp2, exp3, exp4, ..., respectively. The result is zero if exp1 is not equal to any of exp2, exp3, exp4, ... .

Example:

EQ(V(!X),JOHN,BOB,JIM,DAVE)

The result is 1, 2, 3, or 4, for values JOHN, BOB, JIM, or DAVE of temporary variable X.


FN Function

FN Function

Glossary Item Box

FN Function

Format:

FN(exp1)

The value of the variable named exp1 is inserted and evaluated as if it appears in place of the FN function. Use this function to apply common portions of control text to many displays at once. Create a global message containing the common text fragment as its value and re-use the fragment where needed using the FN function with the name of the global message.

Example:

SV(!Y,"SV(!X,ADD(V(!X),1))")SV(!X,0)FN(!Y)V(!X) FN(!Y)V(!X) FN(!Y)V(!X)

The result is 1 2 3.


GC Function

GC Function

Glossary Item Box

GC Function

Format:

GC(exp1)

The result is a graphic character for selector exp1, from 1 to 9. If the graphic character is not defined, the result is the empty string.

Example:

IF(IV(0),PLAYGC(1),STOPGC(2))

The result is PLAY and graphic charcter 1 if GPI input 0 is on, otherwise the result is STOP and graphic character 2.


GE Function

GE Function

Glossary Item Box

GE Function

Format:

GE(exp1,exp2)

If exp1 is greater than or equal to exp2 the result is 1, otherwise the result is zero. If either of exp1 or exp2 are non-numeric, the strings are compared lexically in ASCII order (“ACC” is greater than “ABC”).

Example:

IF(GE(V(!X),10) ,”ALARM OVERFLOW”,V(!X)” ALARMS”)

If the temporary variable X has a value of 10 or more the IF function evaluates to the text “ALARM OVERFLOW”, otherwise the IF function evaluates to the text “n ALARMS”, where n is the value of temporary variable X.


GPM Function

GPM Function

Glossary Item Box

GPM Function

Format:

GPM(exp1)

Gets the system parameter mode of the timer/counter named exp1.

Example:

ON(EQ(SS(GPM(T1),6,2),24,29),OTHER,PAL,NTSC)

The result is PAL, NTSC, or OTHER if the timer named T1 counts in 25, 30, or some other number of frames per second.


GPV Function

GPV Function

Glossary Item Box

GPV Function

Format:

GPV(exp1)

Gets the system parameter value of the timer/counter named exp1.

Example:

SV(!X,SS(GPV(T1),1,2))

Set the temporary variable X to the current hour of the timer named T1.


GT Function

GT Function

Glossary Item Box

GT Function

Format:

GT(exp1,exp2)

If exp1 is greater than exp2 the result is 1, otherwise the result is zero. If either of exp1 or exp2 are non-numeric, the strings are compared lexically in ASCII order (“ACC” is greater than “ABC”).

Example:

IF(GT(V(!X),10) ,”ALARM OVERFLOW”,V(!X)” ALARMS”)

If the temporary variable X has a value more than 10 the IF function evaluates to the text “ALARM OVERFLOW”, otherwise the IF function evaluates to the text “n ALARMS”, where n is the value of temporary variable X.


H2D function

H2D function

Glossary Item Box

H2D(exp1)

Return the decimal equivalent of the hexadecimal number in exp1. Like most functions in the mathematical group, the returned number is an ASCII representation of a decimal number. For example H2D(A0) returns “160”. See also D2H function


HEX function

HEX function

Glossary Item Box

HEX(exp1) Same as H2D function.

Return the decimal equivalent of the hexadecimal number in exp1. Like most functions in the mathematical group, the returned number is an ASCII representation of a decimal number. For example H2D(A0) returns “160”. See Also H2D function, D2H Function


I2N Function

I2N Function

Glossary Item Box

I2N Function

Format:

I2N(exp1,exp2,exp3)

Converts a set of active GPI inputs to a list of numbers. Value exp1 is the first GPI input number. Value exp2 is the number of consecutive GPI inputs. Value exp3 is the first number of a sequence that corresponds with the first GPI input. This function is commonly used to implement a multiple source output of a resource device. The I2N function is specified in the control text of one of the resource outputs of the device.

Example:

I2N(40, 20, 1)

The result is the numbers from 1 to 20 separated by spaces that correspond to active GPI inputs from 40 to 59.


ID Function

ID Function

Glossary Item Box

ID Function

Format:

ID()

The result is the serial number of up to 6 characters followed by the section number 1, 2, or 3 of the display section that is accessing this function.

Example:

ON(SS(ID(),LEN(ID()),1),,LEFT,CENTRE,RIGHT)

The result is LEFT, CENTRE, or RIGHT depending on the display section.


IF Function

IF Function

Glossary Item Box

IF Function

Format:

IF(exp1,exp2,exp3)

If exp1 is not zero, the result is exp2, otherwise the result is exp3.

Example:

IF(IV(0),”ALARM 1”,”NO ALARMS”)

If GPI input number 0 has is active, the IF function evaluates to the text “ALARM 1”. If GPI input number 0 is not active, the IF functions evaluates to the text “NO ALARMS”.


IGM Function

IGM Function

Glossary Item Box

IGM Function

IGM(channel, length, offset, transition, cascade): ("input group mixer") multi-selects GPI inputs, returning a list of relative numbers representing the selected GPI inputs in a group of consecutive GPI inputs. In a typical application, hitting buttons on an RCP panel programmed with the IGM function allows more than one button to be selected at the same time. IGM returns a list of comma-separated numbers starting from “offset”.Depending on the value of the Transition parameter IGM selects buttons on the button press, on the button release, or either.

Channel: starting address.

Length: number of consecutive addresses monitored, including the starting address. Default: 1

Offset: The value returned when the first GPI input of the group is selected. Other returned values are consecutive. This allows control of the starting value of the returned list. Default: 0

Transition:

A value of "1" enables detection of a off-to-on transition.

A value of "2" enables detection of an on-to-off transition.

A value of "3" enables detection of both transition edges.

A value of "0" causes the function to return an empty string. Default: “1” (off-to-on transition).

Cascade: This allows another input list to be appended to the list returned by IGM. This is useful for cascading IGM functions for the handling of disjointed ranges of inputs. Default: no list.

Example 1: IGM(4,3,1) multi-selects GPI inputs 4,5,6 and returns some combination of the numbers "1","2","3".

Example 2: IGM(1,3,1,1,IGM(11,3,4,1)) multi-selects GPI inputs 1,2,3 along with GPI inputs 11,12,13. and returns some combination of the numbers "1","2","3","4","5","6". Note that the "cascaded" IGM function is for 4 in order provided a consecutive set of return values.

See also IGS Function


IGS Function

IGS Function

Glossary Item Box

IGS Function

IGS(channel, length, offset, transition, cascade, user bit, variable)): ("input group select") single-selects GPI inputs, returning a single value, the relative number of the most-recently-changed GPI input . In a typical application, pressing a button on an RCP panel selects the last-pressed button in a group of buttons, allowing one button to be selected at a time, while automatically canceling previous selections.

Channel: starting address.

Length: number of consecutive addresses monitored, including the starting address. Default: 1

Offset: The value returned when the first GPI input of the group is selected. Other returned values are consecutive. This allows control of the starting value of the returned list. Default: 0

Transition:

A value of "1" enables detection of a off-to-on transition.

A value of "2" enables detection of an on-to-off transition.

A value of "3" enables detection of both transition edges.

A value of "0" causes the function to return an empty string. Default: “1” (off-to-on transition).

Cascade: This allows another input list to be appended to the list returned by IGS. This is useful for cascading IGS functions for the handling of disjointed ranges of inputs. Default: no list.

User bit: A value of 0 to 7 allows more than one IGS function to monitor the same GPI input. A unique user bit value would be used in each instance of IGS functions that monitor overlapping ranges of GPI inputs in a given tally system configuration. For example if IGS(0,2,1) and IGS(0,3,1) (overlapping GPI inputs 0 and 1), then IGS(0,2,1,,,0,*S) and IGS(0,3,1,,,1,*S) would be programmed, where the user bit numbers are “0” and “1” respectively. Default: 0

Variable: This static variable is required for working memory for detecting and tracking GPI input changes. IGS functions used in the same display, GPI output or output control must have different static variable names. Default: none; a static variable name, starting with the asterisk character, must be supplied.

Example: IGS(0,3,1,,,,*S) would single-select one of GPI inputs 0, 1 and 2, returning one of numbers “1”, “2” or “3”, depending on which GPI input was last toggled from the off to the on state.

See also: IGM Function


IV Function

IV Function

Glossary Item Box

IV Function

Format:

IV(exp1)

The result is 1 if GPI input exp1 is active, otherwise the result is zero. Value exp1 must be numeric from 0 to 511.

Example:

SV(!X,EQ(IV(0)IV(1)IV(2),100,110,111))

Sets temporary variable X to 1 if GPI input 0 is on and inputs 1 and 2 are off. Sets temporary variable X to 2 if GPI inputs 0 and 1 are on and input 2 is off. Sets temporary variable X to 3 if GPI inputs 0, 1, and 2 are on. For any other conditions of GPI inputs 0, 1, and 2, set temporary variable X to 0.


IVC Function

IVC Function

Glossary Item Box

IVC Function

IVC(channel, length, transition, user bit): Returns a value of 1 when a change is detected on a given set of GPI inputs. The 1 is returned for only one evaluation of the expression; subsequent evaluations without another transition on the set of GPI inputs will return “0”. Therefore this function must usually be used in conjunction with a variable in order to trap GPI input transitions.

Channel: starting address.

Length: number of consecutive addresses monitored, including the starting address. Default: 1

Transition: A value of "1" enables detection of a off-to-on transition; a value of "2" enables detection of an on-to-off transition; value of "3" enables detection of both transition edges. A value of "0" causes the function to return an empty string. Default: “1” (off-to-on transition).

User bit: A value of 0 to 7 allows more than one IVC function to monitor the same GPI input. A unique user bit value would be used in each instance of IGS functions that monitor overlapping ranges of GPI inputs in a given TSI1000 configuration.

Example: sv(COUNT,if(ivc(0,4,1,0),add(v(COUNT)1,),v(COUNT))) will increment variable COUNT each time any of GPI inputs 0 to 3 toggle from the off to the on state. See also IVT function


IVT Function

IVT Function

Glossary Item Box

IVT Function

IVT(channel, transition, modulus): returns a modulus of the count of the number of transitions detected on a given GPI input. In a typical application this can be used to toggle through a set of numbers by repeated presses of a key on an RCP panel.

Channel: starting address.

Transition: A value of "1" enables detection of a off-to-on transition; value of "2" enables detection of an on-to-off transition; a value of "3" enables detection of both transition edges. A value of "0" causes the function to return an empty string. Default: “1” (off-to-on transition).

Modulus: Causes the returned transition count to be limited to the range zero to one less than the “modulus” parameter value. Default value: 2 (this causes the IVT function to return “0” or “1” on alternating transitions, making the returned value behave as an on-off toggle).

Example: IVT(0,1,4) returns one of values “0”, ”1”, ”2”, ”3”, in that order, on each transition of GPI input “0” to from the off to the on state.

See Also IVC Function


LC Function

LC Function

Glossary Item Box

LC Function

Format:

LC(exp1)

Any upper case letters in exp1 are converted to lower case in the result.

Example:

UC(SS(V(!X),1,1))LC(SS(V(!X),2,50))

Modifies the temporary variable X to have the first character in upper case and the remaining characters in lower case.


LE Function

LE Function

Glossary Item Box

LE Function

Format:

LE(exp1,exp2)

If exp1 is less than or equal to exp2 the result is 1, otherwise the result is zero. If either of exp1 or exp2 are non-numeric, the strings are compared lexically in ASCII order (“ABC” is less than “ACC”).

Example:

IF(LE(V(!X),10),”IN RANGE”,”OUT OF RANGE”)

If the temporary variable X has a value of more than 10 the IF function evaluates to the text “OUT OF RANGE”, otherwise the IF function evaluates to the text “IN RANGE”.


LEN Function

LEN Function

Glossary Item Box

LEN Function

Format:

LEN(exp1)

The result is the number of characters in exp1.

Example:

SS("          ",1,DIV(SUB(20,LEN(V(!X))),2))V(!X)

The result is the contents of temporary variable X centered in a 20-character display area.


LIN Function

LIN Function

Glossary Item Box

LIN Function

Format:

LIN(exp1)

Selects the lines to be affected by subsequent text and functions. All displays have three separate lines that are displayed in sequence, each for the duration specified by the DUR EFDescDUR function.

Calculate value exp1 by adding values from the following table:

Line Value

First 1

Second 2

Third 4

To select all lines, use a value of 7 (1 + 2 + 4).

Example:

LIN(7)DUR(200)STATUS: LIN(1)OPENLIN(2)FROM 9 AMLIN(4)TO 5 PM

The result is STATUS: followed by one of OPEN, FROM 9 AM, TO 5 PM, pausing on each for 2 seconds.


LT Function

LT Function

Glossary Item Box

LT Function

Format:

LT(exp1,exp2)

If exp1 is less than exp2 the result is 1, otherwise the result is zero. If either of exp1 or exp2 are non-numeric, the strings are compared lexically in ASCII order (“ABC” is less than “ACC”).

Example:

IF(LT(V(!X),10),”BELOW TEN”,”TEN OR MORE”)

If the temporary variable X has a value of 10 or more the IF function evaluates to the text “TEN OR MORE”, otherwise the IF function evaluates to the text “BELOW TEN”.


MOD Function

MOD Function

Glossary Item Box

MOD Function

Format:

MOD(exp1,exp2)

The result is the remainder of the division of the numeric value exp1 and exp2. The dividend is discarded. If exp2 is zero, the result is also zero.

Example:

SV(!X,MOD(V(!X),10))

Sets the temporary variable X to a modulo-10 value.


MUL Function

MUL Function

Glossary Item Box

MUL Function

Format:

MUL(exp1,exp2)

The result is the product of the numeric value exp1 and exp2.

Example:

SV(!X,MUL(V(!X),2))

Doubles the value of the temporary variable X.


N2B Function

N2B Function

Glossary Item Box

N2B(exp1,exp2)

Return a decimal number calculated from a list of set bit numbers, where the number 0 is bit 0, number 1 is bit 1 and so on. Where the list of numbers is specified as n1,n2,n3,… the returned value is calculated as 2^n1 + 2^n2 + 2^n2 … This function is useful for converting the list of numbers returned from functions I2N, IGS, and IGM to a decimal value. This is useful for easily programming control multiple consecutive GPI outputs and Image Video RCP-20 and RCP-40 control panels. exp1 can be supplied by one of the afore-mentioned functions. If a list of numbers is manually entered the list must be surrounded by double quotes. exp2 is subtracted from each number in the given list before the return value is calculated. exp2 is assumed to be zero if omitted. For example N2B(“0,1,2”) returns “7”. N2B(“1,2,3”,1) also returns “7”. See also B2N Function


NAME Function

NAME Function

Glossary Item Box

NAME Function

Format:

NAME()

The result is the name of up to 26 characters of the display that is accessing this function.

Example:

SS(NAME(),SUB(LEN(NAME()),2),3))

The result is the last three characters from the name of the display.


NOT Function

NOT Function

Glossary Item Box

NOT Function

Format:

NOT(exp1)

If exp1 is not zero the result is 1, otherwise the result is zero.

Example:

SV(!Y,NOT(EQ(V(!X),5)))

If the temporary variable X is 5, set the value of temporary variable Y to zero, otherwise set the value of temporary variable Y to 1.


OD function

OD function

Glossary Item Box

OD function

OD(<Device::Input>)

Return name of the signal origin that is feeding this input. The signal original name is returned in Device::Output format. In the formulation <Device::Input> Device must be the name of a router or production switcher device, as defined in Hardware > Comm Port Setup > Production and M/C Switchers or ... Routers.. Input must be the name of an input of said Router or Production switcher device. This function will return a value if the given input is included in the tally system configuration as one of the ends of a signal interconnection, as defined in either the Tally System Console 2 “Source Definitions” editor or the “Signal Paths” editor. In the legacy Tally System Console such signal interconnections was defined under Resource > Interconnections>. Example OD(SWR::1) will return the destination feeding SWR input 1 (e.g. RTR::DEST1[1]) , if SWR::1 is a Signal Path origin and RTR::DEST1[1] is a Signal Path end.


ON Function

ON Function

Glossary Item Box

ON Function

Format:

ON(exp1,exp2,exp3,exp4,...)

The result is exp2, exp3, exp4, ... if exp1 is 0, 1, 2, ..., respectively. If exp1 is too large, the result is the empty string.

Example:

ON(V(!X),ZERO,ONE,TWO,THREE,FOUR)

The result is ZERO, ONE, TWO, THREE, or FOUR for values 0, 1, 2, 3, 4 of temporary variable X, respectively.


ONUM Function

ONUM Function

Glossary Item Box

ONUM Function

Format:

ONUM(exp1)

Not available.

Example:

ONUM(R1::VTR02)


OPT function

OPT function

Glossary Item Box

OPT(<Option Name>,<Option Value>)

Set certain options to control the behavior of various embedded functions.

Option Name: “RENT”

Purpose: enable re-entry-limited signal trace for SRC, TSX, and SL functions. This allows destination-tracing UMDs to trace only to and not through re-entry inputs such as production switcher mix-effect buses, thus showing the name of the mix effect bus rather than the source feeding the mix-effect bus. OPT affects only functions that are programmed after the OPT function in the control expression.

Possible values: “on”, “1” (both enable re-entry-limited signal trace) “off”, “0” (both disable re-entry-limited signal trace). This option is off by default.

Note: OPT must programmed, either directly or indirectly through a control expression or subroutine for each UMD that is desired to be affected by the OPT expression.

Example OPT(RENT,”on”)TSX(RTR::MON1[1],A) turns on the re-entry-limited signal trace for following the TSX function.


OR Function

OR Function

Glossary Item Box

OR Function

Format:

OR(exp1,exp2)

If either exp1 or exp2 are not zero the result is 1, otherwise the result is zero.

Example:

SV(!Z,OR(V(!X),V(!Y)))

If the temporary variable X is not zero or the temporary variable Y is not zero, set the value of temporary variable Z to 1, otherwise set the value of temporary variable Z to zero.


PGD Function

PGD Function

Glossary Item Box

PGD Function

Format:

PGD(exp1,exp2)

The result is the name of one of the on-air destinations currently reached by the source named exp1. The numeric value exp2 is zero to get highest priority destination, 1 for next highest, and so on. If the result is the empty string, there are no more on-air destinations reached by that source. The format of exp1 is R::N[L], where R is the resource device name, N is the source name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Example:

S(PGD(R1::VTR002,0),A)

The result is the style A name of the first on-air destination connected to source VTR002 of resource R1.


PGM Function

PGM Function

Glossary Item Box

PGM Function

Format:

PGM(exp1)

The result is 1 if source exp1 is currently on-air, otherwise the result is zero. The source format is R::N[L], where R is the resource device name, N is the source name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Example:

IF(PGM(R1::CAM001),AC(85),AC(170))CAM 1

The result is CAM 1 in red if the source CAM001 of resource R1 is used on-air, otherwise the result is CAM 1 in green.


POS Function

POS Function

Glossary Item Box

POS Function

Format:

POS(exp1,exp2,exp3)

If the value exp3 is positive, the result is the position of string exp1 in string exp2 starting at position exp3 of string exp2. The first position is 1. If the value exp3 is negative (it starts with a minus sign), the result is the position of anything but string exp1 in string exp2 starting at position exp3 (its absolute value).

Example:

CAM 3 IF(POS(R2::CAM3,XPT(R2::ISO1)" "XPT(R2::ISO2)" "XPT(R2::ISO3,1)),ISO,IDLE)

The result is CAM 3 ISO if the source CAM3 is selected on destination ISO1, ISO2, or ISO3 of resource R2, otherwise the result is CAM 3 IDLE.


PSD Function

PSD Function

Glossary Item Box

PSD Function

Format:

PSD(exp1,exp2)

The result is the name of one of the next-to-air destinations currently reached by the source named exp1. The numeric value exp2 is zero to get highest priority destination, 1 for next highest, and so on. If the result is the empty string, there are no more next-to-air destinations reached by that source. The format of exp1 is R::N[L], where R is the resource device name, N is the source name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Example:

S(PSD(R1::CAM003,0),A)

The result is the style A name of the first next-to-air destination connected to source CAM003 of resource R1.


PST Function

PST Function

Glossary Item Box

PST Function

Format:

PST(exp1)

The result is 1 if source exp1 is currently next-to-air, otherwise the result is zero. The source format is R::N[L], where R is the resource device name, N is the source name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Example:

IF(PST(R1::CAM002),AC(255),AC(170))CAM 2

The result is CAM 2 in amber if source CAM002 of resource R1 is next-to-air, otherwise the result is CAM 2 in green.


S Function

S Function

Glossary Item Box

S Function

Format:

S(exp1,exp2)

Gets the “styled” name of the source or destination named exp1 using the style selector exp2. The format of exp1 is R::N[L], where R is the resource device name, N is the source or destination name, and L is the optional level indicator. N and L are dependent on the type of resource device. Style exp2 is as follows:

Selector Style

0 primary name

1 secondary name

2 short name

3 long name

A style A

B style B

Styles A and B refer to one of the other styles independently for each source and destination. Primary and secondary names refer to the native name within the resource device, which could be a number. Long and short names are user-specified aliases.

Example:

S(SRC(R1::AUX002,0),3)

The result is the long name of the originating source at destination AUX002 of resource R1.


SETI Function

SETI Function

Glossary Item Box

SETI Function

SETI(<Name>,<Origin>,<Create>,<Trigger>,< Input1>,< Input2>,…)

Allows dynamic control of signal interconnects. A signal interconnects are to describe a signal path from a signal origin to one or more signal inputs of a signal processing or routing device. Signal interconnects can be thought of as the description of the wiring of a given signal.

Name: Name of the Signal Interconnection that is modified by this expression

Origin: Device output (signal source) that will be interconnected to one or more device inputs. This parameter is specified in Device::Output format (e.g. RTR::OUT1[1] or SWR::M/E1)

Create: If this parameter is evaluated to a non-zero value, the interconnect will be created within the TSI database if it does not already exist. If the parameter evaluates to a zero value, and the interconnection does not exist in the tally system database, this expression will have no effect. If the parameter evaluates to a zero value, and the interconnection already exists in the tally system database, this expression will operate as normal.

Trigger: When the expression is evaluated and the trigger flag is found to be a non-zero value all inputs found connected to the given signal origin are disconnected, then all signal ends given in the list of inputs are connected to the given signal origin.

Input list: One or more device inputs to which will be interconnected to the Origin output. Multiple inputs are separated by commas. Inputs are specified in Device::Input format. Empty entries or inputs specified incorrectly in the input list are ignored.

Description: The interconnection of the given name is set with a signal path originating at the given Destination and ending in one or more device inputs. If the Create flag is evaluated to a non-zero value, the interconnect will be created within the TSI database if it does not already exist. The trigger parameter determines if the interconnect is actually written, for example on the basis of a GPI input switch. This allows interconnection to be switched dynamically and is particularly useful for creating certain types of tally maps. When the expression is evaluated and the trigger flag is found to be a non-zero value all inputs found connected to the given signal origin are disconnected, then all signal ends given in the list of inputs are connected to the given signal origin. Empty entries or inputs specified incorrectly in the input list are ignored.

Example:

SETI(PATH1,RTR::OUT1[1],1, ivc(0,1,3),if(iv(0),SWR::1),if(not(iv(0)),SWR::2))

SETI(PATH1,RTR::OUT1[1],1, ivc(0,1,3),if(iv(0),SWR::1,SWR::2))

The above expression switches an interconnection between two inputs when GPI input 0 changes state (see IVC function).


SETX Function

SETX Function

Glossary Item Box

SETX Function

SETX(<Signal Destination>,<Create>,<Clear>,<Trigger>,<Set>,<Process>,<Device Input 1>,<Device Input 2>,…)

Switches virtual crosspoints, mimicking a crosspoint change made by an external device, or a virtual crosspoint change made by an Output Control.

When the Trigger flag evaluates to a non-zero-value, if the Clear flag has evaluated to a non-zero value, any inputs currently switched by the signal destination are turned off. Then, also if the Trigger flag has evaluated to a non-zero value, and depending on the evaluated state of the Set flag, the listed inputs are either turned on (if Set is non-zero) or turned off (if Set is Zero). The tally system is informed of the crosspoint change only if the Process flag is set, at which point the various outputs of the tally system (UMDs, GPI outputs etc.) are updated to reflect the new state of the given signal destination. This allows multiple calls of the SETX function to be executed before the tally system reacts to the changes. The SETX function is ignored if the given signal destination does not exist and the create flag evaluates to zero. The given signal destination is created as necessary if the create flag is non-zero.

Signal Destination: This is the virtual signal destination that is controlled and switched to different crosspoints. It is specified in the Device::Destination format (e.g. RTR::OUT1)

Create: If the create flag evaluates to a non-zero value, and if the given signal destination does not exist in the tally system database (as defined in, for example, the Device Definition editor) the signal destination is automatically and internally created by the tally system. The automatically created signal destination does not appear as an entry in the Tally System Console tables.

Clear: If the clear flag evaluates to a non-zero value, any and all previously selected crosspoints are turned off (de-selected) before any new crosspoints are selected.

Trigger: When the expression is evaluated and the trigger flag is found to be a non-zero value the specified device inputs are are selected or deselected. This allows the crosspoint selection process to occur only when some specific change has occurred, such as the switching of a GPI input.

Set: When all other conditions for a crosspoint switch to occur are in place, the Set flag determines whether the device inputs specified in the device input list will be selected or deselected. In combination with the Clear flag (which can be set to clear, or not clear, previously selected inputs) this allows specified inputs to be individually turned on or off.

Process: If the process flag evaluates to a zero value, the tally system is kept uninformed of any crosspoint changes made by the SETI function, until the next evaluation of the SETX function that finds the Process flag at a non-zero value. This allows multiple consecutive calls of the SETX function to be executed before the tally system reacts to the changes. For example this would allow one SETX function (with the process flag clear), to select a specific set of device inputs and a second SETX function (with the process flag set) to de-select another specific set of device inputs, before the tally system is called on to process all crosspoint changes made by the two consecutive SETX functions.In the more usual case where only one SETX function is used for a particular signal destination, the Process flag can be simply set to "1".

Device Input List: The device inputs that will be selected or de-selected. Device inputs are specified by input name only, as the inputs are assumed to exist within the device specified by the Signal Destination parameter.

Example:

SETX(VRTR::OUT1,1,1,ivc(0,1,3),1,1,if(iv(0),”IN1”),if(not(iv(0)),”IN2”))

SETX(VRTR::OUT1,1,1,ivc(0,1,3),1,1,if(iv(0),”IN1”,”IN2”))

Both of the above expressions create signal destination VRTR::OUT1 and switches the destination between two inputs when GPI input 0 changes state (see IVC function).

NOTE: SETX controls only the internal crosspoint status maintained by the TSI. SETX does not cause crosspoint changes to be transmitted to external hardware devices such as signal routing systems. SETX is used with virtual (non-hardware) routers that are created and controlled entirely within the tally system control logic.


SID Function

SID Function

Glossary Item Box

SID Function

Format:

SID(exp1,exp2,exp3,exp4,...)

The result is 1, 2, 3, ... if the source named exp1 reaches the destination named exp2, exp3, exp4, ..., otherwise the result is zero. The format of exp1, exp2, exp3, exp4, ... is R::N[L], where R is the resource device name, N is the source or destination name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Example:

CAM 3 IF(SID(R2::CAM3,R2::ISO1,R2::ISO2,R2::ISO3),ISO,IDLE)

The result is CAM 3 ISO if the source CAM3 is selected on any of the destinations ISO1, ISO2, or ISO3 of resource R2, otherwise the result is CAM3 IDLE.


SL Function

SL Function

Glossary Item Box

SL Function

Format:

SL(exp1,exp2,exp3,exp4,exp5,exp6)

The result is a list of zero or more styled names of sources currently reaching the destination named exp1 using the style selector exp2, with each source name preceded by one of string exp4, exp5, or exp6, depending on the on-air, next-to-air, or normal usage of the source, respectively. The function limits the total length of source names (including space separators) to the numeric value of exp3 in characters (partial source names are not listed). The format of exp1 and exp2 is described with S EFDescS function.

Example:

SL(S1::PGMOUTV,A,26,AC(85),AC(255),AC(170))

The result is a list, in 26 characters or less, of style A source names for sources reaching destination PGMOUTV of resource S1. Each on-air, next-to-air, and other sources appear red, amber, and green, respectively.


SP Function

SP Function

Glossary Item Box

SP Function

Format:

SP(exp1)

The result is a timer/counter digit selected by exp1 for the timer/counter selected by most recent AT EFDescAT function. If none were selected, the result is the empty string. You can use any digit more than once in the same display. The numeric value exp1 selects digits as follows:

Selector Digit

1 tens of hours

2 units of hours

3 tens of minutes

4 units of minutes

5 tens of seconds

6 units of seconds

7 tens of frames

8 units of frames

9 tens of hours (zero-blanking)

10 units of hours (zero-blanking)

11 tens of minutes (zero-blanking)

12 units of minutes (zero-blanking)

13 tens of seconds (zero-blanking)

14 units of seconds (zero-blanking)

15 tens of frames (zero-blanking)

16 tens of hours (12-hour format)

17 units of hours (12-hour format)

18 upper-case A or P for AM/PM indicator

19 lower-case a or p for am/pm indicator

Use this function to format your own timer/counter displays. Alternately, you can insert all the necessary functions at once from a dialog box. The dialog box list several common clock formats. Select Ctrl+M, or choose Insert; Timers/Counters from the main menu, to open this dialog box.

Example:

AT(T2)SP(1)SP(2):SP(3)SP(4):SP(5)SP(6).SP(7)SP(8)

The result is the hours, minutes, seconds, and frames for the timer named T2 in HH:MM:SS.FF format.


SPM Function

SPM Function

Glossary Item Box

SPM Function

Format:

SPM(exp1,exp2)

Sets the system parameter mode and value of the timer/counter named exp1 to exp2.

Example:

SPM(T1,0215000010100--)

Sets the timer named T1 to follow 2 hours and 15 minutes ahead of local time.


SRC Function

SRC Function

Glossary Item Box

SRC Function

Format:

SRC(exp1,exp2)

The result is the name of one of the originating sources currently reaching the destination named exp1. The numeric value exp2 is zero to get highest priority source, 1 for next highest, and so on. If the result is the empty string, there are no more sources reaching that destination. The format of exp1 is R::N[L], where R is the resource device name, N is the destination name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Example:

S(SRC(R1::VTR001,0),A)

The result is the style A name of the originating source at the destination VTR001 of resource R1.


SS Function

SS Function

Glossary Item Box

SS Function

Format:

SS(exp1,exp2,exp3)

The result is the part of string exp1 starting from position exp2 and containing up to exp3 characters. The first position is 1.

Example:

SV(!X,SS(ADD(V(!X),1000),2,3))

The temporary variable X is padded with leading zeros to make it at least 3 characters long.


SUB Function

SUB Function

Glossary Item Box

SUB Function

Format:

SUB(exp1,exp2)

The result is the remainder of the subtraction of the numeric value exp2 from exp1.

Example:

SV(!Y,EQ(LEN(SUB(V(!X),1)),LEN(V(!X))))

Set the temporary variable Y to zero if the temporary variable X is a power of 10, otherwise set the temporary variable Y to 1.


SV Function

SV Function

Glossary Item Box

SV Function

Format:

SV(exp1,exp2)

If the variable named exp1 already exists, the result of this function is to replace its value with exp2, otherwise the function creates a variable named exp1 and gives it the initial value of exp2. The result is always the empty string.

The first character of exp1 determines the type of variable being set.

If exp1 starts with an exclamation point ! the variable is considered temporary. Its value lasts only until the end of the control text in which it appears.

If exp1 start with an asterisk * the variable is considered private to the display section in which it appears. Its value is not available to other displays.

If exp1 starts with any other character, the variable is considered global to all displays. Do not create or modify global variables within the control text of any display section if its value is to be used by other display sections. Instead, use the Configure Messages CMDlg dialog box to create or change the value of a global variable.

Example:

SV(!X,"SV(!Y,MUL(V(!Y),10))V(!Y)")SV(!Y,1)FN(!X) FN(!X) FN(!X)

The result is 10 100 1000 by using the temporary variable X to repeat a set of operations on the temporary variable Y.


TIME Function

TIME Function

Glossary Item Box

TIME Function

Format:

TIME(exp1)

The result is a sample of the hour, minute, second, and frame adjusted for the timer named exp1, or the local time (unadjusted) if exp1 is omitted.

Example:

SV(!T,SS(TIME(),1,2))

Sets the temporary variable T to the local hour.


TL Function

TL Function

Glossary Item Box

TL Function

Format:

TL(exp1)

The result is the string exp1 with any leading spaces removed.

Example:

TL(IF(IV(1)," 1",)IF(IV(2)," 2",)IF(IV(3)," 3",))

The result is a list of only the active GPI inputs 1, 2 and 3, removing first space separator.


TLYA Function

TLYA Function

Glossary Item Box

TLYA Function

TLYA(<Device::Source>,<Tally Area>,<Tally Type>): TLYA replaces the PGM and PST functions if Tally Areas are defined in the Tally System Console 2 Tally Areas editor.

TLYA returns 1 if the given source signal source appears at any of the signal destinations defined by the given tally area and tally type. Tally areas and tally types are both specified as numbers in the range 0 through 7.

Example:

TLYA(SWR::1,0,0)

Returns 1 if input SWR::1 (input 1 of device SWR) is found to be contributing to a signal destination defined in Tally Type 0 of Tally Area 0.

TLYA(SWR::1,<TA>,<TA.PGM>)

Same effect as the first example. Tally System Console 2 replaces <TA> with the number of the tally area Tally Area selected for the GPI output or UMD for which the example expression is being programmed. This selection is made in the Tally Area column of the GPI output or UMD programming editor of Tally System Console 2. Tally System Console 2 replaces <TA.PGM> with the number of the tally type defined with name PGM in the Tally Area editor of Tally System Console 2. The various named Tally Types are numbered starting from zero according to their top-to-bottom order in the Tally Area editor. Typically these Tally Types are PGM (tally type 0), PST (tally type 1), EXT (tally type 2).

See also: Tally Areas and Tally Types


TR Function

TR Function

Glossary Item Box

TR Function

Format:

TR(exp1)

The result is the string exp1 with any trailing spaces removed.

Example:

TR(IF(IV(1),"1 ",)IF(IV(2),"2 ",)IF(IV(3),"3 ",))

The result is a list of only the active GPI inputs 1, 2 and 3, removing last space separator.


TSD Function

TSD Function

Glossary Item Box

TSD Function

Format:

TSD(exp1,exp2,exp3,exp4,exp5)

The result is the styled name of the destination named exp1 using the style selector exp2, preceded by one of string exp3, exp4, or exp5, depending on the on-air, next-to-air, or normal usage of that destination, respectively. The format of exp1 and exp2 is described with S EFDescS function.

Example:

TSD(R1::AUX001[1],3,AC(85),AC(255),AC(0))

The result is the long name for the destination AUX001, level 1, of resource R1. The name appears red, amber, or blank if the destination is on-air, next-to-air, or neither, respectively.

See also: Tally Areas and Tally Types


TSDA Function

TSDA Function

Glossary Item Box

TSDA Function

TSDA(<Device::Destination>,<Style>[,Tally Area][,Non-tallied Control Expression][,Tally type 0 Control Expression]…[,Tally type 7 Control Expression ]).

Similar to TSD function, but checks up to 8 tally types in the given tally area to determine if the source on the given destination should be tallied.

Example: TSDA(RTR::MON1,A,<%TA>,ac(NML),ac(PGM),ac(EXT),ac(PST))

  • The above example displays the name of the given destination in Style A.
  • Text is shown with the AC(NML) color if the source selected by the given destination is not contributing to any program (on air), preset (next to air) or external destination.
  • Text is shown with the Tally Type 0 (AC(PGM)) color if the source selected by the given destination is contributing to a program (on air) destination.
  • Text is shown with the Tally Type 1 (AC(EXT)) color if the source selected by the given destination is contributing to a preset (next to air) destination.
  • Text is shown with the Tally Type 2 AC(PST) color if the source selected by the given destination is contributing to a external destination (typically a program bus in another control room).
  • Depending on the the type of UMD the AC() commands NML, PGM, EXT, PST will typically generate white, red, amber, and green colours respectively.
  • The priority of Tally Types in the above example, have a descending order of priority:
    • Tally Type 0 (AC(PGM))
    • Tally Type 1 (AC(EXT))
    • Tally Type 2 (AC(PST))
    • Non-tallied expression (AC(NML)).
  • Because of the above priority rules, if Tally Type 0 and Tally Type 1 are both active, then the Tally Type 0 colour code (AC(PGM)) is shown.

In Tally System Console 2 <%TA> evaluates to a value of 0 through 7, depending on the UMDs > Display Devices > Tally Area column setting for the UMD programmed with this string.

See also: Tally Areas and Tally Types


TSS Function

TSS Function

Glossary Item Box

TSS Function

Format:

TSS(exp1,exp2,exp3,exp4,exp5)

The result is the styled name of the source named exp1 using the style selector exp2, preceded by one of string exp3, exp4, or exp5, depending on the on-air, next-to-air, or normal usage of that source, respectively. The format of exp1 and exp2 is described with S EFDescS function.

Example:

TSS(R1::CAM5,A,AC(85),AC(255),AC(170))

The result is the style A name for the source CAM5 of resource R1. The name appears red, amber

See also: Tally Areas and Tally Types


TSSA Function

TSSA Function

Glossary Item Box

TSSA function

TSSA(<Device::Source>,<Style>[,Tally Area][,Non-tallied Control Expression][, Tally type 0 Control Expression]…[, Tally type 7 Control Expression]). Similar to TSS function, but checks up to 8 tally types in the given tally area to determine if the source on the given destination should be tallied.

Example: TSSA(RTR::MON1,A,<%TA>,ac(NML),ac(PGM),ac(EXT),ac(PST))

  • The above example displays the name of the given source, in Style A.
  • Text is shown with the AC(NML) color if the source selected by the given destination is not contributing to any program (on air), preset (next to air) or external destination.
  • Text is shown with the Tally Type 0 (AC(PGM)) color if the source selected by the given destination is contributing to a program (on air) destination.
  • Text is shown with the Tally Type 1 (AC(EXT)) color if the source selected by the given destination is contributing to a preset (next to air) destination.
  • Text is shown with the Tally Type 2 AC(PST) color if the source selected by the given destination is contributing to a external destination (typically a program bus in another control room).
  • Depending on the the type of UMD the AC() commands NML, PGM, EXT, PST will typically generate white, red, amber, and green colours respectively.
  • The priority of Tally Types in the above example, have a descending order of priority:
    • Tally Type 0 (AC(PGM))
    • Tally Type 1 (AC(EXT))
    • Tally Type 2 (AC(PST))
    • Non-tallied expression (AC(NML)).
  • Because of the above priority rules, if Tally Type 0 and Tally Type 1 are both active, then the Tally Type 0 colour code (AC(PGM)) is shown.

In Tally System Console 2 <%TA> evaluates to a value of 0 through 7, depending on the UMDs > Display Devices > Tally Area column setting for the UMD programmed with this string.

See also: Tally Areas and Tally Types


TSX Function

TSX Function

Glossary Item Box

TSX Function

Format:

TSX(exp1,exp2,exp3,exp4,exp5)

The result is the styled name of the source currently reaching the destination named exp1 using the style selector exp2, preceded by one of string exp3, exp4, or exp5, depending on the on-air, next-to-air, or normal usage of that source, respectively. The format of exp1 and exp2 is described with S EFDescS function.

Example:

TSX(R2::004[2],A,AC(85),AC(255),AC(170))

The result is the style A name for the source 004, level 2, of resource R2. The name appears red, amber, or green if the source is on-air, next-to-air, or neither, respectively.

See also: Tally Areas and Tally Types


TSXA Function

TSXA Function

Glossary Item Box

TSXA Function

TSXA(<Device::Destination>,<Style>[,Tally Area][,Non-tallied Control Expression][, Tally type 0 Control Expression]…[, Tally type 7 Control Expression]). Similar to TSX function, but checks up to 8 tally types in the given tally area to determine if the source on the given destination should be tallied.

Example: TSXA(RTR::MON1,A,<%TA>,ac(NML),ac(PGM),ac(EXT),ac(PST))

  • The above example displays the name of the source selected by given the given router or switcher destination, in Style A.
  • Text is shown with the AC(NML) color if the source selected by the given destination is not contributing to any program (on air), preset (next to air) or external destination.
  • Text is shown with the Tally Type 0 (AC(PGM)) color if the source selected by the given destination is contributing to a program (on air) destination.
  • Text is shown with the Tally Type 1 (AC(EXT)) color if the source selected by the given destination is contributing to a preset (next to air) destination.
  • Text is shown with the Tally Type 2 AC(PST) color if the source selected by the given destination is contributing to a external destination (typically a program bus in another control room).
  • Depending on the the type of UMD the AC() commands NML, PGM, EXT, PST will typically generate white, red, amber, and green colours respectively.
  • The priority of Tally Types in the above example, have a descending order of priority:
    • Tally Type 0 (AC(PGM))
    • Tally Type 1 (AC(EXT))
    • Tally Type 2 (AC(PST))
    • Non-tallied expression (AC(NML)).
  • Because of the above priority rules, if Tally Type 0 and Tally Type 1 are both active, then the Tally Type 0 colour code (AC(PGM)) is shown.

In Tally System Console 2 <%TA> evaluates to a value of 0 through 7, depending on the UMDs > Display Devices > Tally Area column setting for the UMD programmed with this string.

See also: Tally Areas and Tally Types


UC Function

UC Function

Glossary Item Box

UC Function

Format:

UC(exp1)

Any lower case letters in exp1 are converted to upper case in the result.

Example:

UC(SS(V(!X),1,1))LC(SS(V(!X),2,50))

Modifies the temporary variable X to have the first character in upper case and the remaining characters in lower case.


US Function

US Function

Glossary Item Box

US Function

Format:

US()

The result is the number of dots there are in the width of the display section that is accessing this function.

Example:

SV(!X,DIV(US(),6))

Sets the temporary variable X to the number of fixed spacing characters that fit in the display section.


V Function

V Function

Glossary Item Box

V Function

Format:

V(exp1)

The result is the contents of the variable named exp1. The contents are not re-evaluated. Use the FN EFDescFN function to evaluate the contents of a variable. If the variable does not exist, the result is the empty string.

The first character of exp1 determines the type of variable. Variable types are described with the SV EFDescSV function.

Example:

SV(!X,:)AT(T1)SP(1)SP(2)V(!X)SP(3)SP(4)V(!X)SP(5)SP(6)

Using the temporary variable X to specify the separator as a colon, the result is the hours, minutes, seconds for the timer named T1 in HH:MM:SS format.


VAL Function

VAL Function

Glossary Item Box

VAL Function

Format:

VAL(exp1)

The result is the numeric ASCII value of the first character of the string exp1.

Example:

IF(LT(VAL(UC(V(!X))),VAL(N)),A-M,N-Z)

The result is A-M if the first character of temporary variable X has a value less than that of the letter N, otherwise the result is N-Z.


XOR Function

XOR Function

Glossary Item Box

XOR Function

Format:

XOR(exp1,exp2)

If both exp1 and exp2 are not zero, or both exp1 and exp2 are zero, the result is zero, otherwise the result is 1.

Example:

SV(!Z,XOR(V(!X),V(!Y)))

If the temporary variable X is not zero and the temporary variable Y is zero, or the temporary variable X is zero and the temporary variable Y is not zero, set the value of temporary variable Z to 1, otherwise set the value of temporary variable Z to zero.


XPT Function

XPT Function

Glossary Item Box

XPT Function

Format:

XPT(exp1)

The result is the name of the source currently reaching the destination exp1. The format of exp1 is R::N[L], where R is the resource device name, N is the destination name, and L is the optional level indicator. N and L are dependent on the type of resource device.

Use this function instead of the SRC EFDescSRC function when you are interested in the closest but not necessarily originating source for a destination.

Example:

S(XPT(R1::VTR001),2)

The result is the short name for the source reaching the destination VTR001 of resource R1.


Empty Index Entry

Glossary Item Box

Empty Index Entry

The index entry you selected has no target topics associated with it.

If you have chosen a parent entry, please select a child entry.


Topic Not Found

Glossary Item Box

Topic Not Found

The link you just clicked was not able to connect to the target page.

Some possible reasons and remedies are as follows:

Reason | Remedy
Destination topic is not part of the area you specified in the Filtered by field. | Either select another filter or select (no filter).
The URL of the destination topic is incorrect or has changed. | Use the index or the search function instead.
Problems with the help installation. | Rerun Setup for the product this help is related to and select the 'Repair' option.

Additional help is available for filters, search, and the index.

Click Back to return to the page you were on.

The target parameters are:

Keyword:
Index Moniker:
URL:


a
about
after
against
all
along
also
although
am
among
an
and
are
as
at
be
became
because
been
being
between
but
by
can
caution
come
could
details
did
do
does
doing
done
during
each
early
far
finally
for
found
from
had
has
have
he
her
here
his
how
however
I
if
in
include
including
information
into
is
it
its
late
later
made
many
may
me
med
might
more
most
near
no
non
none
nor
not
note
of
off
on
only
or
other
over
saw
see
seen
several
she
since
so
some
such
than
that
the
their
them
then
there
these
they
this
those
through
tip
to
too
under
until
up
us
use
very
warning
was
we
were
when
where
which
while
who
with
you


Tally Areas and Tally Types

Tally Areas and Tally Types

Glossary Item Box

Tally Areas and Tally Types

Tally areas and tally types are an indirect but convenient way to specify the various signal destinations within a broadcast facility that that determine whether a given signal source is to be tallied.

A tally type is a group of one or more important signal destinations. A tally area is a group of tally types, and is generally related to a particular control room. Typical tally types are the Program tally type (PGM), the Preset tally type (PST) and the External type (tally from another control room or from an external or remote control room).

For the purpose of determining whether a given broadcast signal is on air or next to air, all signal tracing begins at the signal destinations defined within each tally type. For example, in order to trace all signals contributing to a tally area Program output, the signal destinations defined tally area "PGM" tally type are each traced to the signal sources that contribute to Program destinations.

In Tally System Console 2 the tally area for given GPU output or UMD is set by a tally area selection column in the editor where particular device is programmed (GPI outputs editor or Display Devices editor). Tally areas are not supported in the original Tally System Console.

A typical multi-control-room broadcast facility might be configured as follows:

Tally Type Name | Tally Type Number | Tally Area 0 (CR1) | Tally Area 1 (CR2) | Tally Area 2 (CR3)
PGM | 0 | CR1 Program Bus | CR2 Program Bus | CR3 Program Bus
PST | 1 | CR1 Preset Bus | CR2 Preset Bus | CR3 Preset Bus
EXT | 2 | CR2 & CR3 Program Bus | CR1 & CR3 Program Bus | CR1 & CR2 Program Bus

Suppose a TLYA function is programmed to return 1 if the given source appears on the program bus of CR1 (tally area 0). The GPI output or UMD that uses this logic would be assigned to the CR1 tally area using the “Tally area” drop-down in the GPI output or UMD editor.

TLYA(SWR::1,<%TA>,<%TA.PGM>)

The tally area table in Tally System Console 2, at Plant Layout > Tally Areas > might be programmed as:

Tally Area (0): CR1

Tally Type (0): PGM

Destination: CR1::OUTPGMA (Kalypso switcher program bus)

Tally Type (1): PGM

Destination: CR1::OUTPSTA (Kalypso switcher preset bus)

In this case TLYA returns 1 if switcher SWR input 1 is selected on the program bus. The example expression TLYA(SWR::1,<%TA>,<%TA.PGM>) could be directly pasted as the control expression for a GPI output in order to, for example, generate red tally for a camera.

The TSSA function is defined as:

TSSA(<Source>,<Style>[,Tally Area][,Normal Color][,Tally Type 0] [,Tally Type 1 color] [,Tally Type 2 color]… [,Tally Type 7 color])

The TSS function could be programmed as:

TSSA(CR::1,A,AC(NML),AC(PGM),AC(PST),ac(EXT))

AC(NML) specifies the non-tallied UMD colour. AC(PGM) specifies the tally type 0 (PGM) UMD colour. AC(PST) specifies the tally type 1 (PST) UMD colour. AC(EXT) specifies the tally type 2 (EXT) UMD colour.

In this case the “Style A” name of CR1 switcher input 1 is displayed. Based on the tally area 1 setup shown above, if this source is traced to the CR1 program bus, the PGM colour code (usually red) is transmitted to the UMD along with the switcher 1 input name. If this source is traced to the CR1 preset bus, the PST colour code (usually yellow or amber) is transmitted to the UMD along with the switcher 1 input name. If this source is traced to the CR2 or CR3 program bus, the EXT colour code (could be green) is transmitted to the UMD along with the switcher 1 input name. Otherwise the non-tallied (normal NML) colour is transmitted (usually white).

Note that lower numbered tally types have priority over higher-numbered tally types. For example if a given source appears on both the program and preset destinations, the PGM colour, assigned in the TSS function to the lower numbered tally type, gets transmitted.

The tally type numbers correspond to the row order for the tally types defined in the Plant Layout > Tally Areas table of Tally System Console 2.


TICK Function

TICK Function

Glossary Item Box

TICK Function

Format:

TICK()

The result is a sample of the number of hundredths of seconds that have elapsed since the tally system was powered on. This number overflows to zero approximately every 24.8 days.

Example:

SV(X,IF(LEN(V(X)),V(X),TICK()))IF(LT(TICK(),ADD(V(X),500)),WAIT,DONE)

The result is WORKING if less than 5 seconds has past, otherwise the result is DONE.